Base.ready(function(){
    //根据用户权限开放相应的功能入口
    judgeAuthority();
});

//根据用户权限开放相应的功能入口
function judgeAuthority(){
    var inputParam = {};
    inputParam.jybh = 'VCS011';
    inputParam.aac001 = Base.getStorage("aac001");
    inputParam.yae100 = "0101";
    Base.requestServer("ckQueryData", inputParam, judgeAuthority_callbackFunc, false);
}
//回调函数
function judgeAuthority_callbackFunc(callback_data){
    Base.setStorage("biousername", callback_data.biousername);//经办人
    Base.setStorage("bioarea", callback_data.bioarea);//认证所属地
    var list = callback_data.output;
    for(var i=0; i<list.length; i++){
        var yae049 = list[i].yae049;//认证类型编码
        switch(yae049){
            //人脸认证
            case "010101":
                $(".div-faceAuthentication").removeClass("md-hide");
                break;
            //指纹认证
            case "010102":
                $(".div-fingerprintAuthentication").removeClass("md-hide");
                break;
            //指静脉认证
            case "010103":
                $(".div-venaDigitalis").removeClass("md-hide");
                break;
            //认证信息查询
            case "010104":
                $(".div-queryAuthenticalInfo").removeClass("md-hide");
                break;
            default:
                break;
        }
    }
}

//点击图标进入相应的功能
Base.click(".div_iconCell",function($this){
	var tab = $this.attr("tab");
	switch(tab){
        case "0":
            md.execScript({
                name: "root",
                script: "goToService('60', '人脸识别')"
            });
            break;
        case "1":
            md.execScript({
                name: "root",
                script: "goToService('61', '指纹识别')"
            });
            break;   
        case "2":
            md.execScript({
                name: "root",
                script: "goToService('62', '指静脉识别')"
            });
            break; 
        case "3":
            md.execScript({
                name: "root",
                script: "goToService('64', '认证信息查询')"
            });
            break;     
		default: break;
	}
});
function back() {
        md.closeWin({
            animation: {
                type: 'fade',
                duration: 300
            }
        });
    }
