var appVue;
Base.ready(function () {
    vueInit();

    var framePageData = md.pageParam;
    appVue.bka001 = framePageData.bka001;
    appVue.aka130 = framePageData.aka130;

    Base.creatRefresh(
        function (ret) {
            if (!ret || ret.state !== 'end') {
                // 刷新
                appVue.pageNum = 0;
                appVue.hasNext = true;
                appVue.query();
                Base.removeDown();
            }
        },
        function (ret) {
            if (!ret || ret.state !== 'end') {
                if (appVue.hasNext) {
                    // 加载下一页
                    appVue.pageNum += 1;
                    appVue.query();
                } else {
                    // 如果已经没有更多数据，直接结束
                    Base.msgTip('没有更多数据');
                }
                Base.removeUp();
            }
        }
    );

    appVue.query();
});

// pcTest();
function pcTest() {
    vueInit();

    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
    appVue.diagnoseList.push({aka120: 1, aka121: "1"});
}

function vueInit() {
    console.log('vue init');
    appVue = new Vue({
        el: '#app',
        data: {
            // 诊断名称
            aka121: '',
            // 医疗类别
            aka130: '',
            // 病种编码
            bka001: '',
            // 页码数 从0开始
            pageNum: 0,
            // 是否有下一页
            hasNext: true,
            // 诊断列表
            diagnoseList: [],
            // 当前选择的诊断
            selectItem: {}
        },
        methods: {
            query: function () {
                var param = {};
                param.aka121 = this.aka121;
                param.aka130 = this.aka130;
                param.bka001 = this.bka001;
                param.pageNum = this.pageNum;
                param["SERVICENAME"] = 'httpService.queryDiagnose';  //接口
                param["jybh"] = 'HISCCT001';
                this.diagnoseList = [];
                this.selectItem = {};
                var that = this
                Base.requestCct("ckQueryData", param, function (ret) {
                    that.diagnoseList = ret.data;
                    that.hasNext = ret.hasNext;
                }, true);
            },
            choose: function (item) {
                this.selectItem = item;
            },
            save: function () {
                md.sendEvent({
                    name: 'diagnoseChoose',
                    extra: {data: this.selectItem}
                });
                md.closeWin();
            }
        }
    })
}