var data = {};//源页面传递过来的参数
Base.ready(function(){
	data = md.pageParam || {};
    console.log("**************data: " + JSON.stringify(data));
    if (data.type == '1'){    //添加
        $('#ake002').html(data.ake002);
        $('#bke007').html(data.bke007);
        $('#aka074').html(data.aka074);
        $('.aka067').html(data.aka067);//单位（大单位）
        $('#aka070').html(data.aka070);
		$('#bke180').val(data.bke180);//进价
        $('#bke010').val(data.bke013);//价格
        if(data.bke006){//如果有小单位
            $(".smallUnitName>span").text(data.bke006);
            $(".smallUnitName").removeClass("md-hide");
        }
    }
    if (data.type == '2'){    //修改
        $('#ake002').html(data.ake002);
        $('#bke007').html(data.bke007);
        $('#aka074').html(data.aka074);
        $('.aka067').html(data.aka067);//单位（大单位）
        $('#aka070').html(data.aka070);
		$('#bke180').val(data.bke180);//进价
        $('#bke010').val(data.price);//价格
        //$('#akc226').val(data.num);//数量
        if(data.bke006){//如果有小单位
            $(".smallUnitName>span").text(data.bke006);
            $(".smallUnitName").removeClass("md-hide");
        }
    }

    // 新冠诊断
    if ('U07.100x001,U07.100x002,U07.100x003,Z03.800x001,'.indexOf(data.ake001) >= 0 ) {
        $('#bke180').val('0');//进价
        $("#bke180").attr("readonly", "readonly");
        $("#akc226").attr("readonly", "readonly");
    }

    /*
        如果是诊疗项目类别且该诊疗项目类已经有价格，那么不允许用户输入，否则放开
        1.诊疗项目类(字段：ake003，字段值：1--药品类，2--诊疗项目类，3--服务设施类);
        2.bke013:缺省单位模式价格，bke014:最小单位模式价格;
        3.另注：诊疗项目类价格由开具该药品的人员维护，如果已经维护过则有值，否则没有值（为0或者null）
    */
    if(data.ake003 === "2"){
        if(Boolean(data.bke013)){//如果价格存在（如果值为0也视为不存在）
            $('#bke010').val(data.bke013);
            $("#bke010").attr("readonly", "readonly");
        }
    }

});
//用户点击选择大单位/小单位
Base.click(".div-singleChooseArea>div", function($this){
    var isChoosed = $this.hasClass("div-choosed");
    var isChoosedSmallUnit = $this.hasClass("div-smallUnit");
    if(isChoosed){//已经选中
        //DO NOTHING
    }else{
        $(".div-singleChooseArea>div").removeClass("div-choosed");
        $(".div-singleChooseArea>div").addClass("div-unchoosed");
        $this.removeClass("div-unchoosed");
        $this.addClass("div-choosed");
        //用户点击的是否是小单位
        if(isChoosedSmallUnit){//选择的是小单位
            $(".bigUnit").addClass("md-hide");
			$('#bke180').val(data.bke180);//进价
            $("#bke010").val(data.bke014);
            if(!data.bke006){//小单位的单位名称为空
                $(".smallUnitByHand").removeClass("md-hide");
                $(".smallUnit").addClass("md-hide");
            }else{//小单的单位名称不为空
                $(".smallUnit").removeClass("md-hide");
                $(".smallUnitByHand").addClass("md-hide");
            }
        }else{//用户选择的是大单位
			$('#bke180').val(data.bke180);//进价
            $("#bke010").val(data.bke013);
            $(".bigUnit").removeClass("md-hide");
            $(".smallUnit").addClass("md-hide");
            $(".smallUnitByHand").addClass("md-hide");
        }
    }
});

//用户点击保存
Base.click("#save",function($this){
	var data = md.pageParam;
	var bke180 = $('#bke180').val();//进价
	var price = $('#bke010').val();
    //判读用户输入的是大单位还是小单位
    var isBigUnit = "true";//默认大单位
    var isBigUnitChoosed = $(".div-bigUnit").hasClass("div-choosed");
    if(isBigUnitChoosed){//用户选择的是大单位
        isBigUnit = "true";
    }else{//用户选择的是小单位
        isBigUnit = "false";
    }
    var num = "";//用户输入的数量
    var unitName = "";//单位名称
    if(isBigUnit == "true"){
        num = $('#akc226').val();
        unitName = data.aka067;
    }else{
        //判断小单位的单位名称是系统返回的还是用户手动输入的
        if(!data.bke006){//小单位的单位名称为空
            num = $('#bke006_byHand').val();
            unitName = $(".bke006_byHand").val();
        }else{//小单位的单位名称不为空
            num = $('#bke006').val();
            unitName = data.bke006;
        }
    }
    if (Base.checkInput(num, 20)) {
        Base.msgTip("请输入药品数量");
        return;
    }
    if (!unitName) {
        Base.msgTip("请输入药品单位名称");
        return;
    }
	if (Base.checkInput(price, 20)) {
        Base.msgTip("请输入价格");
        return;
    }
    if (price == '0') {
        if ('U07.100x001,U07.100x002,U07.100x003,Z03.800x001,'.indexOf(data.ake001) >= 0 ) {
            // Do nothing
        } else {
            Base.msgTip("请输入价格");
            return;
        }
    }
    //如果用户选取的是基药类，判断其输入的价格，并给予提示
    if(data.ake003 === "1"){//基药类
        if(price<0.1){
            md.confirm({
                title: '提示',
                msg: '您输入的单价低于0.1元，请确认此金额是否正确；如确认无误，点击下一步。',
                buttons: ['下一步', '取消']
            },function( ret, err ){
                if(ret.buttonIndex == "1"){
                    //执行medicinessearch.js中的脚本函数
                    invokeScriptFunc(data.id, price, num, unitName, bke180);
                    md.closeFrame({
                        name: 'medicinesinfo'
                    });
                }
            });
        }else if(price>100){
            md.confirm({
                title: '提示',
                msg: '您输入的单价高于100元，请确认此金额是否正确；如确认无误，点击下一步。',
                buttons: ['下一步', '取消']
            },function( ret, err ){
                if(ret.buttonIndex == "1"){
                    //执行medicinessearch.js中的脚本函数
                    invokeScriptFunc(data.id, price, num, unitName, bke180);
                    md.closeFrame({
                        name: 'medicinesinfo'
                    });
                }
            });
        }else{
            //执行medicinessearch.js中的脚本函数
            invokeScriptFunc(data.id, price, num, unitName, bke180);
            md.closeFrame({
                name: 'medicinesinfo'
            });
        }
    }else{
        //执行medicinessearch.js中的脚本函数
        invokeScriptFunc(data.id, price, num, unitName, bke180);
        md.closeFrame({
            name: 'medicinesinfo'
        });
    }
});

//执行medicinessearch.js中的脚本函数
function invokeScriptFunc(id_temp, price_temp, num_temp, unitName_temp, bke180_temp){
    md.execScript({
        name: "medicinessearch",
        frameName : "medicinessearch_frame",
        script: "choosemdc('" + id_temp + "', '" + price_temp + "','" + num_temp + "','" + unitName_temp + "','" + bke180_temp + "')"
    });
}

//用户点击取消
Base.click("#cancel",function($this){
    md.closeFrame({
        name: 'medicinesinfo'
    });
});
