var queryList = [];//初始进入页面或者用户点击查询时，查询到的结果
var chooseList = [];//用户进入当前页面后选择的药品
var checkedList = [];//用户先前已经选择的药品
Base.ready(function(){
    var pagedata = md.pageParam;
    checkedList = pagedata.checkedList;
    //刚进入页面即查询药品列表信息
    query('');
});

//头部页面中点击查询时执行的函数
function query(key){
    var param = {};
    param["akb020"] = Base.getStorage("akf001");
	//测试
	// param["akb020"] = Base.getStorage("akb020");
	// param["akb020"] = "H53342300017";
    param["ake002"] = key;
    param["jybh"] = 'VCS049';
    Base.requestServer("queryData", param, function(data){
        queryList = data.output;
        getHtml();
    }, true);
	// cyt.query({
 //        searchKey: key,
 //        bke017: '0',
 //        limit:'100'
 //    }, function(ret, err) {
 //        if(ret) {
 //            //md.toast({msg: '查询成功', duration: 2000});
 //            console.log("--out--:" + JSON.stringify(ret));
 //            queryList = ret.data;
 //            getHtml();
 //        } else {
 //            //md.toast({msg: '请求出错:' + JSON.stringify(err), duration: 5000});
 //        }
 //    });

}
function getHtml(){
    //清除内容
    $(".md-content").html("");
    //显示查询结果
    showquerylist();
    //显示已选药品
    showchooselist(); 
    //显示已添加药品
    showcheckedlist();
}

//显示查询结果
function showquerylist(){
    var count = 0;
    var html = '';
    for(var i=0;i<queryList.length;i++){
        var mark = true;
        for(var j=0;j<chooseList.length;j++){
            if(queryList[i].id == chooseList[j].id){
                mark = false;
            } 
        }
        for(var k=0;k<checkedList.length;k++){
            if(queryList[i].id == checkedList[k].id){
                mark = false;
            } 
        }
        if(mark){
            count = count+1;
            var item = queryList[i];
            html += '<div class="md-box div_mdc_span">'
                        +'<div class="md-box md-ac md-pc" style="width:1.2rem;" data-id=' + item.id + ' >'
                            +'<div class="md-img img_2"></div>'
                        +'</div>'
                        +'<div class="md-box md-ver md-f1 mdc_query" data-id=' + item.id + ' >'
                            +'<div class="md-box md-ac fs-30 div_mdc_title">'+(item.ake002 || "")+'</div>'
                            +'<div class="md-box md-ver">'
                                +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">价格：￥<span style="color :red;">'+(item.bke013 || "0.00")+'</span></div>'
                                +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">'+(item.bke007 || "")+'</div>'
                                +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">规格：'+(item.aka074 || "")+'</div>'
                                +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">包装：'+(item.bke019 || "")+'</div>'
                                +'<div class="md-box md-ac fs-26 div_mdc_content"> '
                                    +'<div class="md-box fs-26 color-8" style="width:50%;">单位：'+(item.aka067 || "")+'</div>'
                                    +'<div class="md-box fs-26  color-8 md-f1">剂型：'+(item.aka070 || "")+'</div>'
                                +'</div>'
                            +'</div>'
                        +'</div>'
                        +'<div class="md-box md-ac md-pc" style="width:.8rem;">'
                            +'<div class="md-img img_1"></div>'
                        +'</div>'
                    +'</div> ';   
        }            
    }
    html = '<div class="md-box md-ac md-pc fs-26" style="height: .6rem; color: #888;background-color: rgba(0,0,0,0.1);">药品信息（'+count+'）</div>'+html
    $(".md-content").append(html);
}

//显示选中的药品(即进入该页面后才选择的)
function showchooselist(){
    var html = "";
    for(var i=0;i<chooseList.length;i++){
        var item = chooseList[i];
        html += '<div class="md-box div_mdc_span">'
                    +'<div class="md-box md-ac md-pc mdc_remove" style="width:1.2rem;" data-id=' + item.id + ' >'
                        +'<div class="md-img img_3"></div>'
                    +'</div>'
                    +'<div class="md-box md-ver md-f1 mdc_choose" data-id=' + item.id + ' >'
                        +'<div class="md-box md-ac fs-30 div_mdc_title">'+(item.ake002 || "")+'</div>'
                        +'<div class="md-box md-ver">'
                            +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">价格：￥<span style="color :red;">'+(item.bke013 || "0.00")+'</span></div>'
                            +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">'+(item.bke007 || "")+'</div>'
                            +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">规格：'+(item.aka074 || "")+'</div>'
                            +'<div class="md-box md-ac fs-26 div_mdc_content"> '
                                +'<div class="md-box fs-26 color-8" style="width:50%;">单位：'+(item.aka067 || "")+'</div>'
                                +'<div class="md-box fs-26  color-8 md-f1">剂型：'+(item.aka070 || "")+'</div>'
                            +'</div>'
                        +'</div>'
                    +'</div>'
                    +'<div class="md-box md-ac md-pc" style="width:.8rem;">'
                        +'<div class="md-img img_1"></div>'
                    +'</div>'
                +'</div> ';
        
    }
    $(".md-content").append(html);
}

//显示已添加药品(即进入该页面之前已经选择的)
function showcheckedlist(){
    var html = "";
    var count = checkedList.length + chooseList.length;
    if(count > 0){
        html = '<div class="md-box md-ac md-pc fs-26" style="height: .6rem; color: #888;background-color: rgba(0,0,0,0.1);">已选药品（'+count+'）</div>';
    }
    for(var i=0;i<checkedList.length;i++){
        var item = checkedList[i];
        html += '<div class="md-box div_mdc_span">'
                    +'<div class="md-box md-ac md-pc" style="width:1.2rem;" data-id=' + item.id + ' >'
                        +'<div class="md-img img_4"></div>'
                    +'</div>'
                    +'<div class="md-box md-ver md-f1 mdc_checked" data-id=' + item.id + ' >'
                        +'<div class="md-box md-ac fs-30 div_mdc_title">'+(item.ake002 || "")+'</div>'
                        +'<div class="md-box md-ver">'
                            +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">价格：￥<span style="color :red;">'+(item.bke013 || "0.00")+'</span></div>'
                            +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">'+(item.bke007 || "")+'</div>'
                            +'<div class="md-box md-ac fs-26 color-8 div_mdc_content">规格：'+(item.aka074 || "")+'</div>'
                            +'<div class="md-box md-ac fs-26 div_mdc_content"> '
                                +'<div class="md-box fs-26 color-8" style="width:50%;">单位：'+(item.aka067 || "")+'</div>'
                                +'<div class="md-box fs-26  color-8 md-f1">剂型：'+(item.aka070 || "")+'</div>'
                            +'</div>'
                        +'</div>'
                    +'</div>'
                    +'<div class="md-box md-ac md-pc" style="width:.8rem;">'
                        +'<div class="md-img img_1"></div>'
                    +'</div>'
                +'</div> ';
        
    }
    $(".md-content").append(html);
}

//用户点击添加药品
Base.click(".mdc_query",function($this){
    var id = $this.attr('data-id');
//    addHot(id);
    queryclikc('1',id);
});

//用户点击修改药品
Base.click(".mdc_choose",function($this){
    var id = $this.attr('data-id');
//    addHot(id);
    queryclikc('2',id);
});

//打开新增或修改药品页面(type==1:添加；type==2:修改)
function queryclikc(type,id){
    var param={};
    if(type == '1'){
        for(var i=0;i<queryList.length;i++){
            var item = queryList[i];
            if( id == item.id){
                param = item;
                param["type"] = '1'

            }
        }  
    }
    if(type == '2'){
        for(var i=0;i<chooseList.length;i++){
            var item = chooseList[i];
            if( id == item.id){
                param = item;
                param["type"] = '2'
            }
        }  
    }
    var x =0;
    var y = 63;
    md.openFrame({
        name: 'medicinesinfo',
        url: 'wgt://cct/costinput/medicinesinfo.html',
        rect: {
            x: x,
            y: y
        },
        pageParam: param,
        bounces: false,
        bgColor: 'transparent',
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        reload:true
    }); 
}

//用户点击删除选中的药品
Base.click(".mdc_remove",function($this){
    var id = $this.attr('data-id');
    var tempList = [];
    for(var i = 0; i < chooseList.length; i++ ) {
        if(chooseList[i].id != id) {
            tempList[tempList.length] = chooseList[i];
        }
    }
    chooseList = tempList;
    getHtml();
});

//确认药品信息(用户在新增或修改药品信息页面中点击”确定“后，执行的脚本函数)
function choosemdc(id,price,num, unitName,bke180){
    var tempList = [];
    for(var i = 0; i < chooseList.length; i++ ) {
        if(chooseList[i].id != id) {
            tempList[tempList.length] = chooseList[i];
        }
    }
    chooseList = tempList;
    for(var j = 0; j < queryList.length; j++ ) {
        if(queryList[j].id == id) {
            var item = queryList[j];
            item.price = price;
            item.num = num;
            item.unitName = unitName;
            item.bke013 = price;
            item.aka067 = unitName;
			item.bke180 = bke180;
            chooseList[chooseList.length] = item;
        }
    }
    console.log("**************chooseList: " + JSON.stringify(chooseList));
    getHtml();
}

//确认选择的药品信息(当用户点击父页面中的确定按钮时执行的脚本函数)
function savemdc(){
    var data = {};
    data.chooseList = chooseList;
    md.execScript({
                name: "costinput",
                frameName : "costinput_frame",
                script: 'getmdc('+  JSON.stringify(data) +')'
            });
    md.closeWin({
        name: 'medicinessearch',
        animation: {
            type: 'push',
            subType:"from_left",
            duration: 300
        }
    });
}

function addHot(id){
    cyt.updateHot({id: id}, function(ret, err) {
            if(ret) {
                console.log("请求成功");
            } else {
                md.toast({msg: '请求出错:' + JSON.stringify(err), duration: 5000});
            }
        });

}

// 校验
Base.click(".div_button",function($this){
    
});