var base_guid;
var promise_day;
var task_name;
var sc_list = [];
Base.ready(function(){
    var data = md.pageParam;
    // 事项编码
    base_guid = data.base_guid;
	promise_day = data.promise_day;
	task_name = data.task_name;
    // 查询依据
    query();
	fnQuery();

});
 /*
    收藏
 */
Base.click(".btn-collection",function($this){
    var value = $this.attr("collectionValue");
    if (value == 0) {
		fnAdd();
        $this.find("span").removeClass("icon-collection").addClass("icon-collection-active");
        $this.attr("collectionValue","1");
		$('#sc').html('已收藏');
    } else if (value == 1) {
		fnDelete();
        $this.find("span").removeClass("icon-collection-active").addClass("icon-collection");
        $this.attr("collectionValue","0");
		$('#sc').html('收藏');
    }
})
/*	查询事项依据
	param:
*/
function query(){
    var param = {};
    param["jybh"] = 'SIH001';
    param["csj012"] = "kmosp243ggfw_kmosp_053";  //接口编号
    param["aaa121"] = 'kmosp0053';  //信息平台分发编号
    param["base_guid"] = base_guid;  //信息平台分发编号
    Base.requestServer("queryData", param, getlist_callback, true);
}

// 新增收藏
function fnAdd() {
	var queryParam = {};
	queryParam["jybh"] = 'VCS071';
	queryParam["aac002"] = Base.getStorage('aac002');
	queryParam["base_guid"] = base_guid;
	queryParam["promise_day"] = promise_day;
	queryParam["task_name"] = task_name;
	Base.requestServer("ckQueryData", queryParam, function(data){
		console.log('查询结果：'+JSON.stringify(data));
		fnQuery();
	}, true);
}

// 查询收藏
function fnQuery() {
	var queryParam = {};
	queryParam["jybh"] = 'VCS075';
	queryParam["aac002"] = Base.getStorage('aac002');
	queryParam["base_guid"] = base_guid;
	Base.requestServer("queryData", queryParam, function(data){
		console.log('查询结果：'+JSON.stringify(data));
		sc_list = data.output;
		if (sc_list.length <= 0) {
			$('.btn-collection').find("span").removeClass("icon-collection-active").addClass("icon-collection");
			$('.btn-collection').attr("collectionValue","0");
			$('#sc').html('收藏');
		} else {
			$('.btn-collection').find("span").removeClass("icon-collection").addClass("icon-collection-active");
			$('.btn-collection').attr("collectionValue","1");
			$('#sc').html('已收藏');
		}
	}, true);
}

// 取消收藏
function fnDelete() {
	var queryParam = {};
	queryParam["jybh"] = 'VCS072';
	queryParam["zhsl_id"] = sc_list[0].zhsl_id;
	Base.requestServer("ckQueryData", queryParam, function(data){
		fnQuery();
	}, true);
}

/*展示依据内容
*/
var N = [
    "零", "一", "二", "三", "四", "五", "六", "七", "八", "九"
];
function convertToChinese(num){
    var str = num.toString();
    var len = num.toString().length;
    var C_Num = [];
    for(var i = 0; i < len; i++){
        C_Num.push(N[str.charAt(i)]);
    }
    return C_Num.join('');
}

function getlist_callback(data){
	if (data.data.r_code == 1) {
        let list = data.data.lawList;
        let html = '';
        html += '<div class="basis-box">';
        if (Object.keys(list).length != 0) {
			let listArr =[];
			if(Base.isArray(list)) {
				listArr = list;
			}else {
				listArr.push(list);
			}
            for (let i = 0; i < listArr.length; i++) {
            	if (listArr[i].law_clause == '' || listArr[i].law_clause == undefined || listArr[i].law_clause ==null) {
                	listArr[i].law_clause = '无'
	            }
	            if (listArr[i].publish_body == '' || listArr[i].publish_body == undefined || listArr[i].publish_body ==null) {
	                listArr[i].publish_body = '无'
	            }
	            if (listArr[i].law_no == '' || listArr[i].law_no == undefined || listArr[i].law_no ==null) {
	                listArr[i].law_no = '无'
	            }
	            if (listArr[i].law_catalog == '' || listArr[i].law_catalog == undefined || listArr[i].law_catalog ==null) {
	                listArr[i].law_catalog = '无'
	            }
	            if (listArr[i].law_content == '' || listArr[i].law_content == undefined || listArr[i].law_content ==null) {
	                listArr[i].law_content = '无'
	            }
                html +='<div class="basis-title">'+
                        '<span class="title-bg"></span>'+
                        '<span class="title">设立依据'+convertToChinese(i+1)+'</span>'+
                    '</div>'+
                    '<div class="basis-content">'+
                        '<p>法律法规名称：'+listArr[i].law_clause+'</p>'+
                        '<p>发文单位：'+listArr[i].publish_body+'</p>'+
                        '<p>依据文号：'+listArr[i].law_no+'</p>'+
                        '<p>条款号：'+listArr[i].law_catalog+'</p>'+
                        '<p>条款内容：'+listArr[i].law_content+'</p>'+
                    '</div>';

            }
        } else {
            html += '<div class="basis-title">'+
                        '<span class="title-bg"></span>'+
                        '<span class="title">无设立依据</span>'+
                    '</div>';
        }
        html +='</div>';
        $("#basis").html(html);
    } else {
        Base.msgTip("未获取到事项设立依据信息！");
    }
}

var task_name = decodeURIComponent(getUrlParms("task_name"));
/*	跳转申报页面
	param:base_guid 事项编码
*/
Base.click(".btn-declare",function(){
	var queryParam = {};
	queryParam["jybh"] = 'VCS075';
	queryParam["aac002"] = Base.getStorage('aac002');
	queryParam["base_guid"] = base_guid;
	Base.requestServer("ckQueryData", queryParam, function(data){});
	var param = {
        "base_guid":base_guid,
		"promise_day": promise_day
    }
	var data = {};
	data.url = "wgt://generalService/declare/titleNav.html";
	data.name = "titleNav";
	data.title = "资料上传";
	data.frameName = "uploadData";
	// data.frameUrl = "wgt://generalService/declare/faceReco.html";
	data.frameUrl = "wgt://generalService/declare/uploadData.html?"+"task_name="+task_name;
	data.reload = true;
	data.framePageData = param;
	Base.openWin(data);
})

//获取地址栏参数，name:参数名称
function getUrlParms (name) {
	let url = window.location.href;//获取请求进来的完整url
	let tstr = url.substring(url.indexOf('?') + 1).split('&');//先截取url的?后面的参数部分，在根据&分割成参数数组
	let result = {};
	tstr.forEach((item) => {
		let res = item.split('=');//res为type,my-component1.vue。  res[0]为type，res[1为]my-component1.vue
		result[res[0]] = res[1];//构造成键值对形式 res[0]为键，res[1]为值 例：type: "my-component1.vue"
	})
	return result[name];//通过键取值
}
