/*  初始化调用查询方法
    data：事项大类信息 一级、二级
*/
var menuOne = []; //一级菜单
var menuThree = []; //常用事项
var allMatters = []; //所有事项
Base.ready(function(){
    query(); //默认查询一级菜单
});
function fnQueryChild(index) {
    /*
      点击导航栏展示对应事项
    */
    $(".declare-menu span").eq(index).addClass("active").siblings().removeClass("active");
    if (index == 0) {
        fnQueryToCollection();
    } else {
        fnQueryTasks(index-1);
    }
}
// 查询常用事项
function fnQueryToCollection(){
    if (menuThree.length !=0 ) {
        $("#task-matters").html("");
        let html = '';
        html += '<div class="md-box md-ver">'+
                    '<div class="md-box">'+
                        '<div class="task-item">'+
                            '<div class="task-item-content">';

        for (let i = 0; i < menuThree.length; i ++) {
            html += '<div class="task-matter" onclick="fnClickToBasis('+ "'" + menuThree[i].base_guid +"','" + menuThree[i].local_task_name +"','" + menuThree[i].promise_day +"'"+')">'+
                        '<span class="icon icon-sc"></span>'+
                        '<span class="text">'+menuThree[i].local_task_name+'</span>'+
                    '</div>';
        }
        html += '</div>'+
                '</div>'+
                '</div>'+
                '</div>';
        //常用事项展示
        $("#task-matters").html(html);
    } else {
        var param = {};
        param["jybh"] = 'SIH001';
        param["csj012"] = "kmosp243ggfw_kmosp_052";  //接口编号
        param["aaa121"] = 'kmosp0052';  //信息平台分发编号
        Base.requestServer("queryData", param, function(data) {  //生成常用事项列表
            $("#task-matters").html("");
            let list = data.data.hotList;
            menuThree = list;
            let html = '';
            html += '<div class="md-box md-ver">'+
                        '<div class="md-box">'+
                            '<div class="task-item">'+
                                '<div class="task-item-content">';

            for (let i = 0; i < list.length; i ++) {
                html += '<div class="task-matter" onclick="fnClickToBasis('+ "'" + list[i].base_guid +"','" + list[i].local_task_name +"','" + list[i].promise_day +"'"+')">'+
                            '<span class="icon icon-sc"></span>'+
                            '<span class="text">'+list[i].local_task_name+'</span>'+
                        '</div>';
            }
            html += '</div>'+
                    '</div>'+
                    '</div>'+
                    '</div>';
            //常用事项展示
            $("#task-matters").html(html);
        }, true);
    }
}
//查询一级菜单
function query(){
    var param = {};
    param["jybh"] = 'SIH001';
    param["csj012"] = "kmosp243ggfw_kmosp_001";  //接口编号
    param["aaa121"] = 'kmosp0001';  //信息平台分发编号
    Base.requestServer("queryData", param, getlist_callback, true);
}
function getlist_callback(data){
    if (data.code == 'S001') {
        //获取数组内容
        let list =[];
		if(Base.isArray(data.data.rows)) {
			list = data.data.rows;
		}else {
			list.push(data.data.rows);
		}
        menuOne = list;
        //清空导航内容
        $(".declare-menu").html("");
        //变量获取导航内容
        let html = '';
        html += '<span class="active" onclick="fnQueryChild(0)">常用事项</span>';  //默认常用事项最前
        for (let i = 0; i < list.length; i++) {
            if (list[i].pid == -1) {
                html += '<span idnum="'+list[i].id+'" onclick="fnQueryChild('+ "'" + (i+1) +"'"+')">'+list[i].name+'</span>';
            }
        }
        //页面赋值
        $(".declare-menu").append(html);
        $("#app").show();
        //默认展示常用事项
        fnQueryToCollection();
        for (let i = 0; i < list.length; i++) {
            fnQueryAllMatters(list[i].id,list[i].dic_value);
        }

    } else {
        Base.msgTip("查询服务出错，请稍后再试！");
        //查询出错，返回上个页面
        md.closeWin({
            animation: {
                type: 'fade',
                duration: 0
            }
        });
    }

}


//查询二级菜单下所有三级事项
function fnQueryAllMatters(id, value) {
var param = {};
    param["jybh"] = 'SIH001'; //交易编号
    param["csj012"] = "kmosp243ggfw_kmosp_055";  //接口编号
    param["aaa121"] = 'kmosp0055';  //信息平台分发编号
    param["dic_value"] = value;
    param["mlId"] = id;
    Base.requestServer("queryData", param, function(data){
        if (data.data.r_code == 1) {
            let list =[];
            if(Base.isArray(data.data.rows)) {
            	list = data.data.rows;
            }else {
            	list.push(data.data.rows);
            }
            for (let i = 0; i < list.length; i++) {
                allMatters.push(list[i]);
            }
        }
    })
}

//展示服务事项 二级
function fnQueryTasks(index) {
    console.log('--------------------------------')
    console.log(JSON.stringify(menuOne))
    // 事项清空
    $("#task-matters").html("");
    let html = '';
    for (let i = 0; i < menuOne.length; i ++) {
        if (menuOne[i].pid == menuOne[index].id) {
            //调用查询三级事项
            fnQueryTasksDetails(menuOne[i].id,menuOne[i].dic_value,i,menuOne[i].name);
        }
    }


}

//查询服务事项 三级
function fnQueryTasksDetails(id, value,i,name) {
    //文件创建
    var param = {};
    param["jybh"] = 'SIH001'; //交易编号
    param["csj012"] = "kmosp243ggfw_kmosp_055";  //接口yong编号
    param["aaa121"] = 'kmosp0055';  //信息平台分发编号
    param["dic_value"] = value;
    param["mlId"] = id;
    Base.requestServer("queryData", param, function(data){
        if (data.data.r_code == 1) {
            // $("#task-matters").html("");
            //事项详情展示
            $("#task-matters").append('<div class="md-box md-ver">'+
                '<div class="md-box">'+
                '<div class="task-item">'+
                '<div class="task-item-title">'+
                '<span class="icon icon-index"></span>'+
                '<span>'+name+'</span>'+
                '</div>'+
                '<div class="task-item-content item'+i+'">'+
                '</div>'+
                '</div>'+
                '</div>'+
                '<div class="service-content-line"></div>'+
                '</div>');
            let list =[];
            if(Base.isArray(data.data.rows)) {
            	list = data.data.rows;
            }else {
            	list.push(data.data.rows);
            }
            menuTwo = list;
            let html = '';
            for (let i = 0; i < list.length; i++) {
                html += '<div class="task-matter" onclick="fnClickToBasis('+ "'" + list[i].base_guid +"','" + list[i].local_task_name +"','" + list[i].promise_day +"'"+')">'+
                    '<span class="icon icon-title"></span>'+
                    '<span class="text">'+list[i].local_task_name+'</span>'+
                '</div>'
            }
            $(".item"+i).html(html)
        } else {
            return '暂无数据';
        }
    }, true);
}
/*  点击事项进入设立依据界面
    params:跳转携带对应事项参数
*/
function fnClickToBasis(base_guid,task_name,promise_day) {
    var param = {
        "base_guid":base_guid,
		"task_name":task_name,
		"promise_day": promise_day || ''
    }

    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = "declare_basis";
    data.title = "设立依据";
    data.frameUrl = "wgt://generalService/declare/declare_basis.html";
    data.frameName = "declare_basis";
    data.reload = true;
    data.framePageData = param;
    Base.openWin(data);
}

/*
    搜索框
 */
Base.click("#query-matters",function($this){
   var param = {
        "allMatters":allMatters
    }
    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = "declare_query";
    data.title = "事项查询";
    data.frameUrl = "wgt://generalService/declare/declare_query.html";
    data.frameName = "declare_query";
    data.reload = true;
    data.framePageData = param;
    Base.openWin(data);
})
