"use strict";

// Vue对象示例
var app = null;
var task_name = decodeURIComponent(getUrlParms("task_name"));
// -- 界面初始化
Base.onViewCreate(function() {
    // appInit();
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
	console.log("999999999999999999999999999999999999999:"+task_name);
    // Vue状态清理
    appInit();
	md.addEventListener({
	   name: 'e_sign'
	}, function( ret ){
		console.log(JSON.stringify(ret));
		app.signImg = ret.dataURL;
		app.relImg = ret.img;
	});
	app.fnInit();

});

function appInit(){
	app = new Vue({
        el: '#app',
        data: {
			org: {},
			base_guid: '',
			promise_day: '',
			takeTypeList: [{label: '大厅取件', value: 1}, {label: '快递取件', value: 2}, {label: '网上取件', value: 3}],
			takeType: {},
			infoList: [],
			pdf: '',
			kd: {
				name: '',
				phone: '',
				yb: '',
				addr: ''
			},
			baeList: [],
			signImg: '',
			relImg: '',
			csk002: '00000000000000001P1669900001333',
			yaz001: '',
			yaz002: ''
        },
        methods: {
			fnGetQrcode: function() {
				var _this = this;
				var imgValue = 'kmzhsl' + JSON.parse(Base.getStorage('zhslbjbh')).project_no;
				var qrcode = new QRCode(document.getElementById("imgcode"),{
					width: 80,
					height: 80
				});
				qrcode.makeCode(imgValue);
				setTimeout(function(){
					var imgSrc = $("#imgcode>img").attr("src");//生成图片base64
					console.log(imgSrc);
					var index = imgSrc.indexOf(",") // 条形码Base64前缀下标
					var imgString = imgSrc.substring(index + 1); // 条形码去掉前缀Base64
					var queryParam = {};
					queryParam["aaa121"] = 'kmosp0017';
					queryParam["csj012"] = 'kmosp243kmosp0017';
					queryParam["jybh"] = 'SIH001';
					queryParam["sign"] = _this.textToImg(Base.getStorage('aac003'));
					queryParam["pdf"] = Base.getStorage('sldpdf');
					queryParam["img2"] = imgString;
					queryParam["credit_code"] = _this.org.credit_code;
					for(var key in queryParam) {
						console.log(queryParam[key]);
					}
					Base.requestServer("queryData", queryParam, function(data){
						console.log('查询结果：'+JSON.stringify(data));
						if ('S001' == data.code) {
							Base.setStorage('sldpdf',data.data.signPdf);
						}
					}, true);
				},200);
			},
			textToImg: function(name) {
				var fsize = 50;//图片中字体的大小
				//这块判断传过来的参数是否为空
				//判断大概的长度，是否需要截取等等
				var fontSize = 60;
				var fontWeight = "bold";
				var canvas = document.getElementById("head_canvas_default");
				var img1 = document.getElementById("head_canvas_default");
				canvas.width = 160;
				canvas.height = 90;
				var context = canvas.getContext("2d");
				context.fillStyle = "#FFFFFF";
				context.fillRect(0, 0, canvas.width, canvas.height);
				context.fillStyle = "#333333"; //文字颜色
				context.font = fontWeight + " " + fsize + "px sans-serif";
				context.textAlign = "left";
				context.textBaseline = "middle";
				context.fillText(name, fontSize, fontSize);
				var base64 =  canvas.toDataURL("image/png"); //生成图片base64
				var index = base64.indexOf(",")
				var base64String = base64.substring(index + 1);//去掉图片base前缀
				return base64String;
			},
			fnGetYaz001: function() {
				var _this = this;
				var queryParam = {};
				queryParam["csk002"] = _this.csk002;
				queryParam["csj012"] = 'psmpBa001';
				queryParam["jybh"] = 'SIH001';
				queryParam["csj099"] = '';
				queryParam["jessionid"] = '123';
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						_this.yaz001 = data.data.yaz001;
						_this.fnGetYaz002();
					}
				}, true);
			},
			fnGetYaz002: function() {
				var _this = this;
				var queryParam = {};
				queryParam["csk002"] = _this.csk002;
				queryParam["csj012"] = 'psmpBa002';
				queryParam["jybh"] = 'SIH001';
				queryParam["yaz001"] = _this.yaz001;
				queryParam["csj099"] = '';
				queryParam["jessionid"] = '123';
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						_this.yaz002 = data.data.yaz002;
					}
				}, true);
			},
			fnInit: function() {
				this.org = JSON.parse(Base.getStorage('zhslorg'));
				this.promise_day = JSON.parse(Base.getStorage('promise_day_guid')).promise_day;
				this.base_guid = JSON.parse(Base.getStorage('promise_day_guid')).base_guid;
				var take_type_info = JSON.parse(Base.getStorage('take_type_info'));
				console.log(take_type_info);
				this.takeType = take_type_info.take_type;
				this.kd = take_type_info.kd;
				this.fnGetYaz001();
				this.fnGetQrcode();
				// this.fnGetSource();
			},
        	fnGetSource: function() {
				// 查询反馈结果
        		var _this = this;
        		var queryParam = {};
        		queryParam["aaa121"] = 'kmosp0028';
        		queryParam["csj012"] = 'kmosp243ggfw_kmosp_028';
        		queryParam["jybh"] = 'SIH001';
        		queryParam["base_guid_list"] = _this.base_guid;
        		console.log('--queryParam--' + JSON.stringify(queryParam));
        		Base.requestServer("queryData", queryParam, function(data){
        			console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						if(Base.isExist(data.data.output)) {
							if (Base.isArray(data.data.output)) {
								_this.infoList = data.data.output;
							}else {
								_this.infoList.push(data.data.output);
							}
						}else {
							if (Base.isArray(data.data)) {
								_this.infoList = data.data;
							}else {
								_this.infoList.push(data.data);
							}
						}
						if (_this.infoList.length > 0) {
							_this.takeType = _this.takeTypeList[0];
						}
        			}
        		}, true);
        	},
			fnNext: function() {
				var jsfun = 'fnTurnPage("2");';
				md.execScript({
				    name: 'titleNav',
				    script: jsfun
				});
			},
			fnPrev: function() {
				var jsfun = 'fnTurnPageType("0");';
				md.execScript({
				    name: 'titleNav',
				    script: jsfun
				});
				md.closeFrame();
			},
			fnShowType: function() {
				$('.u-camera-selected').removeClass('md-hide');
			},
			fnChooseType: function(takeType) {
				var _this = this;
				$('.u-camera-selected').addClass('md-hide');
				_this.takeType = takeType;
			},
			fnOpenSignPad: function() {
				var param = {};
				param.relImg = this.relImg;
			    var data = {};
			    data.url = "wgt://km/common/title_nav.html";
			    data.name = "eSign";
			    data.title = "电子签名";
			    data.frameUrl = "wgt://generalService/declare/eSign.html";
			    data.frameName = "eSignFrame";
			    data.reload = true;
			    data.framePageData = param;
			    Base.openWin(data);
			},
			fnInfosured: function() {
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0013';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_013';
				queryParam["jybh"] = 'SIH001';
				queryParam["project_no"] = JSON.parse(Base.getStorage('zhslbjbh')).project_no;
				queryParam["material_code"] = 'PX0019';
				queryParam["material_name"] = '用户确认资料';
				queryParam["base64"] = Base.getStorage('sldpdf');
				queryParam["scan_name"] = '昆明市人社通';
				queryParam["file_name"] = '用户确认资料.pdf';
				queryParam["is_need"] = '0';
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						_this.fnCommit();
					}
				}, true);
			},
			fnCommit: function() {
				// 受理
				var _this = this;
				var queryParam = {};
				var bjbh = JSON.parse(Base.getStorage('zhslbjbh'));
				var zhslorg = JSON.parse(Base.getStorage('zhslorg'));
				var materialList = JSON.parse(Base.getStorage('zhslmateriallist'));
				for (var i = 0; i < materialList.length; i++) {
					materialList[i].local_task_name = materialList[i].local_task_names;
				}
				var info_sured = JSON.parse(Base.getStorage('info_sured'));
				var baeList = [];
				baeList.push({
					'csk002': _this.csk002,
					'yaz002': _this.yaz002,
					'bae014': info_sured.baeList[0].bae014,
					'bae015': '1',
					'bae016': info_sured.baeList[0].bae016,
					'cba015': bjbh.project_no

				});
				queryParam["aaa121"] = 'kmosp0012';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_012';
				queryParam["jybh"] = 'SIH001';
				queryParam["csk002"] = _this.csk002;
				queryParam["yaz001"] = _this.yaz001;	//业务号
				queryParam["yaz002"] = _this.yaz002;
				queryParam["cba015"] = bjbh.project_no;
				queryParam["loginid"] = zhslorg.loginId;
				queryParam["cae014"] = "昆明市人社通";
				queryParam["cae013"] = "昆明市人社通";
				queryParam["cae015"] = '110986';
				queryParam["cae016"] = zhslorg.loginId;
				queryParam["applyer_type"] = '1';	//申请类型，单位或者个人
				queryParam["checkRepeat"] = '0';
				queryParam["accept_business_data"] = '';	//业务数据
				queryParam["take_type"] = info_sured.takeType.value;	// 领取方式
				queryParam["zip_code"] = info_sured.kd.addr;	// 邮寄地址
				queryParam["address_"] = info_sured.kd.yb;	//邮政编码
				queryParam["reception"] = info_sured.kd.name;	// 收件人姓名
				queryParam["reception_mobile"] = info_sured.kd.phone;	//收件人联系电话
				queryParam["materialList"] = materialList;	//资料列表
				queryParam["project_no"] = bjbh.project_no;	//办件编号
				queryParam["baeList"] = baeList;
				queryParam["bae014"] = info_sured.baeList[0].bae014;
				queryParam["bae015"] = info_sured.baeList[0].bae015;
				queryParam["bae016"] = info_sured.baeList[0].bae016;
				queryParam["oldList"] = [];
				queryParam["one_thing_code"] = '';
				queryParam["one_thing_name"] = '';
				queryParam["base_guid_list"] = info_sured.base_guid;
				queryParam["applyer_name"] = info_sured.baeList[0].bae014;
				queryParam["applyer_name1"] = '';
				queryParam["applyer_name2"] = '';
				queryParam["applyer_page_code"] = info_sured.baeList[0].bae016;
				queryParam["applyer_page_code1"] = '';
				queryParam["applyer_page_code2"] = '';
				queryParam["applyer_page_type"] = '111';
				queryParam["contact_mobile"] = Base.getStorage("yae098");
				queryParam["is_batch_personal"] = '2';
				queryParam["remark_"] = '';
				console.log('--queryParam--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						_this.fnNext();
					}
				}, true);
			}
        }
    });
}

function doBack() {
	app.fnPrev();
}
//获取地址栏参数，name:参数名称
function getUrlParms (name) {
	let url = window.location.href;//获取请求进来的完整url
	let tstr = url.substring(url.indexOf('?') + 1).split('&');//先截取url的?后面的参数部分，在根据&分割成参数数组
	let result = {};
	tstr.forEach((item) => {
		let res = item.split('=');//res为type,my-component1.vue。  res[0]为type，res[1为]my-component1.vue
		result[res[0]] = res[1];//构造成键值对形式 res[0]为键，res[1]为值 例：type: "my-component1.vue"
	})
	return result[name];//通过键取值
}
