"use strict";

// Vue对象示例
var app = null;

// -- 界面初始化
Base.onViewCreate(function() {
    // appInit();
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
});

Base.click("#sld",function($this){
	//文件创建
	Base.showGifMask();
	var fileType = 'pdf';
	var fileName = '昆明市人力资源和社会保障业务受理单';
	var base64 = Base.getStorage('sldpdf');
	// base64 = 'JVBERi0xLjQKJeLjz9MKMiAwIG9iaiA8PC9GaWx0ZXIvRmxhdGVEZWNvZGUvTGVuZ3RoIDM5';
	$.ajax({
		type: 'POST',
		url:Base.fileServerPath + 'sireport/create_file',
		data:{
			fileType: fileType,
			base64: base64
		},
		success: function(ret) {
			Base.removeGifMask();
			// var encData =JSON.parse(ret).data;
			// var data = {};
			// data.encData = encData;
			// console.log(JSON.stringify(data));
			var data = JSON.parse(ret);
			//解密
			rsaEncrypt.decrypt(data, function(_ret,err){
				// console.log('ajax response: ret(' + JSON.stringify(_ret) + '),ajax response: ret(' + JSON.stringify(err) + ')');
				data = _ret.data || {};
				if(data.appcode === '0') {
					var downloadParam = {};
					downloadParam.fileName = fileName;
					downloadParam.downloadToken = _ret.data.downloadToken;
					downloadParam.fileType = fileType;
					app.fnOpenDownload(downloadParam);
				} else {
					Base.msgTip(data.message || '服务器返回错误！');
				} 
			}); 
		}
	});
});

function appInit(){
	app = new Vue({
        el: '#app',
        data: {
			testPath: 'http://192.168.0.103:8083/esb/front/services/'
        },
        methods: {
			fnCheckSource: function() {
				var _this = this;
				//文件创建
				Base.showGifMask();
				var fileType = "pdf";
				var fileName = "昆明市人力资源和社会保障业务受理单.pdf";
				var base64 = Base.getStorage('sldpdf');
				md.ajax({url: Base.fileServerPath + 'sireport/create_file', method: 'post', tag:'postmethod', timeout: 1800, data: {values: {fileType: fileType, base64: base64}}},
					function(ret, err) {
						// 关闭蒙层
						Base.removeGifMask();
						// 如果有错误, 或返回数据为空
						if(err || !ret || !ret.body) {
							console.log('ajax error: err(' + JSON.stringify(err) + '), ret(' + JSON.stringify(ret) + ')');
							Base.msgTip('服务器忙，请重试！');
						} else {
							var data = ret.body;
							//解密
							rsaEncrypt.decrypt(data, function(_ret,err){
								console.log('ajax response: ret(' + JSON.stringify(_ret) + ')');
								data = _ret.data || {};
								if(data.appcode === '0') {
									var downloadParam = {};
									downloadParam.fileName = fileName;
									downloadParam.downloadToken = _ret.data.downloadToken;
									downloadParam.fileType = fileType;
									_this.fnOpenDownload(downloadParam);
								} else {
									Base.msgTip(data.message || '服务器返回错误！');
								} 
							}); 
						}
					});
			},
        	fnOpenDownload:function(param){
        		var data = {};
        	    data.reload = true;
        	    data.url = "wgt://km/common/title_nav.html";
        	    data.name = "downloadSiHanding";
        	    data.title = "受理单下载";
        	    data.frameName= "downloadSiHanding_frame";
        	    data.frameUrl = "wgt://km/sihanding/html/downloadSiHanding.html";
        	    data.framePageData = param;
        	    Base.openWin(data);
        	},
			// fnOpenPdf:function(){
			// 	var data = {};
			//     data.reload = true;
			//     data.url = "wgt://km/common/title_nav.html";
			//     data.name = "pdfShow";
			//     data.title = "预览文件";
			//     data.frameName= "pdfShow_frame";
			//     data.frameUrl = "wgt://generalService/declare/pdfShow.html";
			//     data.framePageData = {};
			//     Base.openWin(data);
			// },
			fnClose: function() {
				md.closeToWin({
				    name: 'root'
				});
			}
        }
    });
}