
let app = null;
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
	app.fnGetActivites();
});
function appInit(){
	app = new Vue({
		el: '#app',
		data: {
			isShow: false,
			"aac002": Base.getStorage("aac002")|| '',
			"activities": {}
		},
		methods: {
			fnGetActivites () {
				var _this = this;
				var param = {};
		        param["jybh"] = 'SIH001';
		        param["csj012"] = "kmosp243kmosp0062";  //接口编号
		        param["aaa121"] = 'kmosp0062';  //信息平台分发编号

		        param["aac002"] = _this.aac002;
				// param["aac002"] = '530123196401123935';
				// param["aac002"] = '530111195801201111';
				// param["aac002"] = '532502195004090313';
				// param["aac002"] = '530123195006280418';//
		        Base.requestServer("queryData", param, function(data) {  //生成常用事项列表
	        		console.log('data: '+ JSON.stringify(data));
					if (Base.isExist(data.data)) {
	        			_this.activities = data.data.actList;
		        		if(!Base.isExist(_this.activities)) {
							Base.noDataPage("#app", "未查询到退休人员基本信息");
							return false;
						}
						_this.activities.aac003_re = Base.replaceName(_this.activities.aac003);
						_this.activities.aac002_re = Base.replaceWithSymbol(_this.activities.aac002, 6, 9, "*");
						_this.activities.aae005_re = Base.replaceWithSymbol(_this.activities.aae005, 3, 4, "*");
						_this.activities.reg107_re = Base.replaceWithSymbol(_this.activities.reg107, 3, _this.activities.reg107.length - 6, "*");
	        		} else {
						Base.noDataPage("#app", "未查询到退休人员基本信息");
					}
					_this.isShow = true;

		        },true)
			},
			fnToDetails(value) {
				var param = {
		        	"detail":value
		   		 }
			    var data = {};
			    data.url = "wgt://km/common/title_nav.html";
			    data.name = "retire_detail";
			    data.title = "活动详情";
			    data.frameUrl = "wgt://generalService/retire/retireActivityContent.html";
			    data.frameName = "retire_detail";
			    data.reload = true;
			    data.framePageData = param;
			    Base.openWin(data);
			}
		}
	})
}
