	function toast(msg) {
	    md.toast({msg: msg, duration: 5000});
	};

	// function init() {
	//     hlIdcardOcr.init({serverList: ['223.93.147.251:59090'], cerFile: 'hlfaceapi'}, function(ret, err) {
	//         toast('插件初始化 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	//     });
	// };

	function startIdCardOcr(frontSide) {
	    hlIdcardOcr.idCardOcr({frontSide: !!frontSide}, function(ret, err) {
	        toast('拍摄身份证（' + frontSide + '） ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));

	        if(ret) {
	            if(frontSide) {
	                hlIdcardOcr.getImage({type: '1'}, function(ret, err) {
	                    if(ret) {
	                        document.getElementById('idcardF').src = 'data:image/jpeg;base64,' + ret.base64;
	                    } else {
	                        toast('获取照片 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	                    }
	                });
	            } else {
	                hlIdcardOcr.getImage({type: '2'}, function(ret, err) {
	                    if(ret) {
	                        document.getElementById('idcardB').src = 'data:image/jpeg;base64,' + ret.base64;
	                    } else {
	                        toast('获取照片 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	                    }
	                });
	            }
	        }
	    });
	};

	function takeFacePhoto() {
	    hlIdcardOcr.takeFacePhoto({}, function(ret, err) {
	        toast('拍摄照片 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));

	        hlIdcardOcr.getImage({type: '3'}, function(ret, err) {
	            if(ret) {
	                document.getElementById('photo').src = 'data:image/jpeg;base64,' + ret.base64;
	            } else {
	                toast('获取照片 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	            }
	        });

	        hlIdcardOcr.getImage({type: '0'}, function(ret, err) {
	            if(ret) {
	                document.getElementById('face').src = 'data:image/jpeg;base64,' + ret.base64;
	            } else {
	                toast('获取照片 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	            }
	        });
	    });
	};

	function faceCompare() {
	    hlIdcardOcr.faceCompare({}, function(ret, err) {
	        toast('人脸对比 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	    });
	};

	function doClear() {
	    hlIdcardOcr.clear({}, function(ret, err) {
	        toast('清理 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	        if(ret) {
	            document.getElementById('idcardF').src = '';
	            document.getElementById('idcardB').src = '';
	            document.getElementById('photo').src = '';
	            document.getElementById('face').src = '';
	        }
	    });
	};

onViewOpen=function(){
    //初始化插件
    // hlIdcardOcr.init({serverList: ['223.93.147.251:59090'], cerFile: 'hlfaceapi'}, function(ret, err) {
    //     console.log('插件初始化 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
    // });
};
onViewClose=function(){
    //清除缓存
    hlIdcardOcr.clear({}, function(ret, err) {
        console.log('清理 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
        if(ret) {
            document.getElementById('idcardF').src = '';
            document.getElementById('idcardB').src = '';
            document.getElementById('photo').src = '';
            document.getElementById('face').src = '';
        }
    });
};
