var queryPersonType = '1';//医保三大目录查询下的人群类别类型
var specPersonType = '1';//两特用药范围查询下的人群类别类型
var specDiseaseType = '';//两特用药范围查询下的两特病种类型
Base.ready(function(){
    /*医保三大目录查询：人群类别————创建页面底部的动画选择框*/
    var queryPersonTypePicker = new mdui.PopPicker();
    queryPersonTypePicker.setData([
        {value: '1', text: '职工'},
        {value: '2', text: '居民'},
        {value: '3', text: '离休'}
    ]);
    $('#query .person-type a').click(function() {
        queryPersonTypePicker.show(function(item) {
            queryPersonType = item[0].value;
            $('#query .person-type a .select-value').html(item[0].text);
        });
    });
    
    var specDiseaseTypePicker = new mdui.PopPicker();
    //加载相应人群类别下的病种信息
    function loadDiseaseType() {
        specDiseaseType = '';
        $('#spec .disease-type a .select-value').html('-- 请选择 --');
        var param = {
            bka004: '', // 病种名称
            bac002: specPersonType  // 人群类别(目前就两种：1职工，2居民)
        };
        Base.requestServer("querySpecialIllness", param, function(data) {
            var newDiseaseTypeList= [];
            var list = data.output;
            //备注：bka001为病种编码，bka004为病种名称
            for(var i = 0; i < list.length; i++) {
                newDiseaseTypeList[newDiseaseTypeList.length] = {value: list[i].bka001, text: list[i].bka004};
            }
            specDiseaseTypePicker.setData(newDiseaseTypeList);
        });
    }
    loadDiseaseType();
    /*两特用药范围查询：人群类别————创建页面底部的动画选择框*/
    var specPersonTypePicker = new mdui.PopPicker();
    specPersonTypePicker.setData([
        {value: '1', text: '职工'},
        {value: '2', text: '居民'}
    ]);
    $('#spec .person-type a').click(function() {
        specPersonTypePicker.show(function(item) {
            specPersonType = item[0].value;
            $('#spec .person-type a .select-value').html(item[0].text);
            loadDiseaseType();
        });
    });
    /*两特用药范围查询：两特病种————创建页面底部的动画选择框*/
    $('#spec .disease-type a').click(function() {
        specDiseaseTypePicker.show(function(item) {
            specDiseaseType = item[0].value;
            $('#spec .disease-type a .select-value').html(item[0].text);
        });
    });
});

//点击查询按钮
function queryInfoFunc(){
    //alert(specDiseaseType + ", " + specPersonType + ", " + queryPersonType);
    //医保三大目录查询
    if($("#segmentedControl a:nth-child(1)").hasClass("mdui-active")){
        //alert("医保三大目录查询");
        var bac002 = $("#query span").text();//人群类别
        var ake002 = $("#div_queryCondition input").val();//目录名称
        var inputParam = {
            queryPersonType: queryPersonType,//人群类别编码
            bac002: bac002,
            ake002: ake002
        };
        if(bac002 == "-- 请选择 --"){
            Base.msgTip("请您先选择要查询的人群类别！");
        }else if(ake002 == ""){
            Base.msgTip("请您先输入要查询的药品名称！");
        }else{
            var data = {};
            data.url = "wgt://km/common/title_nav.html";
            data.name = "drug_info";
            data.title = "医保三大目录药品信息";
            data.frameName = "drug_info_fram";
            data.frameUrl = "wgt://km/drugs_catalog/drug_info.html";
            data.framePageData = inputParam;
            data.reload = true;
            Base.openWin(data);
        }
    }
    //两特用药范围查询
    if($("#segmentedControl a:nth-child(2)").hasClass("mdui-active")){
        //alert("两特用药范围查询");
        var bka001 = $("#sick_catalog").text();//病种编码
        var bac002 = $("#person_catalog").text();//人群类别
        var ake002 = $("#div_queryCondition input").val();//目录名称
        var inputParam = {
            specPersonType: specPersonType,//人群编码
            specDiseaseType: specDiseaseType,//病种编码
            bac002: bac002,
            ake002: ake002,
            bka001: bka001
        };
        if(bac002 == "-- 请选择 --"){
            Base.msgTip("请您先选择要查询的人群类别！");
        }else if(bka001 == "-- 请选择 --"){
            Base.msgTip("请您先选择要查询的病种类别！");
        }else if(ake002 == ""){
            Base.msgTip("请您先输入要查询的药品名称！");
        }else{
            var data = {};
            data.url = "wgt://km/common/title_nav.html";
            data.name = "drug_info";
            data.title = "两特病种药品信息";
            data.frameName = "drug_info_fram";
            data.frameUrl = "wgt://km/drugs_catalog/drug_info.html";
            data.framePageData = inputParam;
            data.reload = true;
            Base.openWin(data);
        }
    }

}
/*
//点击“医保三大目录信息查询”与“两特病种药品信息”标题时的切换效果（主要在于清空下面条件栏中的信息）
function toggleFunc1(){
    alert("toggleFunc1");
    $("#query span").text("-- 请选择 --");
    $("#div_queryCondition").val("");
    
}
function toggleFunc2(){
    alert("toggleFunc2");
    $("#person_catalog").text("-- 请选择 --");
    $("#sick_catalog").text("-- 请选择 --");
    $("#div_queryCondition").val("");
}
*/
