Base.ready(function(){
    /*从后台查询数据*/
    queryData();
});

/*从后台查询数据*/
function queryData(){
    //获取个人编号
    var personalId = Base.getStorage("aac001");
    //var personalId = "1000000001157297";
    var inputParam = {};
    inputParam["aac001"] = personalId;
    inputParam["jybh"] = "Q310022";
    Base.requestServer("queryData", inputParam, queryResultInfoFunc, true); 
}
/*回调函数*/
function queryResultInfoFunc(callBackParam){
    var outputParam = callBackParam["output"];  
    //如果未查询到相关信息，需要给用户予以提示
    if(Number(outputParam) == 0){
        $(".div_outerFrame").html("");
        Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
    }else{
        $(".div_outerFrame").html("");
        for(var key in outputParam){
            var subOutputParam = outputParam[key];
            //发放时间
            var aae002 = subOutputParam["aae209"];
            //待遇金额
            var amc033 = subOutputParam["bkc212"];
            //生育类别
            var amc026 = subOutputParam["amc026"];
            //生育发生时间
            var amc020 = subOutputParam["amc020"];
            
            //拼接html内容
            var str = "";
            str =   '<div class="div_item">' +
                        '<div class="item1 fs-28">' + aae002 + '</div>' +
                        '<div class="md-box md-ac item2">' +
                            '<div class="md-box md-ver md-ac item2_1">' +
                                '<div>待遇金额</div>' +
                                '<div>￥' + amc033 + '</div>' +
                            '</div>' +
                            '<div class="md-box md-ver md-f1 item2_2 fs-28">' +
                                '<div class="md-box md-ac">' +
                                    '<div><img src="../image/time.png"></div>' +
                                    '<div>发生时间：</div>' +
                                    '<div>' + amc020 + '</div>' +
                                '</div>' +
                                '<div class="md-box md-ac">' +
                                    '<div><img src="../image/wenhao.png"></div>' +
                                    '<div>生育类别：</div>' +
                                    '<div>' + amc026 + '</div>' +
                                '</div>' +
                            '</div>' +
                        '</div>' +
                    '</div>';
            $(".div_outerFrame").append(str);
        }
    }
}

