var currentPage = 1;
var type = "";//关于上拉或下拉的标志类型
var originalStr = "";//上拉加载更多前，保存原来已经加载出来的数据
Base.ready(function(){
    //从后台查询数据
    queryData(type, originalStr);
    //下拉刷新、上拉加载更多
    Base.creatRefresh(function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 下拉刷新
            $('#outerFrame').html("");
            originalStr = "";
            currentPage = 1;
            type = "header";
            queryData(type, originalStr);
        }
    }, function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 上拉加载更多
            currentPage++;
            originalStr += $("#outerFrame").html();
            type = "footer";
            queryData(type, originalStr);
        }
    });
});

/*从后台查询数据*/
function queryData(inputType, inputStr){
    //获取个人编号
    var personalId = Base.getStorage("aac001");
    var inputParam = {};
    inputParam["aac001"] = personalId;
    inputParam["pageno"] = "" + currentPage;
    inputParam["jybh"] = "Q210004";
    Base.requestServer("queryData", inputParam, queryResultInfoFunc(inputType, inputStr, currentPage), true);
}
/*回调函数*/
function queryResultInfoFunc(inputType, inputStr, page){
    return function(callBackParam){
        var outputParam = callBackParam["output"];
        //如果未查询到相关信息，需要给用户予以提示
        if(Number(outputParam) == 0){
            if(inputStr){
                $("#outerFrame").html(inputStr);
                Base.msgTip('已没有更多数据！');
            }else{
                document.getElementById("outerFrame").innerHTML = "";
                Base.noDataPage("#outerFrame", "未查询到相关数据！");
            }
        }else{
            document.getElementById("outerFrame").innerHTML = "";
            for(var key in outputParam){
                var subOutputParam = outputParam[key];
                //姓名
                var aac003 = Base.getStorage("aac003");
                //证件号码
                var aac002 = Base.getStorage("aac002");
                //发放日期
                var aae002 = subOutputParam["aae002"];
                //待遇金额
                var ajc140 = subOutputParam["aae019"];
                //发放结束日期
                var aja001 = subOutputParam["cae269"];

                //拼接html内容
                var str = "";
                str =   "<div class='div_wholeContent'>" +
                            "<div class='div_title fs-30'>" +
                                "<span>" + aae002 + "</span>" +
                            "</div>" +
                            "<div class='div_subContent fs-28'>" +
                                "<span>姓名：</span><span>" + Base.nameHide(aac003) + "</span>" +
                            "</div>" +
                            "<div class='div_subContent fs-28'>" +
                                "<span>证件号码：</span><span>" + Base.CardIDHide(aac002) + "</span>" +
                            "</div>" +
                            "<div class='div_subContent fs-28'>" +
                                "<span>待遇金额：</span><span>" + ajc140 + "</span>" +
                            "</div>" +
                            "<div class='div_subContent fs-28'>" +
                                "<span>结束时间：</span><span>" + aja001 + "</span>" +
                            "</div>" +
                        "</div>";
                inputStr += str;
            }
            $("#outerFrame").html(inputStr);
        }
        // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上垃
        if (inputType === 'header') {
            Base.removeDown();
        } else if(inputType === 'footer') {
            Base.removeUp();
        }
    };

}
