Base.ready(function(){
    query();
});
// 查询个人参保信息
function query(){
    //查询个人参保信息所需参数(aac001-个人编号，jybh-交易服务编号，aac002-身份证号码，aac003-姓名，aae140-险种类型)
    var param = {};
    param["aac001"] = Base.getStorage('aac001');
    param["jybh"] = '8090030002';
    param["aac002"] = Base.getStorage("aac002");
    param["aac003"] = Base.getStorage("aac003");
    param["aae140"] = "110";
    // param["aac001"] = "53010296777915";
    // param["jybh"] = '8090030002';
    // param["aac002"] = "530103197702253337";
    // param["aac003"] = "程帅";
    // param["aae140"] = "110";
    // param["aac001"] = '1000000000997434'
    // param["jybh"] = '8090030002';
    // param["aac002"] = '420111196907045558'
    // param["aac003"] = '西宇'
    // param["aae140"] = "110";
    // param["aac001"] = '1000000002066693'
    // param["jybh"] = '8090030002';
    // param["aac002"] = '530103197212232517'
    // param["aac003"] = '杨正刚'
    // param["aae140"] = "110";
    // param["aac001"] = '1000000001865189'
    // param["jybh"] = '8090030002';
    // param["aac002"] = '530128199411240022'
    // param["aac003"] = '何宛芸'
    // param["aae140"] = "110";
    Base.requestServer("ckQueryData", param, getlist_callback, true);
}
//回调函数，对查到返回的信息进行判断，如果有信息，将信息拼接到HTML，没有则返回未查询到相关数据
function getlist_callback(data){
    list = data["output"];
    if(list.length != 0){
        getHtml(list);
    }else{
        Base.noDataPage(".md-content", "未查询到相关数据！");
    }
}
//HTML拼接方法，对信息进行拼接
function getHtml(list){
    var html = "";
    for(var i=0;i<list.length;i++){
        var item = list[i];
        if(item.insureCode === "390" || item.insureCode ==="150"){
            html += "<table class='table_content'>" +
                    "<tr class='tr_title fs-34'>" +
                        "<td colspan='2'><div>" + item.insure + "</div></td>" +
                        "<td></td>" +
                    "</tr>" +
                    "<tr class='tr_content fs-30'>" +
                        "<td>参保时间：</td>" +
                        "<td>" + item.insureDate + "</td>" +
                    "</tr>" +
                    "<tr class='tr_content fs-30'>" +
                        "<td>参保单位：</td>" +
                        "<td><span>" + item.unit + "</span></td>" +
                    "</tr>" +
                    "<tr class='tr_content fs-30'>" +
                        "<td>当前参保状态：</td>" +
                        "<td>" + item.status + "</td>" +
                    "</tr>" +
                "</table>" +
                "<table class='table_annotation'>" +
                    "<tr class='tr_annotation fs-32' onclick='paymentDetailFunc(\"" + item.insureCode + "\" , \"" + item.insure + "\");'>" +
                        "<td>缴费明细</td>" +
                        "<td><img src='image/arrow-right10.png'></div></td>" +
                    "</tr>" +
                "</table>";
        }else{
            html += "<table class='table_content'>" +
                    "<tr class='tr_title fs-34'>" +
                        "<td colspan='2'><div>" + item.insure + "</div></td>" +
                        "<td></td>" +
                    "</tr>" +
                    "<tr class='tr_content fs-30'>" +
                        "<td>参保时间：</td>" +
                        "<td>" + item.insureDate + "</td>" +
                    "</tr>" +
                    "<tr class='tr_content fs-30'>" +
                        "<td>参保单位：</td>" +
                        "<td><span>" + item.unit + "</span></td>" +
                    "</tr>" +
                    "<tr class='tr_content fs-30'>" +
                        "<td>当前参保状态：</td>" +
                        "<td>" + item.status + "</td>" +
                    "</tr>" +
                   //  "<tr class='tr_content fs-30'>" +
                   //      "<td>缴费基数（档次）：</td>" +
                   //      "<td>" + item.payBase + "</td>" +
                   // "</tr>" +
                "</table>" +
                "<table class='table_annotation'>" +
                    "<tr class='tr_annotation fs-32' onclick='paymentDetailFunc(\"" + item.insureCode + "\" , \"" + item.insure + "\", \"" + item.aac001 + "\");'>" +
                        "<td>缴费明细</td>" +
                        "<td><img src='image/arrow-right10.png'></div></td>" +
                    "</tr>" +
                "</table>";
        }
    }
    $(".md-content").html(html);
}
//点击缴费明细，跳转页面
/*
    备注：城镇职工基本医疗保险代码：310
          城镇企业职工基本养老保险代码：110
          城镇企业职工工伤保险代码：410
          城镇企业职工生育保险代码：510
          居民基本医疗保险代码：390
          失业保险代码：210(53010200811584)
          农业保险代码：150
*/
function paymentDetailFunc(insureCode,aae140,aac001){
    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = "paymentDetail";
    data.title = "缴费明细";
    data.frameName = "paymentDetailFrame";
    data.reload = true;
    data.framePageData = {"insureCode" : insureCode,"aac001":aac001};

    if(insureCode == "410"){
        data.frameUrl = "wgt://km/generalquery/comprehensive_query/paymentDetail_410.html";
    }else{
        data.frameUrl = "wgt://km/generalquery/comprehensive_query/paymentDetail.html";
    }

    Base.openWin(data);
}
