//初始化向后台查询数据时需要使用到的部分入参
var param = {};
var pageno = 1;
var pagerow = 10;
var type = "";//关于上拉或下拉的标志类型
var originalStr = "";//上拉加载更多前，保存原来已经加载出来的数据
var hasMore = true;
var post = "";
param["pagerow"] = "" + pagerow;

Base.ready(function(){
    //接收源页面传递过来的参数
    var receivedParam = md.pageParam;
    //初始化post
    post = receivedParam["post"];
    /*查询招聘信息(备注：首次默认查询就业网提供的职位信息)*/
    $("#table_entries").html("");
    queryDataOfRecruitInformation(post, type, originalStr);
    //上拉加载更多、下拉刷新页面
    Base.creatRefresh(function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 下拉刷新
            hasMore = true;
            $('#table_entries').html("");
            originalStr = "";
            pageno = 1;
            type = "header";
            if(post){//查询条件不为空（点击查询按钮）
                queryDataOfRecruitInformation2(post, type, originalStr, pageno);
            }else{//查询条件为空（本质来说，仅仅只是刚进入页面初始化的时候用到该方法）
                queryDataOfRecruitInformation(post, type, originalStr);
            }
        }
    }, function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 上拉加载更多
            if(hasMore){
                pageno++;
                originalStr += $("#table_entries").html();
                type = "footer";
                if(post){//查询条件不为空（点击查询按钮）
                    queryDataOfRecruitInformation2(post, type, originalStr, pageno);
                }else{//查询条件为空（本质来说，仅仅只是刚进入页面初始化的时候用到该方法）
                    queryDataOfRecruitInformation(post, type, originalStr);
                }
            }else{
                Base.removeUp();
                Base.msgTip('已没有更多数据！');
            }
            
        }
    });
});

/*查询招聘信息(不带查询条件)(备注：首次默认查询就业网提供的职位信息)*/
function queryDataOfRecruitInformation(inputPost, inputType, inputStr){
    post = inputPost;
    param["aca112"] = inputPost || "";
    param["pageno"] = "" + pageno;
    param["jybh"] = "Q910001";
    if(pageno === 1){
        $("#table_entries").html("");
    }
    Base.requestServer("queryData", param, recruitInfoFunc(inputType, inputStr), true);
}
/*查询招聘信息(带查询条件)*/
function queryDataOfRecruitInformation2(inputPost, inputType, inputStr, inputPageno){
    post = inputPost;
    param["aca112"] = inputPost || "";
    //此处的目的在于，如果点击查询按钮，则查询页码应重置为1，因此该方法中的pageno的值有两处来源：点击查询按钮，上拉加载更多和下拉刷新
    pageno = inputPageno;
    param["pageno"] = "" + pageno;
    param["jybh"] = "Q910001";
    if(pageno === 1){
        $("#table_entries").html("");
    }
    Base.requestServer("queryData", param, recruitInfoFunc(inputType, inputStr), true);
}
/*查询招聘信息的回调函数*/
function recruitInfoFunc(inputType, inputStr){
    return function(callBackParam){
        var outputParam = callBackParam["output"];
        //如果未查询到任何信息，需要给用户予以提示
        if(Number(outputParam) == 0){
            if(inputStr && pageno !== "1"){//如果已在页面中查询出数据，且当前要查询的页面不为1（主要是处理上拉加载更多）
                hasMore = false;
            }else{//只有一种情况会进入该分支：inputStr为空，pageno为1
                $("#table_entries").html("");
                Base.noDataPage("#table_entries", "未查询到相关数据！");
            }
            // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上拉
            if (inputType === 'header') {
                Base.removeDown();
            } else if(inputType === 'footer') {
                Base.removeUp();
                if(!hasMore){//考虑到会被遗漏掉的一种情况：即上一次查询刚好有10条，但下一次查询时就为空
                    Base.msgTip('已没有更多数据！');
                }
            }
            //$(".div_information").addClass("autoStyle4");
        }else{
            //显示查询结果前，清空原来已经在页面显示的数据或无关的样式
            //$(".div_information").removeClass("autoStyle4");
            //拼接html内容
            var str = "";
            for(var key in outputParam){
                var subOutputParam = outputParam[key];
                var postId = subOutputParam["acb210"];
                var post = subOutputParam["aca112"];
                var company = subOutputParam["aab004"];
                var salary = subOutputParam["acb214"];
                var academicQualifications = subOutputParam["aac011"];
                var age = subOutputParam["acb222"];
                str +=   "<tr class='tr1' postId='" + postId + "'>" +
                            "<td class='td1'><img id='img_db' src='../image/recruit.png'/></td>" +
                            "<td class='td2'>" +
                                "<div class='div_post fs-30'>" + post + "</div>" +
                                "<div class='div_company fs-26'>" + company + "</div>" +
                                "<div class='div_conditions fs-26'>" + salary + " " + academicQualifications + " " + age + "</div>" +
                            "</td>" +
                        "</tr>";
            }
            if(pageno === 1){
                $("#table_entries").html("");
                $("#table_entries").html(str);
            }else{
                $("#table_entries").append(str);
            }
            if(outputParam.length < 10){//此处会遗漏一种给予用户即时有效的情况，即当前页中刚好10条，但下一页中已没有数据，这种遗漏情况已在该方法的第一个条件分支中得以避免
                //alert(outputParam.length);
                hasMore = false;
            }else{
                hasMore = true;
            }
        }
        // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上垃
        if (inputType === 'header') {
            Base.removeDown();
        } else if(inputType === 'footer') {
            Base.removeUp();
        }
    };    
}

/*点击职位条目，页面跳转至关于该职位的详情页面*/
Base.click(".tr1", function($this){
    //编辑入参
    var inputParam = {};
    inputParam["jybh"] = "Q910002";
    //获取被点击职位条目的职位编号
    var postId = $this.attr("postId");
    inputParam["acb210"] = postId;
    Base.requestServer("queryData", inputParam, postInfoFunc, true);
});
/*声明页面跳转时需要传递的参数变量*/
var data = {};
/*点击查看职位详情的回调函数*/
function postInfoFunc(callBackParam){
    data.url = "wgt://km/common/title_nav.html";
    data.name = "postInfo";
    data.title = "职位详情";
    data.frameName = "postInfoFrame";
    data.frameUrl = "wgt://km/jiuYeChuangYe/html/postInfoOfJiuYeWeb.html";
    data.framePageData = callBackParam;
    Base.openWin(data);
}

