/*声明要导入的子页面的url 格式：frameName : frameUrl*/
var frameUrls = {
    //就业网招聘信息内容页面
    "contentPageOfJobSeeker1" : "wgt://km/jiuYeChuangYe/html/contentPageOfJobSeeker1.html",
    //人才网招聘信息内容页面
    "contentPageOfJobSeeker2" : "wgt://km/jiuYeChuangYe/html/contentPageOfJobSeeker2.html"
}

/*页面的标题*/
var title = "";
/*frameUrl，也即子页面*/
var frameUrl = "";
/*frameName，也即子页面的名称*/
var frameName = "";
Base.ready(function(){
    /*首次进入页面时或刷新页面时,默认添加背景样式在“就业网”元素上*/
    $("#span_web1").addClass("autoStyle1");
    $(".title").text(title);
    /*获取源页面传递过来的参数*/
    receivedParam = md.pageParam;
    title = receivedParam.title;
    frameUrl = receivedParam.frameUrl;
    frameName = receivedParam.frameName;
    $(".title").html(title);
    //查询条件为岗位post,初次进入该页面设置为空
    var post = "";
    /*在headerPageOfJobSeeker页面中导入子页面contentPageOfJobSeeker1*/
    importPage(frameName, frameUrl, post);
});
/*在headerPageOfJobSeeker页面中导入子页面contentPageOfJobSeeker1*/
function importPage(frameName, frameUrl, post){
    var inputParam = {};
    inputParam["post"] = post;
    Base.openFrameByEle("contentPart",{
        name : frameName, 
        url : frameUrl,
        reload : true,
        bounces: false,
        pageParam : inputParam
    });     
}

//查询当前被点击标题下的相关数据
function queryData(id){
    var tag = $("#"+id).attr("tag");
    if(tag == "jiuYeWeb"){
        md.closeFrame({name : "contentPageOfJobSeeker2"});
        frameName = "contentPageOfJobSeeker1";
        frameUrl = "wgt://km/jiuYeChuangYe/html/contentPageOfJobSeeker1.html";
        post = "";
        importPage(frameName, frameUrl, post);
    }
    if(tag == "renCaiWeb"){
        md.closeFrame({name : "contentPageOfJobSeeker1"});
        frameName = "contentPageOfJobSeeker2";
        frameUrl = "wgt://km/jiuYeChuangYe/html/contentPageOfJobSeeker2.html";
        post = "";
        importPage(frameName, frameUrl, post);
    }
}

/*点击搜索按钮时进行搜索(搜索条件：岗位(post))*/
Base.click("#span_query", function(){
    var post = document.getElementById("conditions").value;
    //如果用户未输入任何条件去点击搜索按钮时，会从按钮框中提取出默认设置的提示信息“请输入岗位...”
    //如果出现这种情况，需要作出处理
    if(post === "请输入岗位..."){
        post = "";
        Base.msgTip("请输入需要查询的岗位");
    }
    var frameUrl = "";
    var frameName = "";
    if($("#span_web1").hasClass("autoStyle1")){
        frameName = "contentPageOfJobSeeker1";
        frameUrl = "wgt://km/jiuYeChuangYe/html/contentPageOfJobSeeker1.html";
        //关于execScript({params})方法的使用参见mdlife文档 
        md.execScript({
            name : "",
            frameName : frameName,
            script : 'queryDataOfJobSeekerInformation2("' + post + '", "", "", 1)'
        });
    }
    if($("#span_web2").hasClass("autoStyle1")){
        frameName = "contentPageOfJobSeeker2";
        frameUrl = "wgt://km/jiuYeChuangYe/html/contentPageOfJobSeeker2.html";
        var param = {};
        param["cn"] = "qzlist";//???
        param["sp"] = "0";//查询第几页
        param["len"] = "10";//每页数据条数
        param["gw"] = post;//岗位
        //关于execScript({params})方法的使用参见mdlife文档 
        md.execScript({
            name : "",
            frameName : frameName,
            script : 'queryDataOfJobSeekerInformation2("' + post + '", "", "", 1)'
        });
    }
    
});

/*点击headerPage中的返回标志时返回上一个页面*/
function back() {
    md.closeWin({
        animation: {
            type: 'fade',
            duration: 300
        }
    });
}

/*控制标题栏的背景样式的显示与否（鼠标单击激活时显示，否则移除）*/
function addStyleFunc(e){
    //获取当前被点击元素的id
    var id = e.id;
    //获取class="div_title1"下面的所有元素的id
    var ids = [];
    $(".table_infoSource span").each(function(index, el){
        ids.push(this.id);
    });
    //判断该元素下是否存在样式autoStyle1,如果存在则不用更改该样式，如果不存在，则添加该样式，并在另外一个元素中移除该样式
    var temp = "#" + id;
    var flag = $(temp).hasClass("autoStyle1");
    if(flag == false){
        $(temp).addClass("autoStyle1");
        $("#conditions").val("请输入岗位...");
        $("#conditions").css("color", "#999999");
        queryData(id);
        if(id === ids[0]){
            removeStyleFunc(ids[1]);
        }
        if(id === ids[1]){
            removeStyleFunc(ids[0]);
        }
    }
}
function removeStyleFunc(e){
    $("#"+e).removeClass("autoStyle1");
}
