Base.ready(function(){
    /*从链接页面接收其传递过来的参数，并动态导入至当前页面中的相应位置*/
    receiveParam();
});
/*从链接页面接收其传递过来的参数，并动态导入至当前页面中的相应位置*/
function receiveParam(){
    var receivedParam = md.pageParam;
    //公司名称
    var companyName = receivedParam["aab004"];
    //公司编号
    var companyId = receivedParam["aab001"];
    //招聘职位
    var post = receivedParam["aca112"];
    //职位编号
    var postId = receivedParam["acb210"];
    //招聘人数
    var number = receivedParam["acb21r"];
    //学历要求
    var academicQualifications = receivedParam["aac011"];
    //年龄要求
    var age = receivedParam["acb222"];
    //健康状况
    var healthCondition = receivedParam["acb221"]; 
    //性别要求
    var gender = receivedParam["aad004"];
    //薪资待遇
    var salary = receivedParam["acb214"];
    //福利待遇
    var welfare = receivedParam["acc214"];
    document.getElementById("post").innerHTML = post;
    document.getElementById("number").innerHTML = number;
    document.getElementById("academicQualifications").innerHTML = academicQualifications;
    document.getElementById("age").innerHTML = age;
    document.getElementById("healthCondition").innerHTML = healthCondition;
    document.getElementById("gender").innerHTML = gender;
    document.getElementById("salary").innerHTML = salary;
    document.getElementById("welfare").innerHTML = welfare;

    //动态添加公司名称至标题栏
    document.getElementById("companyName").innerText = companyName;
    //动态为标题栏中的span元素下的companyId添加属性值
    document.getElementById("companyName").setAttribute("companyId", companyId);
}
/*点击包含有公司名称的标题栏时，跳转页面到*/
Base.click(".div_title", function(){
    //第一步：与服务器交互，获取需要传递至下一个页面的数据
    //编辑入参
    var param = {};
    //指定交易编号
    param["jybh"] = "Q910003";
    //获取公司编号
    //alert("companyId: " + document.getElementById("companyName").getAttribute("companyId"));
    param["aab001"] = document.getElementById("companyName").getAttribute("companyId");
    //请求服务器，通过回调函数获取返回的参数
    Base.requestServer("queryData", param, companyInfoFunc, true);
});
/*声明跳转至下一个页面时需要传递的参数*/
var data = {};
/*点击查看公司详情的回调函数*/
function companyInfoFunc(callBackParam){
    data.url = "wgt://km/common/title_nav.html";
    data.name = "companyInfo";
    data.title = "公司详情";
    data.frameName = "companyInfoFrame";
    data.frameUrl = "wgt://km/jiuYeChuangYe/html/companyInfoOfJiuYeWeb.html";
    data.framePageData = callBackParam;
    Base.openWin(data);
}
