// 当前页码
var currentPage = 1;
var hasMore = true;
var pageSize = 10;
Base.ready(function(){
    Base.creatRefresh(function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 下拉重新刷新
            // 清空数据
            $('.div_itemFrame').html('');
            currentPage = 1;
            hasMore = true;
            getMedicareInfo('header');
        }
    }, function(p1) {
        if(!p1 || p1.state !== 'end') {
            if(hasMore) {
                // 上拉加载更多
                currentPage++;
                getMedicareInfo('footer');
            } else {
                // 如果已经没有更多数据，直接结束
                Base.removeUp();
                Base.msgTip('没有更多数据');
            }
        }
    });
    // 获取用户的医保账户信息
    getMedicareInfo();
});

/**
 * 加载数据
 *
 * @param type 触发类型 'header'为下拉刷新, footer为上拉刷新,
 */
function getMedicareInfo(type) {
    // 设置请求参数
    var param = {};
    param['userid'] = Base.getStorage('yae041');
    param['aac001'] = Base.getStorage('aac001');
    param['pagerow'] = ''+pageSize;
    param['pageno'] = ''+currentPage;
    param["jybh"] = "Q310003";
    Base.requestServer("ckQueryData", param, getMedicareInfoCallback(type, currentPage), true);
}

/**
 * 创建信息返回回调
 *
 * @param type 触发类型 'header'为下拉刷新, footer为上拉刷新
 */
function getMedicareInfoCallback(type, thisPage) {
    return function(data) {
        // 设置个人账户余额
        //$('#balance').html(data.bae048);
        // 遍历保存
        var list = data.output;
        //alert(JSON.stringify(list));
        var str = "";
        for(var i = 0; i < list.length; i++) {
            str =   '<div class="md-box md-ac md-as div_item">' +
                        '<div class="md-box md-ac sub_item1">' +
                            '<div></div>' +
                            '<div class="md-box md-ver md-ac">' +
                                '<div class="fs-40">￥' + (list[i].akc264 || "0.00") + '</div>' +
                                '<div class="fs-26">刷卡金额&ensp;￥' + (list[i].ake034 || "0.00") + '</div>' +
                            '</div>' +
                        '</div>' +
                        '<div class="md-box md-ac md-f1 sub_item2 fs-30" unitNO="' + list[i].akb020 + '" unitLocation="' + list[i].akb021 + '">' +
                            '<div class="md-box md-ver md-f1 sub_item2_1">' +
                                '<div>' + list[i].aka130 + '</div>' +
                                '<div class="md-box md-ac fs-28">' +
                                    '<div></div>' +
                                    '<div>' + (list[i].ake010 || "暂无") + '</div>' +
                                '</div>' +
                                '<div class="md-box md-ac fs-28">' +
                                    '<div></div>' +
                                    '<div>' + (list[i].akb021 || "暂无") + '</div>' +
                                '</div>' +
                            '</div>' +
                            '<div class="sub_item2_2"></div>' +
                        '</div>' +
                    '</div>';
            $('.div_itemFrame').append(str);
        }
        // 如果当前页没有满，表示没有更多数据
        if (list.length !== pageSize) {
            hasMore = false;
            // 如果第一页加载就没有任何数据显示No Data
            if(list.length === 0 && thisPage === 1) {
                Base.noDataPage('.div_itemFrame', '未查询到相关医保消费数据');
            }
        }
        // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上垃
        if (type === 'header') {
            Base.removeDown();
        } else if(type === 'footer') {
            Base.removeUp();
        }
    };
}

//点击医院/药店位置
/*
Base.click(".sub_item2", function($this){
    var unitNO = $this.attr("unitNO");
    var unitLocation = $this.attr("unitLocation");
    if(!Boolean(unitNO) && unitNO !=="0"){
        Base.msgTip("暂无该医疗机构的位置信息");
        return;
    }
    var data = {};
    data.url = 'wgt://km/common/title_nav.html';
    data.name = 'consumeLocation';
    data.title = '消费位置';
    data.frameName = 'consumeLocation_frame';
    data.frameUrl = 'wgt://km/medicare/consumeLocation.html';
    data.framePageData = {"unitNO":unitNO, "unitLocation":unitLocation};
    data.reload = true;
    Base.openWin(data);
});
*/