Base.ready(function(){
});
//找回密码
Base.click("#findpwd",function($this){
    var param = {};
    aac002 = $(".aac002").val();
    bac001 = $(".bac001").val();
    if (Base.checkInput(aac002, 20)) {
        Base.msgTip("请输入身份证号");
        return;
    }
    if (bac001.length !=10) {
        Base.msgTip("请核实您的社保卡号，应为10位数字");
        return;
    }
    param["bac001"] = bac001;
    param["aac002"] = aac002;
    param["jybh"] = 'VCS039';
    Base.requestServer("queryData", param, function(data){
        if(data.checkmark == '0'){
        	//判断是否签发了电子社保卡
        	var checkParam = {};
            checkParam["jybh"] = "ESCCOL001";
            checkParam["channelId"] = "5301000001";
            checkParam["aac002"] = data.aac002;
            checkParam["aac003"] = data.aac003;
            //判断是否进行电子社保卡密码验证
            Base.requestServer("esccService", checkParam, function(escdata){
            	console.log('电子社保卡签发信息：'+JSON.stringify(escdata));
            	if(escdata.checkmark == '0'){
                    md.confirm({
		                title: '提示',
		                msg: '您还未申领电子社保卡,申领后即可继续后续业务办理，是否申领？',
		                buttons: ['取消', '确定']
		            },function( ret ){
		                if(ret.buttonIndex == '2'){
		                    //进入社保卡申领流程
		                    openESCC(data.aac002,data.aac003,data.bac001,data.yae098);
		                }
		            });
                }else{
                	var sceneType = '';
		            md.actionSheet({
		                title: '请选择认证方式',
		                cancelTitle: '取消',
		                buttons: ['人脸识别认证','手机短信认证','电子社保卡密码认证']
		            },function( ret ){
		                //人脸认证
		                if(ret.buttonIndex == 1){
		                    sceneType = 3;
		                //手机短信验证    
		                }else if(ret.buttonIndex == 2){
		                    sceneType = 2;
		                //电子社保卡密码验证    
		                }else if(ret.buttonIndex == 3){
		                    sceneType = 1;
		                }else{
		                    return;
		                }
		                //调用接口获取签名串
		                var signParam = {};
		                var security = {};
		                signParam["jybh"] = "ESSC001";
		                signParam["channelId"] = "5301000001";
						signParam["sceneType"] = sceneType;
						signParam["useType"] = "找回密码";
						signParam["aac002"] = data.aac002;
						signParam["aac003"] = data.aac003;
		                security["aab301"] = "530100";
		                security["aac002"] = data.aac002;
		                security["aac003"] = data.aac003;
		                security["signNo"] = escdata.esccInfo.signNo;
		                security["isIndep"] = '1';
		                signParam.security = JSON.stringify(security);
		                Base.requestServer("queryData", signParam, function(signdata){
		                    mdescc.openSceneSDK({
		                        envType: 2,
		                        sceneType:sceneType,
		                        isBackSupport:true,
		                        sign:signdata.sign
		                    }, function(ret, err){
		                        console.log('验证回调'+JSON.stringify(ret));
		                        if(ret.status==true && ret.code=='0'){
		                            var msg = JSON.parse(ret.msg);
		                            if(msg.result||msg.busiSeq){
		                                mdescc.closeSdk();
		                                var userdata = {};
		                                userdata.bac001 = data.bac001
		                                //打开密码重置页面
		                                var setPassData = {};
		                                setPassData.url = "wgt://km/common/title_nav.html";
		                                setPassData.name = "reset_pwd";
		                                setPassData.title = "密码重置";
		                                setPassData.frameName = "reset_pwd_fram";
		                                setPassData.frameUrl = "wgt://km/register/reset_password.html";
		                                setPassData.framePageData = userdata;
		                                setPassData.reload = true;
		                                setTimeout(function(){
		                                    Base.openWin(setPassData);
		                                },1000);
		                            }
		                        }
		                        console.log('验证回调'+JSON.stringify(ret));
		                    });
		                }, true);
		            });
                }
            }, true); 
        	
        	
        	
        	
            
        } 

    }, true);
});

//打开电子社保卡模块
function openESCC(aac002,aac003,bac001,yae098){
    //调用接口获取签名串
    var signParam = {};
    var security = {};
    signParam["jybh"] = "ESSC001";
    signParam["channelId"] = "5301000001";
 //   security["aab301"] = "530100";
    security["aac002"] = aac002;
    security["aac003"] = aac003;
    signParam.security = JSON.stringify(security);
    Base.requestServer("queryData", signParam, function(data){
        mdescc.openSDK({
            envType: 2,
            sdkType:1,
            isBackSupport:true,
            sign:data.sign
        }, function(ret, err){
        	/*
            if(ret.status==true && ret.code=='0'){
                console.log(JSON.stringify(ret));
                var msg = JSON.parse(ret.msg);
                //电子社保卡回调处理
                if(msg.actionType){
                    if(msg.actionType=='001'||msg.actionType=='002'||msg.actionType=='003'||msg.actionType=='005'){
                        var param = {};
                        param["channel_id"] = "5301000001";
                        param["app_id"] = "kmrst";
                        param["yac005"] = bac001;
                        param["aac067"] = yae098;
                        param["actionType"] = msg.actionType;
                        	回调状态码
                        actionType = 001 电子社保卡申领完成
                        actionType = 002 直接验密签发 指在其他渠道已领取，然后在当前渠道签发
                        actionType = 003 解除绑定完成
                        actionType = 005 开通缴费结算 二级签发
                        actionType = 006 到卡面
                        actionType = 007 调起支付页面
                        actionType = 008 扫码回调
                        actionType = 111 关闭sdk
                        
                        param["aab301"] = msg.aab301;
                        param["signno"] = msg.signNo;
                        param["busiseq"] = msg.signSeq;
                        param["addtime"] = msg.signDate;
                        param["signno"] = msg.signNo;
                        if(msg.actionType=='001'||msg.actionType=='002'){//签发    
                            param["jybh"] = "ESSC002";
                            param["status"] = '1';
                        }else{
                            param["jybh"] = "VCS030";
                            param["signLevel"] = msg.signLevel;
                            param["aac002"] = aac002;
                            param["aac003"] = aac003;
                        }
                        Base.requestServer("queryData", param, function(signData){
                            console.log(JSON.stringify(signData));
                        }, true);
                    }
                }
                
            }*/
        });
    }, true);
}
Base.click("#phonenumber",function($this){
   md.call({
    type: 'tel',
    number: '12333'
    });
});