Base.ready(function(){
});
//修改密码提交
Base.click("#schange_pwd",function($this){
    var pagedate = md.pageParam;
    var npwd,qpwd;
    npwd = $("#npwd").val();
    qpwd = $("#qpwd").val();
    if (Base.checkInput(npwd, 20)) {
        Base.msgTip("请输入新密码");
        return;
    }
    if (Base.checkInput(qpwd, 20)) {
        Base.msgTip("请确认密码");
        return;
    }
    if(npwd!=qpwd){
        Base.msgTip("两次输入密码不一致，请确认！");
        return;
    }
    var newPwdLength = $.trim(npwd).length;
    if(newPwdLength < 6){
        Base.msgTip("新密码长度不得少于6个字符！");
        return;
    }
    if(!checkRate(npwd)){
        Base.msgTip("新密码必须是字母和数字的组合！");
        return;
    }
    var param = {};
    param["yae041"] = pagedate.bac001; 
    param["yae042"] = npwd;
    param["newpasswd"] = npwd;
    param["type"] = 'escc';
    param["jybh"] = 'G410003';
    Base.requestServer("queryData", param, schange_pwd_callback, true);
});
function schange_pwd_callback(){
    Base.msgTip("密码修改成功！");
    md.closeToWin({
        name: 'login'
    });
}
function checkRate(cstr)  
{  
    var re =  /^[0-9a-zA-Z]*$/g;  //判断字符串是否为数字和字母组合     //判断正整数 /^[1-9]+[0-9]*]*$/    
    if (!re.test(cstr))  
    {          
        return false;  
    }
    var regNumber = /\d+/; //验证0-9的任意数字最少出现1次。 
    var regString = /[a-zA-Z]+/; //验证大小写26个字母任意字母最少出现1次。
    if (regNumber.test(cstr) && regString.test(cstr)) { 
        return true;
    }else{ 
        return false;
    }
}  