var user_name, user_pwd;
var userList = [];
var s_aab301,aac001s;
Base.ready(function(){
});
//选择缴费人
Base.click("#choose_person",function($this){
    //查询缴费人信息
    var data = {};
    var param = {};
    param["output"] = userList;
    if(userList.length == 3){
        Base.msgTip("一次缴费最多只能添加三个缴费人");
        return;
    }
    data.url = "wgt://km/common/title_nav.html";
    data.name = "chooseuser";
    data.title = "选择缴费人";
    data.frameName = "chooseuser_frame";
    data.frameUrl = "wgt://km/socialsecuritypay/chooseperson.html";
    data.framePageData = param;
    data.reload = true;
    Base.openWin(data);
});
//选择缴费档次
Base.click("#chose_level",function($this){
    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = "paymentlevel";
    data.title = "选择缴费档次";
    data.frameName = "paymentlevel_frame";
    data.frameUrl = "wgt://km/socialsecuritypay/paymentlevel.html";
    Base.openWin(data);
});
//保存缴费人信息
Base.click("#save_person",function($this){
    person_name = $(".name").val();
    person_idcard = $(".idcard").val();
    if (Base.checkInput(person_name, 20)) {
        Base.msgTip("请输入姓名");
        return;
    }
    if (Base.checkInput(person_idcard, 20)) {
        Base.msgTip("请输入身份证号码");
        return;
    }
    var param = {};
    param["aac002"] = person_idcard;
    param["aac003"] = person_name;
    param["servicetype"] = "3"; 
    param["aae011"] = Base.getStorage('aac001');              
    param["jybh"] = 'G420008';
    Base.requestServer("ckQueryData", param, save_callback, true);
});
function save_callback(data){
    md.execScript({
        name: 'chooseuser',
        frameName: 'chooseuser_frame',
        script: 'query()',
        });
    md.closeWin();
}

//去支付
Base.click("#go_pay",function($this){
    //调用农保申报交易
    var param = {};
    var aaz289;
    if(userList.length == 0){
        Base.msgTip("请先增加缴费人");
        return;
    }
    for(var i = 0; i < userList.length; i++ ) {
        if(i==0){
            aac001s = userList[i].aac001;
            aaz289 = userList[i].aaz289;
        }else{
            aac001s += '|'+userList[i].aac001;
            aaz289 += '|'+userList[i].aaz289;
        }
    }
    param["aac001"] = aac001s;
    param["aaz289"] = aaz289; 
    param["yae092"] = Base.getStorage('aac001');              
    param["jybh"] = 'T150001';
    Base.requestServer("ckQueryData", param, go_pay_callback, true); 
});
function go_pay_callback(data){
    var param = {};
    data["aae019"] = $("#aae019").text();
    data["aab301"] = s_aab301;
    data["aac001"] = aac001s;
    data["aae002"] = '3';
    param.url = "wgt://km/common/title_nav.html";
    param.name = "gopay";
    param.title = "支付信息";
    param.frameName = "gopay_frame";
    param.framePageData = data;
    param.reload = true;
    param.frameUrl = "wgt://km/socialsecuritypay/orderformpay.html";
    Base.openWin(param);
}

function add_personl_callbacke(aaz289,aaa041,aac002,aac003,aae011,aac001,aab301){
    if(userList.length == 0){
        s_aab301 = aab301;
    }
    var html = "";
    html += '<div class="md-box person" date_aaz289= ' + aaz289 + ' data-aac002=' + aac002 +' data-aac001=' + aac001 +'>'
                +'<div class = "delete-icon md-box md-ac md-pc">'
                    +'<div class="img-delete md-img md-ac" onclick="remove_personl(\'' + aac002 + '\')"></div>'
                +'</div>'
                +'<div class="md-box md-ver md-f1">'
                    +'<div class="md-box  personinof md-ver md-pc">'
                        +'<div class="md-box md-ver ">'
                            +'<span class="fs-34">'+aac003+'</span>'
                        +'</div>'
                        +'<div class="md-box md-ver ">'
                            +'<span class="fs-28 color-8">身份证号：'+aac002+'</span>'
                        +'</div>'
                    +'</div>'
                    +'<div class="md-box md-f1 md-ac" style="height:0.6rem;">'
                        +'<div class="fs-30 color-8" style="width:50%">缴费金额：'+aaa041+'元</div>'
                        +'<div class="fs-30 color-8" >缴费年度：'+aae011+'年</div>'
                    +'</div>'
                +'</div>'
            +'</div>';
    userList[userList.length] = {
        aaz289: aaz289,
        aaa041: aaa041,
        aac002: aac002,
        aac003: aac003,
        aae011: aae011,
        aac001: aac001,
        aab301: aab301
    };
    sumCost();
    $(".md-content").append(html);
}

function remove_personl(idcard) {
    $('div.person[data-aac002="' + idcard + '"]').remove();
    var tempList = [];

    for(var i = 0; i < userList.length; i++ ) {
        if(userList[i].aac002 !== idcard) {
            tempList[tempList.length] = userList[i];
        }
    }

    userList = tempList;
    sumCost();
}

function sumCost() {
    var sum = 0;
    var count = 0;

    for(var i = 0; i < userList.length; i++ ) {
        sum += window.parseInt(userList[i].aaa041, 10);
        count++;
    }

    $('.sum-cost').html(sum);
    $('.count-person').html('(共' + count + '人)');
}
function reset(){
    $('.sum-cost').html('0');
    $('.count-person').html('(共0人)');
    $(".md-content").html('');
    userList = [];
}