//查询条件初始化时为空
var queryCondition = "";
//需要打开的子页面的相关信息
var frameName = "";
var frameUrl = "";
Base.ready(function(){
    //动态获取下拉选的宽度
    var w1 = $(".div-selected").width();
    $(".div-select-options").css("width", w1-2);
    //接收源页面传递过来的参数
    var receivedParam = md.pageParam;
    frameName = receivedParam.frameName;
    frameUrl = receivedParam.frameUrl;
    //获取个人医保账户余额
    getAccountBalance();
});

//获取个人医保账户余额
function getAccountBalance() {
    // 设置请求参数
    var param = {};
    param['userid'] = Base.getStorage('yae041');
    param['aac001'] = Base.getStorage('aac001');
    param['pagerow'] = '';
    param['pageno'] = '';
    param["jybh"] = "Q310003";
    Base.requestServer("ckQueryData", param, getMedicareInfoCallback, false);
}
function getMedicareInfoCallback(callBackData){
    var balance = callBackData.bae048;
    $(".div-balance").text(("¥" + balance) || "¥0.00");
    //获取支持扫码付的药店机构列表
    getPharmacyList();
}

//获取支持扫码付的药店机构列表
function getPharmacyList(){
    var inputParam = {};
    inputParam.jybh = "VCS009";
    Base.requestServer("ckQueryData", inputParam, pharmacyDetail, true);
}
function pharmacyDetail(callBackData){
    var list = callBackData.output;
    $(".div-select-options").html("");
    for(var i=0;i<list.length;i++){
        var str = "";
        str =  '<div flag="' + list[i].akb020 + '">' + list[i].akb021 + '</div>';
        $(".div-select-options").append(str);
    }
    //加载子页面
    loadSubPage(queryCondition);
}

//加载子页面
function loadSubPage(queryCondition){
    var pageParam = {};
    pageParam.queryCondition = queryCondition;
    Base.openFrameByEle("id_queryResult", {
                    name : frameName,
                    url : frameUrl,
                    hAuto : false,
                    bounces: true,
                    reload : true,
                    scaleEnabled: false,
                    pageParam : pageParam  
    });
}

//点击底部“扫码购药说明”
Base.click(".div-instruction", function(){
    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = 'scan_instruction';
    data.title = '扫码购药说明';
    data.frameName = "scan_instruction_frame";
    data.frameUrl = "wgt://yyt/index/scan_instruction.html";
    data.reload = true;
    data.bounces=false;
    Base.openWin(data);
});

//点击底部“医保消费记录”
Base.click(".div-history", function(){
    var data = {};
    data.url = 'wgt://km/medicare/headerframe_medicare_account.html';
    data.name = 'medicareaccount';
    data.title = '医保账户查询';
    data.frameName = "medicareaccount_frame";
    data.frameUrl = "wgt://km/medicare/contentframe_medicare_account.html";
    data.reload = true;
    data.bounces=true;
    Base.openWin(data);
});

/*以下为下拉选操作*/
//用户点击下拉选获取选项内容
$(".div-selected").click(function(event){
    var flag = $(".div-select-options").css("display");
    if(flag == "none"){
        $(".div-select-options").css("display", "block");
    }else{
        $(".div-select-options").css("display", "none");
    }
    //阻止事件冒泡,以实现“点击页面的其它区域时，关闭弹出的下拉选”
    event.stopPropagation();
});
//点击下拉选中的某一条内容
var text_no = "80020101";//机构编号默认为健之佳的
Base.click(".div-select-options>div", function($this){
    $this.css("color", "purple");
    text_no = $this.attr("flag");
    $(".selected-text").text($this.text());
    $(".div-select-options").css("display", "none");
    $("#input-condition").val("");
    //更新子页面中的药店列表
    md.execScript({
        frameName: frameName,
        script: "getList('" + text_no + "','" + "" + "')"
    });
});
//点击页面的其它区域时，关闭弹出的下拉选
$(".div-account,.div-select-pharmacy,#id_queryResult").click(function(){
   var flag = $(".div-select-options").css("display");
    if(flag == "block"){
        $(".div-select-options").css("display", "none");
    } 
});

//当用户点击搜索框
Base.click(".div-search-btn", function(){
    queryCondition = $("#input-condition").val();
    md.execScript({
        frameName: frameName,
        script: "getListForSearch('" + text_no + "','" + queryCondition + "')"
    });
    /*
    if(!queryCondition){
        Base.msgTip("请输入药店关键字");
    }else{
        md.execScript({
            frameName: frameName,
            script: "getListForSearch('" + text_no + "','" + queryCondition + "')"
        });
    }
    */
});

//点击顶部“扫码购药”
Base.click(".div-scan-purchase", function(){
    // var data = {};
    // data.jybh = "TID004";
    // data.aaa001 = "PHARMACYSCAVENGINGPAYMENT";
    // Base.requestServer("ckQueryData", data, function(backdata){
    //     if(backdata.aaa005 == '1'){
            //判断是否开通了电子社保卡
            //获取电子社保卡信息
            var param = {};
            param["jybh"] = "VCS033";
            param["aac002"] = Base.getStorage("aac002");
            param["bac001"] = Base.getStorage("bac001");
            Base.requestServer("queryData", param, function(signData){
            	if(signData.checkonline == '5'){
            		md.confirm({
                        title: '提示',
                        msg: '您的二代社保卡暂未激活，使用实体二代社保卡刷卡消费一笔后将自动激活您的社保卡！',
                        buttons: ['确定']
                    },function( ret ){
                       
                    });
                }else{
                	//判断是否签发了电子社保卡
                	var checkParam = {};
		            checkParam["jybh"] = "ESCCOL001";
		            checkParam["channelId"] = "5301000001";
		            checkParam["aac002"] = Base.getStorage("aac002");
		            checkParam["aac003"] = Base.getStorage("aac003");
		            Base.requestServer("esccService", checkParam, function(escdata){
		            	console.log('电子社保卡签发信息：'+JSON.stringify(escdata));
		            	if(escdata.checkmark == '0'){
		                    md.confirm({
				                title: '提示',
				                msg: '您还未申领电子社保卡,申领后即可继续后续业务办理，是否申领？',
				                buttons: ['取消', '确定']
				            },function( ret ){
				                if(ret.buttonIndex == '2'){
				                    //进入社保卡申领流程
				                    md.execScript({
								        name: "root",
								        script: 'goToService("905", "电子社保卡")'
								    });
				                }
				            });
		                }else{
		                	if(escdata.esccInfo.signLevel == '1'){
		                		md.confirm({
			                        title: '提示',
			                        msg: '您还未开通电子社保卡【缴费结算】业务,开通后即可使用医保个人账户进行支付，是否开通？',
			                        buttons: ['取消', '确定']
			                    },function( ret ){
			                        if(ret.buttonIndex == '2'){
			                            //进入社保卡申领流程
			                            md.execScript({
			                                name: "root",
			                                script: 'goToService("905", "电子社保卡")'
			                            });
			                        }
			                    });
		                	}else{
		                		openscanner();
		                	}
		                }
		            }, true); 
                    
                }
            	/*
                if(signData.checkonline == '1' || signData.checkonline == '4'){
                    openscanner();
                }else if(signData.checkonline == '5'){
                    md.confirm({
                        title: '提示',
                        msg: '您的二代社保卡暂未激活，使用实体二代社保卡刷卡消费一笔后将自动激活您的社保卡！',
                        buttons: ['确定']
                    },function( ret ){
                       
                    });

                }else{
                    md.confirm({
                        title: '提示',
                        msg: '您还未开通电子社保卡【缴费结算】业务,开通后即可使用医保个人账户进行支付，是否开通？',
                        buttons: ['取消', '确定']
                    },function( ret ){
                        if(ret.buttonIndex == '2'){
                            //进入社保卡申领流程
                            md.execScript({
                                name: "root",
                                script: 'goToService("905", "电子社保卡")'
                            });
                        }
                    });
                }*/

            //     //已开通
            //     if(signData.status == '1'){
            //         //判断签发等级
            //         if(signData.signlevel == '2'){
            //             openscanner();
            //         }else{
            //             //一级签发提示进行缴费结算业务开通
            //             md.confirm({
            //                 title: '提示',
            //                 msg: '您还未开通电子社保卡【缴费结算】业务,开通后即可使用医保个人账户进行支付，是否开通？',
            //                 buttons: ['取消', '确定']
            //             },function( ret ){
            //                 if(ret.buttonIndex == '2'){
            //                     //进入社保卡申领流程
            //                     md.execScript({
            //                         name: "root",
            //                         script: 'goToService("905", "电子社保卡")'
            //                     });
            //                 }
            //             });
            //         }
            //     //未开通    
            //     }else{
            //         //判断是否开通了线上支付
            //         param["jybh"] = "VCS032";
            //         param["bac001"] = Base.getStorage("bac001");
            //         Base.requestServer("queryData", param, function(onlineData){
            //             //已开通
            //             if(onlineData.payonline == '1'){
            //                 openscanner();
            //             //未开通    
            //             }else{
            //                 //引导用户进行电子社保卡签发
            //                 md.confirm({
            //                     title: '提示',
            //                     msg: '您还未申领电子社保卡，申领后开通【缴费结算】业务即可使用医保个人账户进行支付',
            //                     buttons: ['取消', '确定']
            //                 },function( ret ){
            //                     if(ret.buttonIndex = '2'){
            //                         //进入社保卡申领流程
            //                         md.execScript({
            //                             name: "root",
            //                             script: 'goToService("905", "电子社保卡")'
            //                         });
            //                     }
            //                 });
            //             } 
            //         }, true);   
            //     } 
            }, true);  
    // }else{
    //     md.toast({
    //         msg: '该功能暂未开放使用',
    //         duration: 2000,
    //         location: 'bottom'
    //     });

    // }}, true);
});

function openscanner(){
    scanner.open({autorotation: true}, function(ret, err) {
                        if(ret && ret.eventType === 'success' && ret.content) {
                            console.log('扫码结果: ' + ret.content);
                            //保存二维码信息
                            var param = {};
                            param["bke200"] = ret.content;
                            param["jybh"] = 'SC0001';
                            param["akb020"] = '';//医疗服务机构编号
                            param["aae072"] = '';//开单单据号
                            param["akc264"] = '';//医疗费用总额
                            param["baz499"] = '';//扫码批次号
                            param["bac001"] = Base.getStorage('bac001');
                            Base.requestServer("ckQueryData", param, function(framedata){
                                //新增校验药店是否开通了电子社保卡线上支付业务
                                var ckparam = {};
                                ckparam["jybh"] = 'VCS035';
                                ckparam["akb020"] = framedata.akb020;//医疗服务机构编号
                                Base.requestServer("ckQueryData", ckparam, function(cdata){
                                    if(cdata.checkmark == '1'){
                                        var data = {};
                                        data.url = "wgt://yyt/index/scancodeinfo.html";
                                        data.name = "scancodeinfo";
                                        data.title = "药品明细";
                                        data.frameName = "scancodeinfo_frame";
                                        data.frameUrl = "wgt://yyt/index/medicinalitem.html";
                                        data.framePageData = framedata;
                                        data.reload = true;
                                        Base.openWin(data);
                                    }else{
                                        md.confirm({
                                            title: '提示',
                                            msg: '该药店暂未开通电子社保卡线上支付业务',
                                            buttons: ['确定']
                                        },function( ret ){
                                           
                                        });

                                    }
                                    
                                }, true);
                            }, true);
                        } else if(!!err || !ret || ret.eventType === 'fail') {
                            Base.msgTip('二维码扫描失败');
                        }
                    });
}
/*点击头部返回图标的事件*/
function back() {
    md.closeWin({
        animation: {
            type: 'fade',
            duration: 300
        }
    });
}