$(document).ready(function(){
    //查询历史缴费记录
    queryPaymentHistory();
});
function queryPaymentHistory(){
    //编辑入参
    var startDate = "";
    var endDate = "";
    if(startDate != "" && endDate != "" && (startDate > endDate)){
        md.toast("您选择的时间范围有误！");
    }
    var hospital_id = "";
    var sickno = "";
    var pageNo = 1;
    var inputParam = {};
    inputParam.pageNo = pageNo;
    inputParam.hospital_id = hospital_id;
    inputParam.sickno = sickno;
    inputParam.startDate = startDate;
    inputParam.endDate = endDate;
    Base.requestYyt("queryHistoryPayRecipes", inputParam, callbackFunc1, true);
}
function callbackFunc1(callbackData){
    if(callbackData.error){
        md.toast(callbackData.msg || callbackData.error_msg);
        $(".div_outerFrame").html("");
    }else{
        $(".div_outerFrame").html("");
        var subCallbackData = callbackData[0];
        var str = "";
        for(var i=0; i<subCallbackData.length; i++){
            var s = subCallbackData[i];
            str +=  '<div class="div_paymentInfo">' +
                        '<table class="table_paymentInfo">' +
                            '<tr>' +
                                '<td>处&ensp;方&ensp;号：</td>' +
                                '<td>' + s.User01 + '</td>' +
                            '</tr>' +   
                            '<tr>' +
                                '<td>发&ensp;票&ensp;号：</td>' +
                                '<td>' + (s.User10 || "") + '</td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td>申请单号：</td>' +
                                '<td>' + (s.User09 || "") + '</td>' +
                            '</tr>' +  
                            '<tr>' +
                                '<td>门诊医生：</td>' +
                                '<td>' + (s.User03 || "") + '</td>' +
                            '</tr>' + 
                            '<tr>' +
                                '<td>门诊科室：</td>' +
                                '<td>' + (s.User05 || "") + '</td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td>费&#12288;&#12288;用：</td>' +
                                '<td><span>' + Number(s.User07).toFixed(2) +'</span><span>元</span></td>' +
                            '</tr>' + 
                            '<tr>' +
                                '<td>缴费时间：</td>' +
                                '<td>' + (s.User11 || "") + '</td>' +
                            '</tr>' +
                            '<tr id="linkToDetail" prescriptionID="' + r.User01 + '" prescriptionName="' + s.User08 + '" doctor="' + s.User03 + '" clinics="' + s.User05 + '" totalFee="' + Number(s.User07).toFixed(2) + '" timeOfPrescription="' + s.User11 + '">' +
                                '<td colspan="2">查看处方明细&ensp;>></td>' +
                            '</tr>' +
                        '</table>' +
                    '</div>' +
                    '<div class="div_separator2"></div>;'
        }
        $(".div_outerFrame").html(str);
    }
}    
//点击查看处方详情
$("#linkToDetail").click(function($this){
    var prescriptionID = $(this).attr("prescriptionID");
    var prescriptionName = $(this).attr("prescriptionName");
    var doctor = $(this).attr("doctor");
    var clinics = $(this).attr("clinics");
    var totalFee = $(this).attr("totalFee");
    var timeOfPrescription = $(this).attr("timeOfPrescription");
    var sickno = "";
    var transcode_qb = 4;

    var inputParam = {};
    inputParam.prescriptionID = prescriptionID;
    inputParam.prescriptionName = prescriptionName;
    inputParam.doctor = doctor;
    inputParam.clinics = clinics;
    inputParam.totalFee = totalFee;
    inputParam.timeOfPrescription = timeOfPrescription;
    inputParam.sickno = sickno;
    inputParam.transcode_qb = transcode_qb;

    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = "prescriptionDetails";
    data.title = "处方明细";
    data.frameName = "prescriptionDetailsFrame";
    data.reload = true;
    data.frameUrl = "wgt://yyt/pay/prescriptionDetails.html";
    data.framePageData = inputParam;
    Base.openWin(data); 
});
