var type = "";//刷新或加载标志
var hasMore = true;//上拉加载更多时，判断是否还有更多内容的标志
var hospitalId = "";//医院ID
var sickno = "";//病历号
var cardno = "";//就诊卡号（银医通卡号）
var needReg = false;//在缴纳药品费用前，是否存在还未缴纳的挂号费用（默认false）
var regCheck = null;//缴纳挂号费用前给予用户的提示信息（看医院HIS端的设置要求）
var userInfo = {};//人社通用户信息
var orderInfo = {};//订单信息
var authenticationInfo= {};
Base.ready(function(){
    //初次进入页面时，显示未支付的信息，同时初始化标题栏的样式
    //------备注，由于暂不清楚回调数据如何，以下功能暂不使用
    /*
    var tableLists = $(".div_paymentList").find("table");
    var numberOfUnpaid = 0;
    var numberOfPaid = 0;
    for(var i=0; i<tableLists.length; i++){
        var paymentFlag = $(tableLists[i]).find("span").text();
        if(paymentFlag == "已支付"){
            numberOfPaid++;
        }
        if(paymentFlag == "点击支付"){
            numberOfUnpaid++;
        }
    }
    $("#numberOfUnpaid").text("(" + numberOfUnpaid + ")");
    $("#numberOfPaid").text("(" + numberOfPaid + ")");
    $(".table_paymentType tr td:nth-child(1)").addClass("spareStyle1");

    //使用jQuery循环，为缴费状态其标注相应样式
    func1();
    */
    regCheck = md.pageParam.regCheck;
    //查询待缴费信息
    queryUnpaidItems(type);

    //下拉刷新/上拉加载更多
    Base.creatRefresh(function(p1){
        //下拉刷新
        $(".div_paymentList").html("");
        type="header";
        queryUnpaidItems(type);
    });
});

/*查询待缴费信息---同时对查询结果进行判断是否包含有挂号费用（如果包含有，需先把挂号费用结清，才能进药品费用的缴纳）*/
function queryUnpaidItems(type){
    var receivedParam = JSON.parse(Base.getStorage("cardParam"));
    sickno = receivedParam.sickno;
    hospital_id = Base.getStorage("hospitalId");
    //编辑入参
    var inputParam = {
        hospital_id : hospital_id,
        sickno : sickno
    };
    
    Base.requestYyt('queryStayPayRecipes', inputParam, (function() {
        return function(data) {
            callbackFunc1(data, type);
        };
    })(), true);
}
/*查询待缴费信息回调函数:变量定义+函数*/
var prescriptionID = "";//处方单号
var prescriptionName = "";//处方名称
var doctor = "";//医生
var clinics = "";//所属科室
var totalFee = "";//合计费用
var timeOfPrescription = "";//开单时间
var medicalType = "";//支付类别(普通挂号11、普通门诊111等)
var diseaseCode = "";//病种编码
function callbackFunc1(callbackData, type){
    console.log("callbackData: " + JSON.stringify(callbackData));
    needReg = false;
    if(callbackData.error){
        $(".div_paymentList").html("");
        Base.noDataPage(".div_paymentList", "未查询到相关数据！");
        //结束下拉刷新
        if(type == "header"){
            Base.removeDown();
        }
    }else{
        $(".div_paymentList").html("");
        var subCallbackData = callbackData.items[0];
        var str = "";
        for(var i=0; i<subCallbackData.length; i++){
            prescriptionID = subCallbackData[i].User01;
            prescriptionName = subCallbackData[i].User08 || "待缴处方";
            doctor = subCallbackData[i].User03;
            clinics = subCallbackData[i].User05 || "普通门诊";
            totalFee = subCallbackData[i].User07;
            timeOfPrescription = subCallbackData[i].User06;
            medicalType = subCallbackData[i].User11 || "";
            diseaseCode = subCallbackData[i].User12 || "";
            if(medicalType === "111"){
                needReg = true;
            }
            str +=  '<div class="div_eachItem" diseaseCode = "' + diseaseCode + '" medicalType="' + medicalType + '" prescriptionID="' + prescriptionID + '" prescriptionName="' + prescriptionName + '" doctor="' + doctor + '" clinics="' + clinics + '" totalFee="' + totalFee + '" timeOfPrescription="' + timeOfPrescription + '">' +
                    '<div class="div_separator2"></div>' +
                        '<table class="table_paymentList">' +
                            '<tr>' +
                                '<td rowspan="3" class="td_img"><img src="image/hospital3.png"></td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td class="td_prescription" colspan="2">' + prescriptionName + '</td>' +
                                '<td rowspan="3" class="td_paymentTip"><div>' + totalFee + '元</div><div><span>支&#12288;付</span></div></td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td class="td_date" colspan="2">' + timeOfPrescription + '</td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td class="td_clinicName">' + clinics + '</td>' +
                                '<td class="td_checkDetails" colspan="2">查看明细 >></td>' +
                            '</tr>' +
                        '</table>' +
                    '</div>';

        }
        //下述内容为测试假设存在挂号费时的情况
        /*
        str += '<div class="div_eachItem" diseaseCode = "" medicalType="111" prescriptionID="2384334" prescriptionName="静脉输液" doctor="张医生" clinics="内科" totalFee="2.60" timeOfPrescription="2016-12-12 下午">' +
                    '<div class="div_separator2"></div>' +
                        '<table class="table_paymentList">' +
                            '<tr>' +
                                '<td rowspan="3" class="td_img"><img src="image/hospital3.png"></td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td class="td_prescription" colspan="2">静脉输液</td>' +
                                '<td rowspan="3" class="td_paymentTip"><div>2.60元</div><div><span>支&#12288;付</span></div></td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td class="td_date" colspan="2">2016-12-12 下午</td>' +
                            '</tr>' +
                            '<tr>' +
                                '<td class="td_clinicName">内科</td>' +
                                '<td class="td_checkDetails" colspan="2">查看明细 >></td>' +
                            '</tr>' +
                        '</table>' +
                    '</div>';
        */
        $(".div_paymentList").html(str);
        //检查是否有未交费的挂号信息，如果有，做样式上的标识，以便用户区分
        checkRegisterPayment();
        //结束下拉刷新
        if(type == "header"){
            Base.removeDown();
        }
    }
}

/*检查是否有未交费的挂号信息，如果有，做样式上的标识，以便用户区分*/
function checkRegisterPayment(){
    var flagOfRegisterPayment = 0;//挂号缴费条目标识，默认为0（0条）
    $(".div_eachItem").each(function(){
        if($(this).attr("medicalType") === "111"){//说明该条目是挂号缴费
            $(this).css("background-color", "#C5E2CC");
            $(this).find(".td_prescription").text($(this).find(".td_prescription").text() + "（挂号）");
            ++flagOfRegisterPayment;
        } 
    });
    if(flagOfRegisterPayment !== 0) {
        $(".div_msgTip").css("display", "block");
        $(".div_eachItem").each(function(){
            if($(this).attr("medicalType") != "111"){
                $(this).find(".td_paymentTip span").css({"color":"#A9A9A9", "border":"solid 1px #A9A9A9"});
            } 
        });
    }else{
        $(".div_paymentList").css("margin-top", "12px;");
    }
}


/*点击查询需缴费项目的明细（为加强用户操作体验，点击图片、科室名称、处方名称、开单时间以及查看详细信息提示均可）*/
$(".div_paymentList").on("click",
    ".td_img, .td_clinicName, .td_prescription, .td_date, .td_checkDetails",
    function() {
        var selector = $(this).closest(".div_eachItem");
        //如果被点击条目不属于挂号缴费，但在缴费列表中又存在未缴费的挂号时，不能进行下一步操作，同时给予用户提示
        if(selector.attr("medicalType") == "111"){
            Base.msgTip("挂号费用暂无明细！");
            return false;
        }
        
        //编辑入参
        var inputParam = {};
        inputParam.prescriptionID = selector.attr("prescriptionID");
        inputParam.prescriptionName = selector.attr("prescriptionName");
        inputParam.doctor = selector.attr("doctor");
        inputParam.clinics = selector.attr("clinics");
        inputParam.totalFee = selector.attr("totalFee");
        inputParam.timeOfPrescription = selector.attr("timeOfPrescription");
        //页面跳转
        var data = {};
        data.url = "wgt://km/common/title_nav.html";
        data.name = "prescriptionDetails";
        data.title = "处方明细";
        data.frameName = "prescriptionDetailsFrame";
        data.reload = true;
        data.frameUrl = "wgt://yyt/pay/prescriptionDetails.html";
        data.framePageData = inputParam;
        Base.openWin(data);  
});

var hospital_id = "";//医院id
var blh = "";//病历号
var recipeNo = "";//处方号
var cardNo = "";//就诊卡号
var deptName = "";//科室名称
var deptCode = "";//科室编码
var doctorCode = "";//医生编码
var beginTime = "";//就诊开始时间
var endTime = "";//就诊结束时间
var transactionMoney = "";//交易金额
var qt = "";//???
/*点击直接缴费（点击费用、支付提示均可）*/
$(".div_paymentList").on("click", ".td_money, .td_paymentTip" ,function(){
    var selector = $(this).closest(".div_eachItem");
    //如果被点击条目不属于挂号缴费，但在缴费列表中又存在未缴费的挂号时，不能进行下一步操作，同时给予用户提示
    if(needReg && selector.attr("medicalType") != "111"){
        Base.msgTip("请先选择挂号费用进行支付！");
        return false;
    }
    //编辑入参
    var cardParam = getSaveStorage('cardParam', {});
    hospital_id = Base.getStorage("hospitalId");//医院id
    blh = cardParam.sickno;//病历号
    recipeNo = selector.attr("prescriptionID");//处方号
    cardNo = cardParam.cardno;//就诊卡号
    deptName = selector.attr("clinics");//科室名称
    deptCode = "";//科室编码
    doctorCode = "";//医生编码
    beginTime = "";//就诊开始时间
    endTime = "";//就诊结束时间
    transactionMoney = selector.attr("totalFee");//交易金额
    qt = "";//???
    var param = {
        hospital_id : hospital_id,
        recipeNO : recipeNo,
        markNo: cardNo,
        transMoney : transactionMoney,
        qt : qt
    };

    userInfo = {};//人社通用户信息
    userInfo.user_name = Base.getStorage("aac003");//姓名
    userInfo.user_token = Base.getStorage("access_token");//人社通用户在线token
    userInfo.sinumber = Base.getStorage("bac001");//医保个人编号
    userInfo.phoneNumber = Base.getStorage("yae098");//手机号码
    userInfo.pay_account = Base.getStorage("aac002");//身份证号

    orderInfo = {};//订单信息
    orderInfo.balance = transactionMoney;//支付金额
    orderInfo.hccnumber = Base.getStorage("bac001");//医保个人编号
    orderInfo.deptName = deptName || "";//科室名称
    orderInfo.deptCode = deptCode || "";//科室编号
    orderInfo.doctorCode = doctorCode || "";//医生编号
    orderInfo.Idcard = Base.getStorage("aac002");//用户身份证号
    orderInfo.medicalCardNo = cardNo || "0000000";//就诊卡号
    orderInfo.operatorPerson = Base.getStorage("user_name");//登录用户名
    orderInfo.payObjectName = Base.getStorage("aac003");//登录用户名
    orderInfo.prescription = recipeNo;//处方号或排班流水号
    orderInfo.blh = blh;//病历号
    orderInfo.regBeginTime = beginTime || "";//就诊开始时间
    orderInfo.regEndTime = endTime || "";//就诊结束时间
    orderInfo.remarks = "备注缴费";//备注说明
    orderInfo.type = "2";//支付类型：0--预约，1--挂号，2--普通门诊
    orderInfo.msnumber = Base.getStorage("yb_code");//医院医保账号
    orderInfo.merchant = Base.getStorage("yb_code");//商户标识
    orderInfo.notify_url = "http://localhost:8081/yytappserver/pay/savePay";//支付成功异步通知URL
    orderInfo.order_id = recipeNo;//处方号或排班流水号
    orderInfo.consume_type = "1";//消费类型：0--挂号，1--药品
    orderInfo.merId = "100123";//商户id--测试值
    orderInfo.merKey = "51ymajni6db5k3sa343n6v4e27krsir4";//商户key--测试值
    orderInfo.biz_back_params = JSON.stringify(param);//业务回传参数
    orderInfo.reg_date = "";//就诊日期
    orderInfo.medical_type = medicalType || "11";//缺省值为11（普通门诊）
    orderInfo.disease_code = diseaseCode;

    //控制台输出相关信息
    console.log("调用支付控件------人社通用户信息： " + JSON.stringify(userInfo));
    console.log("调用支付控件------订单信息： " + JSON.stringify(orderInfo));

    //调用支付接口
    if(orderInfo.medicalType === "111" && !!regCheck){
        md.confirm({
            title: '提示',
            msg: regCheck,
            buttons: ['确定', '取消']
        },function( ret, err ){
            goToPay();
        });
    } else {
        goToPay();
    }
});
function goToPay(){
    //是否使用医保个人账户支付
    md.confirm({
        title: '提示',
        msg: '是否使用医保个人账户余额进行支付？',
        buttons: ['不使用', '使用']
    },function( ret ){
        console.log(JSON.stringify(ret))
        if(ret.buttonIndex == '2'){
            authenticationInfo= {
                "type": "ecard", // 认证类型，ecard：电子社保卡认证；online：医保在线支付业务认证；none：全现金模式（默认值）
                "subType": "face", // 认证子类型，password：密码认证；sms：短信认证；face：人脸认证
                "password": "", // 在线支付密码：online类型使用
            };
            //获取密码验证方式
            var param = {};
            param["jybh"] = "VCS033";
            param["aac002"] = Base.getStorage("aac002");
            param["bac001"] = Base.getStorage("bac001");
            Base.requestServer("queryData", param, function(data){
                var sceneType = 0;
                //电子社保卡认证
                if(data.checkonline == '1'){
                    authenticationInfo.type = "ecard";
                    md.actionSheet({
                        title: '请选择认证方式',
                        cancelTitle: '取消',
                        buttons: ['人脸识别认证','手机短信认证','电子社保卡密码认证']
                    },function( ret ){
                        console.log(JSON.stringify( ret ));
                        //人脸认证
                        if(ret.buttonIndex == 1){
                            sceneType = 3;
                            authenticationInfo.subType = "face";
                        //手机短信验证    
                        }else if(ret.buttonIndex == 2){
                            sceneType = 2;
                            authenticationInfo.subType = "sms";
                        //电子社保卡密码验证    
                        }else if(ret.buttonIndex == 3){
                            sceneType = 1;
                            authenticationInfo.subType = "password";
                        }else{
                            return;
                        }
                        //调用接口获取签名串
                        var signParam = {};
                        var security = {};
                        signParam["jybh"] = "ESSC001";
                        signParam["channelId"] = "5301000001";
						signParam["sceneType"] = sceneType;
						signParam["useType"] = "医保个账支付身份认证";
						signParam["aac002"] = Base.getStorage("aac002");
						signParam["aac003"] = Base.getStorage("aac003");
                        security["aab301"] = "530100";
                        security["aac002"] = Base.getStorage("aac002");
                        security["aac003"] = Base.getStorage("aac003");
                        security["signNo"] = data.signno;
                        security["isIndep"] = '1';
                        signParam.security = JSON.stringify(security);
                        Base.requestServer("queryData", signParam, function(signdata){
                            mdescc.openSceneSDK({
                                envType: 2,
                                sceneType:sceneType,
                                isBackSupport:true,
                                sign:signdata.sign
                            }, function(ret, err){
                                console.log('验证回调'+JSON.stringify(ret));
                                if(ret.status==true && ret.code=='0'){
                                    
                                    var msg = JSON.parse(ret.msg);
                                    if(msg.result||msg.busiSeq){
                                        mdescc.closeSdk();
                                        setTimeout(function(){
                                            pay();
                                        },1000);
                                        
                                    }
                                }
                                console.log('验证回调'+JSON.stringify(ret));
                            });
                        }, true);
                    });
                //未开通缴费结算
                }else if(data.checkonline == '2'){
                    md.confirm({
                        title: '提示',
                        msg: '您还未开通电子社保卡【缴费结算】业务,开通后即可使用医保个人账户进行支付，是否开通？',
                        buttons: ['取消', '确定']
                    },function( ret ){
                        if(ret.buttonIndex = '2'){
                            //进入社保卡申领流程
                            md.execScript({
                                name: "root",
                                script: 'goToService("905", "电子社保卡")'
                            });
                        }
                    });
                //线上支付认证    
                }else if(data.checkonline == '4'){
                    md.openFrame({
                        name: 'inputPwdPayFrame',
                        url: 'wgt://yyt/pay/inputPwd.html',
                        pageParam: {
                            winname: 'clinicsPayment',
                            framename:'clinicsPaymentFrame'
                        },
                        rect: {marginLeft:0, marginTop:0, marginBottom:0, marginRight:0},
                        bgColor: 'transparent',
                        reload: true,
                        bounces: false
                    });
                }else{
                    //引导用户进行电子社保卡签发
                    md.confirm({
                        title: '提示',
                        msg: '您还未申领电子社保卡，申领后开通【缴费结算】业务即可使用医保个人账户进行支付',
                        buttons: ['取消', '确定']
                    },function( ret ){
                        if(ret.buttonIndex = '2'){
                            //进入社保卡申领流程
                            md.execScript({
                                name: "root",
                                script: 'goToService("905", "电子社保卡")'
                            });
                        }
                    });
                } 
            }, true);
        }else{
            //现金支付
            authenticationInfo = {
                "type": "none", // 认证类型，ecard：电子社保卡认证；online：医保在线支付业务认证；none：全现金模式（默认值）
                "subType": "", // 认证子类型，password：密码认证；sms：短信认证；face：人脸认证
                "password": "", // 在线支付密码：online类型使用
            };
            pay();
        }
    }); 
}
function pay(){
    kmYHSIPay.pay({
        userInfo: userInfo, // 人社通用户信息, 结构参见下面说明
        orderInfo: orderInfo, // 支付订单信息，结构参见下面说明
        authenticationInfo:authenticationInfo
    }, function(ret, err) {
        console.log('调用支付过程结束：' + JSON.stringify(ret));
        if(ret.code == 1) {
            Base.msgTip("取消了支付");
        } else if(ret.code == 2) {
            goTosuccess();
        } else if(ret.code == 3) {
            Base.msgTip("服务器忙请稍后再试");
        }
    });
}
function onPayReturn(ret, err){
    console.log("已调用支付接口: " + JSON.stringify(ret));
    console.log("ret: " + JSON.stringify(ret));
    console.log("err: " + JSON.stringify(err));
    if(ret.code == 1){
        Base.msgTip("取消了支付");
    }else if(ret.code == 2){
        goToSuccess();
    }else if(ret.code == 3){
        Base.msgTip("服务器忙，请稍后再试");
    }
}
//线上支付认证输入密码后回调
function takeOrder(pwd){
    var param = {};
    param["jybh"] = "VCS034";
    param["pwd"] = pwd;
    param["bac001"] = Base.getStorage("bac001");
    Base.requestServer("queryData", param, function(data){
        authenticationInfo.type = "online";
        authenticationInfo.subType = "";
        authenticationInfo.password = pwd;
        if(data.mark == '1'){
            pay();
        }else{
            md.alert({
                title: '提示',
                msg: '线上支付密码输入错误，请核实',
                buttonTitle:'确定'
            });
        }
    }, true); 
}
function goToSuccess(){
    console.log("goToSuccess function");
    var inputParam = {};
    inputParam.hospital_id = hospital_id;//医院id
    inputParam.userId = Base.getStorage("aac001");//用户id
    inputParam.cardno = cardNo;//就诊卡号
    inputParam.sickno = blh;//用户病历号
    inputParam.relativeInfo = JSON.stringify({"recipeNO" : recipeNo});//处方号
    inputParam.recordType = "pay";//记录类型
    inputParam.payOrderId = recipeNo;//支付系统订单号（若无可置为空）

    Base.requestYyt('addUseRecord', inputParam, callbackFunc2, true);
}
function callbackFunc2(data){
    console.log("callbackFunc2 function");
    if(data.error){
        Base.msgTip(data.msg || data.error_msg || "用户操作记录出错！");
    }else{
        Base.msgTip("用户操作记录成功！");
    }
    md.closeToWin({
        name: "hospital_index",
        animation: {
            type: "push",
            subType: "from_left",
            duration: 300
        }
    });
}

    /**
     * 获取本地存储
     * @param {String} key 本地存储键
     * @param {Object} defaultValue 当数据不存在或JSON解析异常返回的默认值, 缺省为undefined
     * @return {Object} 本地存储结果, 如果本地存储不存在, 返回defaultValue值
     */
function getSaveStorage(key, defaultValue) {
        var value = undefined;
        var jsonValue = null;
        try {
            jsonValue = Base.getStorage(key);
            if(!!jsonValue){
                value = JSON.parse(jsonValue)
            }
        } catch(e) {
            // JSON解析异常, 为了避免问题扩大, 日志后删除本地存储
            console.log('解析本地存储异常: ' + jsonValue);
        }

        // 如果value未定义, 取默认值返回
        if (!value) {
            value = defaultValue;
        }
        return value;
    };