Base.ready(function(){
    var receivedData = md.pageParam;
    //设置标题内容
    var title = receivedData.title;
    $(".title").text(title);
    //初始化日期控件
    initDate();
    //打开子页面
    openFramePage(receivedData);

});
/*初始化日期控件*/
function initDate(){
    $("#beginTime").mobiscroll().date();  
    $("endTime").mobiscroll().date();
    var currYear = (new Date()).getFullYear();    
    //初始化日期控件  
    var opt = {  
        preset: 'date', //日期，可选：date\datetime\time\tree_list\image_text\select
        //皮肤样式，可选：default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp  
        theme: 'ios',  
        display: 'bubble', //显示方式 ，可选：modal\inline\bubble\top\bottom  
        mode: 'clickpick', //日期选择模式，可选：scroller\clickpick\mixed  
        lang:'zh',  
        dateFormat: 'yyyy-mm-dd', // 日期格式  
        setText: '确定', //确认按钮名称  
        cancelText: '取消',//取消按钮名称  
        dateOrder: 'yyyy-mm-dd', //面板中日期排列格式  
        dayText: '日', monthText: '月', yearText: '年', //面板中年月日文字  
        showNow:true,    
        nowText: "今天",    
        startYear:currYear - 50, //开始年份    
        endYear:currYear + 50 //结束年份  
         
    };      
    $("#beginTime").mobiscroll(opt); 
    $("#endTime").mobiscroll(opt);
}
//打开子页面
function openFramePage(receivedData){ 
    var inputParam = {};
    Base.openFrameByEle("div_body",{
        name : receivedData.frameName, 
        url : receivedData.frameUrl,
        reload : receivedData.reload || true,
        pageParam : inputParam
    });
}
//点击标题栏的返回按钮所展现的样式
function back() {
    md.closeWin({
        animation: {
            type: 'fade',
            duration: 300
        }
    });
}