var recipeno = "";//处方单号
var recipeName = "";//处方名称
var doctor = "";//医生
var clinics = "";//所属科室
var totalFee = "";//合计费用
var timeOfPrescription = "";//开单时间
var hospital_id = "";
var sickno = "";
var transcode_qb = 5;

Base.ready(function(){
    //接收源页面传输过来的参数
    var receivedParam = md.pageParam;
    recipeno = receivedParam.prescriptionID;
    recipeName = receivedParam.prescriptionName || "待缴处方";
    doctor = receivedParam.doctor;
    clinics = receivedParam.clinics || "普通门诊";
    totalFee = receivedParam.totalFee;
    timeOfPrescription = receivedParam.timeOfPrescription;
    hospital_id = Base.getStorage("hospitalId");
    var receivedParam = JSON.parse(Base.getStorage("cardParam"));
    sickno = receivedParam.sickno;

    //初始化页面信息
    initPage();
});
function initPage(){
    $("#td_prescriptionID").text(recipeno || "");
    $("#td_prescriptionName").text(recipeName);
    $("#td_time").text(timeOfPrescription || "");
    $("#td_clinicName").text(clinics);
    $("#span_doctor").text(doctor || "");
    $("#span_totalFee").text(totalFee || "");

    //查询该处方详情
    var inputParam = {
        hospital_id : hospital_id,
        sickno : sickno,
        recipeno : recipeno,
        transcode_qb : transcode_qb
    };
    
    Base.requestYyt('queryPrescDetail', inputParam, callbackFunc1, true);
}
function callbackFunc1(callbackData){
    //alert("callbackData: " + JSON.stringify(callbackData));
    if(callbackData.error){
        $(".outerFrame").html("");
        Base.noDataPage(".outerFrame", "未查询到相关数据！");
        $(".div_payButton").css("display", "none");
    }else{
        if(callbackData.count < 1){
            $(".outerFrame").html("");
            Base.noDataPage(".outerFrame", "未查询到相关数据！");
            $(".div_payButton").css("display", "none");
        }else{
            var subCallbackData = callbackData.items[0];
            var str = "";
            for(var i=0; i<subCallbackData.length; i++){
                var rd = subCallbackData[i];
                //单独列出规格，如果为空，好做处理
                var temp = rd.User04 + ' ' + rd.User05;
                if(!rd.User04 && !rd.User05){
                    temp = "该项目暂无规格说明";
                }
                str +=   '<div class="div_separator"></div>' +
                        '<div class="div_paymentDetail">' +
                            '<table class="table_paymentDetail">' +
                                '<tr>' +
                                    '<td>项目名称：</td>' +
                                    '<td>' + rd.User03 + '</td>' +
                                '</tr>' +
                                '<tr>' +
                                    '<td>规&#12288;&#12288;格：</td>' +
                                    '<td>' + temp + '</td>' +
                                '</tr>' +
                                '<tr>' +
                                    '<td>数&#12288;&#12288;量：</td>' +
                                    '<td>' + rd.User07 + '</td>' +
                                '</tr>' +
                                '<tr>' +
                                    '<td>单&#12288;&#12288;价：</td>' +
                                    '<td>' + rd.User08 + '元</td>' +
                                '</tr>' +
                                '<tr>' +
                                    '<td>总&#12288;&#12288;价：</td>' +
                                    '<td>' + rd.User10 + '元</td>' +
                                '</tr>' +
                            '</table>' +
                        '</div>';
            }
            $(".outerFrame").html(str);
        }
    }

}

//点击支付按钮
/*
$(".div_payButton").click(function(){
    md.execScript({
        name: "clinicsPaymentFrame",
        script: "paymentFunc()"
    });
});
*/