var dayCount,hospitalId;
var doctors = [];
var deptParam = {};
var regDate;
var deptCode;
var isToday = true;
var transCode = "0092";
Base.ready(function(){
    var param = md.pageParam;
    hospitalId = param["hospitalId"]; 
    deptCode = param["deptCode"]; 
    deptName = param["deptName"];
    //创建日历
    queryCalendar();
    deptParam = {deptCode: deptCode, deptName: deptName}
});
function queryCalendar(){
    var data = {};
    dayCount = 7;
    data["dayCount"] = dayCount; 
    Base.requestServeryyt("queryCalendar", data, calendar_callback, true);
}
function calendar_callback(data){
    list = data["items"];
    var html = "";
    if(list.length != 0){
        for(var i=0;i<list.length;i++){
            var item = list[i];
            var ymd = (item.year + "-" + item.month + "-" + item.day);
            if (i==0){
                html += '<div ymd="' + ymd + '" class="li-calendar md-box md-ac md-pc md-ver data-content-begin data-uncheck data-checked" >'
                            +'<div class="li-calendar-txt info-uncheck info-checked">'+item.monthAndDay+'</div>'
                            +'<div class="li-calendar-txt info-uncheck info-checked lc-weekday"> '+item.weekDay+'</div>' 
                       +'</div>';
                regDate = ymd;
            }else if(i==(list.length-1)){
                html += '<div ymd="' + ymd + '" class="li-calendar md-box md-ac md-pc md-ver data-content-end data-uncheck" >'
                            +'<div class="li-calendar-txt info-uncheck">'+item.monthAndDay+'</div>'
                            +'<div class="li-calendar-txt info-uncheck lc-weekday">'+item.weekDay+'</div>' 
                        +'</div>';
            }else{
                html += '<div ymd="' + ymd + '" class="li-calendar md-box md-ac md-pc md-ver data-content data-uncheck" >'
                            +'<div class="li-calendar-txt info-uncheck">'+item.monthAndDay+'</div>'
                            +'<div class="li-calendar-txt info-uncheck lc-weekday">'+item.weekDay+'</div>' 
                        +'</div>';
            }
        }
    }
    $(".calendar-list").html(html);
    loadReg(deptCode);
}
Base.click(".li-calendar",function($this){
    if($this.index() == 0) {
        isToday = true;
        transCode = "0092";
    } else {
        isToday = false;
        transCode = "0093";
    }
    if ($this.hasClass("data-checked")) {
        return;
    }
    regDate = $this.attr("ymd"); // 选择的日期，格式为yyyy-MM-dd
    $(".li-calendar").removeClass('data-checked');
    $(".li-calendar-txt").removeClass('info-checked');
    $this.addClass("data-checked");
    $this.find('.li-calendar-txt').addClass('info-checked');
    clearReg(regDate);
    loadReg(deptCode);
});
Base.click(".li-doctor",function($this){
    if($this.find(".reg-limit").length > 0) {
        Base.msgTip("预约挂号已经约满！");
        return false;
    }
    var weekday = $(".li-calendar.data-checked").find(".lc-weekday").text();
    var index = $this.attr("index");
    var doctor = doctors[index];
    doctor.deptCode = deptParam.deptCode;
    doctor.deptName = deptParam.deptName;
    doctor.hospitalId = hospitalId;
    doctor.weekday = weekday;
    doctor.isToday = isToday;
    var param = {};
    param.url = "wgt://km/common/title_nav.html";
    param.name = "regDetail";
    param.title = "医生详情";
    param.frameName = "regDetail_frame";
    param.framePageData = doctor;
    param.reload = true;
    param.frameUrl = "wgt://yyt/reg/regDetail.html";
    Base.openWin(param);
});
function clearReg() {
    $(".doctor-list").html("");
}
function loadReg(deptCode) {
    console.log("--loadReg--");
    if (!deptCode) {
        Base.msgTip("未指定科室编号");
        return false;
    }
    var BirthDay =  getIdcardBirthday(Base.getStorage("aac002"));
    var _param = {BirthDay: BirthDay, hospitalId: hospitalId, transCode: transCode, deptCode: deptCode, type: 1,regDate: regDate };

    Base.requestServeryyt("queryDoctorList", _param, function (data) {
        if (data.items.length > 0) {
            doctors = data.items;
            var dcs = createHtml();
            console.log("加载医生图片信息");
            loadDoctorPics(dcs); //加载医生图片信息
        } else {
            Base.msgTip("没有排班数据");
        }
    }, true);
}
function createHtml() {
    var doctorCodes = [];
    var html = "";
    for (var i = 0; i < doctors.length; i++) {
        var doctor = doctors[i];
        doctorCodes.push(doctor.doctCode);
        html +='<div index="' + i +'" class="md-box md-ac list-content li-doctor" >'
                +'<div class="md-box md-ac">'
                    +'<div doctCode="'+doctor.doctCode+'" class="doc-img img_doctor md-img"></div>'
                +'</div>'
                +'<div class="md-box md-f1 md-ver" style="margin-left:.3rem">'
                    +'<div class="md-box md-ae" >'
                        +'<div class="fs-32">' + doctor.name + '</div>'
                        +'<div class="fs-28" style="margin-left:.15rem ;color:#555;">' + doctor.proffessor + '</div>'
                    +'</div>'
                    +'<div class="md-box md-ae"  style="height:.5rem;">'
                        +'<div class="fs-28" style="color:#888;">挂号费：</div>'
                        +'<div class="fs-30" style="color:red;">' + doctor.totalRegFee + '</div>'
                    +'</div>'
                +'</div>'
                +'<div class="md-box md-ver" style="margin-right:.3rem;">'
                    +'<div class="md-box fs-32 md-pc" style="margin-bottom:.1rem;">' + doctor.noonName + '</div>';
                if(doctor.telQuota !== null && doctor.telQuota !== '' && !isToday) {
                    var limit = parseInt(doctor.telQuota)-parseInt(doctor.teledQTY)-parseInt(doctor.telingQTY);
                    if(limit <= 0) {
                        html +='<div class="md-box uyylabel reg-limit">约&nbsp&nbsp&nbsp&nbsp满</div>';
                    }else{
                        if(isToday){
                            html +='<div class="md-box yylabel">可挂号</div>';
                        }else{
                            html +='<div class="md-box yylabel">可预约</div>';
                        }
                        
                    }
                } else if(doctor.telQuota === null || doctor.telQuota === '') {
                    var limit = parseInt(doctor.regLimit);
                    if(limit >= 0) {
                        limit = limit-parseInt(doctor.regRecordCount);
                        if(limit <= 0) {
                            html +='<div class="md-box uyylabel reg-limit">约&nbsp&nbsp&nbsp&nbsp满</div>';
                        }else{
                            if(isToday){
                                html +='<div class="md-box yylabel">可挂号</div>';
                            }else{
                                html +='<div class="md-box yylabel">可预约</div>';
                            }
                        }
                    }else{
                        if(isToday){
                            html +='<div class="md-box yylabel">可挂号</div>';
                        }else{
                            html +='<div class="md-box yylabel">可预约</div>';
                        }
                    }
                }else{
                    if(isToday){
                        html +='<div class="md-box yylabel">可挂号</div>';
                    }else{
                        html +='<div class="md-box yylabel">可预约</div>';
                    }
                }
                html +='</div>'
                            +'<div class="md-box md-ac">'
                                +'<div class="menu-img img_go md-img"></div>'
                            +'</div>'
                        +'</div>';
    }
    $(".doctor-list").html(html);
    console.log("--in--:" + html +"----"+ html);
    return doctorCodes;
}
//加载以上头像信息
function loadDoctorPics(dcs) {
    Base.requestServeryyt("queryDoctorDetails", {hospital_id: hospitalId, doctor_ids: dcs.join(",")}, function (data) {

        if (data.items.length > 0) {
            var docs = data.items[0];
            for(var o in docs) {
                var item = docs[o];
                if(item.doctor_id != undefined && item.doctor_id != "" && item.photo_flag == 1) {
                    var path = $.trim(item.doctor_id);
                    $("div[doctCode='"+o+"']").css("background-image", "url("+Base.yytFilePath+ 'h' + hospitalId + '/d/' + path + ".jpg)");
                }
            }
        }
        console.log("加载医生图片信息结束");
    }, true);
}
function getIdcardBirthday(idcard) {
    return idcard.substring(6, 10) + "-" + idcard.substring(10, 12) + "-" + idcard.substring(12, 14);
}