//当前年、月、日、星期几
var current_year;
var current_month;
var current_day;
var current_day_week;
//今日、本周、本月、近三个月所对应的起始日和截止日
var today = {};
var thisWeek = {};
var thisMonth = {};
var recentTHreeMonths = {};
Base.ready(function(){
    //alert(getFirstDayOfWeek(2018, 4, 23, 1, 1));
    //初始化时间选择框的默认选中样式
    $(".div-timeOptions>div").addClass("style2");
    $("#time_default").removeClass("style2");
    $("#time_default").addClass("style1");
    //为初始化活动选择框中的默认时间
    var current_date = new Date();
    current_year = current_date.getFullYear();
    current_month = current_date.getMonth()+1;//英语中月份是从0开始代表一月份（英语中的月份仅仅只是单词，与具体的阿拉伯数字并无关系）
    current_day = current_date.getDate();
    current_day_week = current_date.getDay() || 7;//英语中星期日是0，因此此处需将其转换为7
    $("#time_begin").val( formatDate(current_year, current_month, current_day) );
    $("#time_end").val( formatDate(current_year, current_month, current_day) );
    //分别获取今天、本周、本月、近三个月的开始日期和结束日期
    //今天
    today.begin = formatDate(current_year, current_month, current_day);
    today.end = formatDate(current_year, current_month, current_day);
    //本周
    thisWeek.begin = getDayOfWeek(current_year, current_month, current_day, current_day_week, 1);
    thisWeek.end = getDayOfWeek(current_year, current_month, current_day, current_day_week, 2);
    //本月
    thisMonth.begin = formatDate(current_year, current_month, 1);
    thisMonth.end = formatDate(current_year, current_month, getDaysInOneMonth(current_year, current_month));
    //近三个月
    if(current_month == 1){
        recentTHreeMonths.begin = formatDate(current_year-1, 11, 1);
    }else if(current_month == 2){
        recentTHreeMonths.begin = formatDate(current_year-1, 12, 1);
    }else{
        recentTHreeMonths.begin = formatDate(current_year, current_month-2, 1);
    }
    recentTHreeMonths.end = formatDate(current_year, current_month, getDaysInOneMonth(current_year, current_month));
    //加载子页面
    loadSubPage();
});

//加载子页面
function loadSubPage(){
    var pageParam = {};
    pageParam.begin_time = today.begin;
    pageParam.end_time = today.end;
    Base.openFrameByEle("id_queryResult", {
        name : md.pageParam.frameName,
        url : md.pageParam.frameUrl,
        hAuto : false,
        bounces: true,
        reload : true,
        scaleEnabled: false,
        pageParam : pageParam  
    });
}

/*以下是条件搜索框*/
//当输入框获取光标
$(".input-condition").focus(function(){
    $(".div-conditionClear").removeClass("md-hide");
});
//当输入框失去光标
$(".input-condition").blur(function(){
    var inputText = $(this).val();
    if(!Boolean(inputText)){//如果输入框中没有内容
        $(".div-conditionClear").addClass("md-hide");
    }else{//如果输入框中有内容
        $(".div-conditionClear").removeClass("md-hide");
    }
});
//点击输入框右侧的小叉标识，清楚输入框中的内容，并将小叉隐藏
$(".div-conditionClear").click(function(){
    $(".input-condition").val("");
    $(".div-conditionClear").addClass("md-hide");
    //调用子页面中的脚本方法
    invocateScriptInSubframe();
});
//点击查询按钮
Base.click(".div-searchBtn", function(){
    var condition = $(".input-condition").val();
    if(!Boolean(condition)){
        Base.msgTip("请输入身份证号");
        return;
    }
    //调用子页面中的脚本方法
    invocateScriptInSubframe();
});

/*以下是时间选择框*/
//点击固定时间框
$(".div-timeOptions>div").click(function(){
    var flag = $(this).hasClass("style1");
    var tab = $(this).attr("tab");
    if(flag){//当前被点击的时间已经处于选择状态
        //DO NOTHING
    }else{//当前被点击的时间处于未选择状态
        $(".div-timeOptions>div").removeClass("style1");
        $(".div-timeOptions>div").removeClass("style2");
        $(".div-timeOptions>div").addClass("style2");
        $(this).removeClass("style2");
        $(this).addClass("style1");
        //动态在活动的时间选择框中添加用户选择的时间段
        if(tab == "1"){//今天
            $("#time_begin").val( today.begin );
            $("#time_end").val( today.end );
        }else if(tab == "2"){//本周
            $("#time_begin").val( thisWeek.begin );
            $("#time_end").val( thisWeek.end );
        }else if(tab == "3"){//本月
            $("#time_begin").val( thisMonth.begin );
            $("#time_end").val( thisMonth.end );
        }else if(tab == "4"){//近三个月
            $("#time_begin").val( recentTHreeMonths.begin );
            $("#time_end").val( recentTHreeMonths.end );
        }
        //调用子页面中的脚本方法
        invocateScriptInSubframe();
    }
});
//点击活动时间框，弹出日期选择控件
//起始日期
$("#time_begin").click(function(){
    md.openPicker({
        type: 'date',
        date: formatDate(current_year, current_month, current_day) + " 00:00",
        title: '请选择开始时间'
    },function( ret, err ){
        if( ret ){
            var begin_t = formatDate(ret.year, ret.month, ret.day);
            var end_t = $("#time_end").val();
            if(CompareDate(begin_t, end_t)){//开始时间大于结束时间
                begin_t = end_t;
            }
            $("#time_begin").val(begin_t);
            //判断用户在活动时间选择框内选择的时间段是否等于固定时间框所对应的时间段
            judge_func(begin_t, end_t);
            //调用子页面中的脚本方法
            invocateScriptInSubframe();
        }else{
            console.log("时间选择有误！");
        }
    });
});
//截止日期
$("#time_end").click(function(){
    md.openPicker({
        type: 'date',
        date: formatDate(current_year, current_month, current_day) + " 00:00",
        title: '请选择结束时间'
    },function( ret, err ){
        if( ret ){
            var begin_t = $("#time_begin").val();
            var end_t = formatDate(ret.year, ret.month, ret.day);
            if(CompareDate(begin_t, end_t)){//开始时间大于结束时间
                end_t = begin_t;
            }
            $("#time_end").val(end_t);
            //判断用户在活动时间选择框内选择的时间段是否等于固定时间框所对应的时间段
            judge_func(begin_t, end_t);
            //调用子页面中的脚本方法
            invocateScriptInSubframe();
        }else{
            console.log("时间选择有误！");
        }
    });
});

//调用子页面中的脚本方法
function invocateScriptInSubframe(){
    var condition = $(".input-condition").val();
    var beginTime = $("#time_begin").val();
    var endTime = $("#time_end").val();
    md.execScript({
        name: "queryAuthenticationInfo",
        frameName: "queryAuthenticationInfo_frame",
        script: "queryDefaultData_search('" + condition + "','" + beginTime + "','" + endTime + "')"
    });
}

//获取本周星期一或者星期天的日期
function getDayOfWeek (year, month, day, day_week, flag) {
    if(day==day_week){//日期数等于星期几的数
        //DO NOTHING
    }else if(day<day_week){//日期数小于星期几的数
        if(month==1){//跨年跨月
            year = year - 1;
            month = 12;
            day = getDaysInOneMonth(year, month) - (day_week-day) + 1;
        }else{//跨月
            month = month - 1;
            day = getDaysInOneMonth(year, month) - (day_week-day) + 1;
        }
    }else{//日期数大于星期几的数
        day = day - day_week + 1;
    }
    //获取本周的星期日的日期
    var milliSeconds = new Date(year+"/"+month+"/"+day).getTime();
    var date = new Date(milliSeconds + 6*24*60*60*1000);
    if(flag == 1){//返回星期一的日期
        return formatDate(year, month, day);
    }else if(flag == 2){//返回星期日的日期
        return formatDate(date.getFullYear(), date.getMonth()+1, date.getDate());
    }
};
//获得某月的天数 
function getDaysInOneMonth(year, month){
    month = parseInt(month,10);
    var date= new Date(year,month,0);  //这个是都可以兼容的
    //var date = new Date(year+"/"+month+"/0")   //IE浏览器可以获取天数，谷歌浏览器会返回NaN
    return date.getDate();
}
//格式化日期
function formatDate(year, month, day){
    if(month>=1 && month<=9){
        month = "0" + month;
    }
    if(day>=1 && day<=9){
        day = "0" + day;
    }
    return year + "-" + month + "-" + day;
}

//判断用户在活动时间选择框内选择的时间段是否等于固定时间框所对应的时间段
function judge_func(begin, end){
    if(begin==today.begin && end==today.end){//今天
        $(".div-timeOptions>div").removeClass("style1");
        $(".div-timeOptions>div").addClass("style2");
        $(".div-timeOptions>div:nth-child(1)").removeClass("style2");
        $(".div-timeOptions>div:nth-child(1)").addClass("style1");
    }else if(begin==thisWeek.begin && end==thisWeek.end){//本周
        $(".div-timeOptions>div").removeClass("style1");
        $(".div-timeOptions>div").addClass("style2");
        $(".div-timeOptions>div:nth-child(2)").removeClass("style2");
        $(".div-timeOptions>div:nth-child(2)").addClass("style1");
    }else if(begin==thisMonth.begin && end==thisMonth.end){//本月
        $(".div-timeOptions>div").removeClass("style1");
        $(".div-timeOptions>div").addClass("style2");
        $(".div-timeOptions>div:nth-child(3)").removeClass("style2");
        $(".div-timeOptions>div:nth-child(3)").addClass("style1");
    }else if(begin==recentTHreeMonths.begin && end==recentTHreeMonths.end){//近三个月
        $(".div-timeOptions>div").removeClass("style1");
        $(".div-timeOptions>div").addClass("style2");
        $(".div-timeOptions>div:nth-child(4)").removeClass("style2");
        $(".div-timeOptions>div:nth-child(4)").addClass("style1");
    }else{//其它用户自定义的时间段
        $(".div-timeOptions>div").removeClass("style1");
        $(".div-timeOptions>div").addClass("style2");
    }
}
//对两个字符类型的日期格式，比较其大小
function CompareDate(date_1,date_2){
  return ( (new Date(date_1.replace(/-/g,"\/"))) > (new Date(date_2.replace(/-/g,"\/"))) );
}

//拍摄身份证获取身份证号
Base.click(".div-carema",function($this){
     md.getMedia({
        sourceType: 'camera',
        encodingType: 'jpg',
        mediaType: 'pic',
        destinationType: 'base64',
        allowEdit: true,
        quality: 100,
        targetWidth: 1000,
        targetHeight: 1000,
        saveToPhotoAlbum: false
    }, function(ret, err){ 
        if(ret){
             var data = JSON.parse(JSON.stringify(ret));
             console.log("data.base64Data:"+data.base64Data);
             Base.showGifMask();
            //调用扫描身份证方法
             $.ajax({
                type: 'POST',
                url:"https://api-cn.faceplusplus.com/cardpp/v1/ocridcard",
                data:{
                    api_key:"Y_Q4x05XSR5_u_pmhuJrFlek-PbUUyKM",
                    api_secret:"gMwxKLT7SDDPpPnY8AKshqfXuwpHI83g",
                    image_base64:data.base64Data
                },
                success: function(data) {
                    Base.removeGifMask();
                    cards = data.cards;
                    if(cards.length ==0){
                        if(cards.error_message){
                            md.toast({
                                msg: cards.error_message,
                                duration: 2000,
                                location: 'bottom'
                            });
                        }else{
                            md.toast({
                                msg: '识别失败，请重试！',
                                duration: 2000,
                                location: 'bottom'
                            });
                        }
                    }else{
                        item = cards[0];
                        if(item.type != '1'){
                            md.toast({
                                msg: '请使用身份证进行拍摄！',
                                duration: 2000,
                                location: 'bottom'
                            });
                            return;
                        }
                        if(item.side != 'front'){
                            md.toast({
                                msg: '请拍摄身份证人像面！',
                                duration: 2000,
                                location: 'bottom'
                            });
                            return;
                        }
                        $('.input-condition').val(item.id_card_number);
                        //$('#aac003').val(item.name);
                        $(".div-conditionClear").removeClass("md-hide");
                        //查询结果
                        var condition = $(".input-condition").val();
                        md.execScript({
                            name: "queryAuthenticationInfo",
                            frameName: "queryAuthenticationInfo_frame",
                            script: "queryDefaultData_search('" + condition + "','" + timeFlag + "')"
                        });
                    }
                }
            });
        }
    });
});

//顶部标题栏回退按钮
function back() {
    md.closeWin({
        animation: {
            type: 'fade',
            duration: 300
        }
    });
}