var app = new Vue({
	el:'#app',
	data: {
		step:'1',           //1、医保卡校验；2、家医签约
		blueFlag: false,    //是否支持蓝牙标志
        cardReaderFlag: false,//是否读卡标志
        bae056: '',        //卡模式
        //页面控制
        inputReadOnly: true,
        bac001: '',        //卡号
        bae054: '',        //密码
        //签约信息
        //1.个人基础信息
        bkc019: '',        //门诊统筹余额
        aaz500: '',        //真实卡号
        aac002: '',        //身份证号
        aac003: '',        //姓名
        bac002: '',        //人群类别
        bac046: '',        //建档立卡标志
        baa006: '',
        akc190: '',

        //2.家庭医生签约服务内容
		bae048: '',
        signYear: '',      //签约年度
        aka130: '',        //医疗类别
        ake001: '',        //社保三大目录统一编码
        ake002: '',        //社保三大目录名称
        akc226: '',        //数量
        akc225: '',        //价格
        bkc031: '',        //基本医疗统筹自付金额
        ake039: '',        //基本医疗基金支出
        ake072: '',        //其他补助基金支出
        bkc234: '',        //家庭医生签约财政补助支出
        bkc235: '',        //家庭医生签约公共卫生服务专项支出
        bke001: ''         //社保三大目录大类编码
	},
	methods: {
		//操作说明
		operateInstruction: function(){
			var paramp = {};
		    paramp.url = "wgt://km/common/title_nav.html";
		    paramp.name = "costinput";
		    paramp.title = "读卡操作说明";
		    paramp.frameName = "costinput_frame";
		    paramp.frameUrl = 'wgt://cct/costinput/operateInstruction.html';
		    paramp.reload = false;
		    Base.openWin(paramp);
		},
		//读卡
		readCard: function(){
			app.inputReadOnly = true;
			app.cardReaderFlag= true;
			app.bac001 = '';
			$('input').attr('placeholder',"请连接读卡器获取");
			$("#card_check").hide();
		    if(app.blueFlag) {
		        /* cardReader.readCard({type: 'x8'},function(ret, err) {
		            if(ret) {
		              	console.log("插件返回数据："+JSON.stringify(ret));
		              	app.bac001 = ret.personno;
		              	app.bae054 = ret.password;
			            app.cardReaderFlag= true;
		            }else {
		              	Base.msgTip(err.message||'读卡出错');
		            }
		        }); */
				ynhsa.getDeviceId({type: deviceType}, function(ret, err) {
				    if(ret) {
				        console.log("插件返回数据："+JSON.stringify(ret));
				        cardDeviceId = ret.deviceId;
						checkLocalDevice();
				    }else {
				        Base.msgTip(err.message||'读卡出错');
				    }
				});
		    }
		},
		//手动录入卡信息
		inputCard: function(){
			app.inputReadOnly = false;
			app.cardReaderFlag= false;
			app.bac001 = '';
			$('#aaz500').val('');
			$('#aaz500').attr('placeholder',"请输入身份证号");
			$("#card_check").show();
		},
		//校验卡信息
		cardCheck: function(){
		    if (Base.checkInput(app.bac001, 20)) {
		        Base.msgTip("请输入卡号");
		        return;
		    }
		    /* if (Base.checkInput(app.bae054, 20)) {
		        Base.msgTip("请输入密码");
		        return;
		    } */
		    if(app.cardReaderFlag){
				// 废弃 读卡不会到这里
		    	app.bae056 = "0";
		        app.next();
		    }else{
				// 身份证
		    	app.bae056 = "3";
		        /* var param = {};
		        param["bac001"] =  app.bac001;
		        param["jybh"] = 'CCT007';
		        Base.requestServer("queryData", param, function(data){
		            app.next();
		        }, true);  */
				var param = {};
				param.dev_no = "";
				param.aac002 = app.bac001;
				noCard(param);
		    }
		},
		/**
		 * @deprecated
		 */
		next: function(){
			var inputData = {};
			var param = {};
		    param["aaz500"] =  app.bac001;  //卡号
		    param["bae054"] =  app.bae054;  //密码
		    param["bae056"] =  app.cardReaderFlag ? "0" : "3";  //卡模式（0：IC卡；3：刷证）
		    param["aka130"] =  '112';  //医疗类别
		    param["baa006"] =  '5301';  // 统筹区划
		    param["SERVICENAME"] =  'httpService.mobileadmit';  //接口
		    param["jybh"] = 'HISCCT001';
		    Base.requestCct("ckQueryData", param, function(data){
		    	//设置个人基础信息
		    	app.bkc019 = data.bkc019;        //门诊统筹余额
		        app.aaz500 = data.aaz500;       //真实卡号
		        app.aac002 = data.aac002;        //身份证号
		        app.aac003 = data.aac003;        //姓名
		        app.bac002 = data.bac002;        //人群类别
		        app.baa006 = data.baa006;
		        app.akc190 = data.akc190;
		        //设置建档立卡标志
		        if(data.bac046 === "0"){
		        	app.bac046 = "否";
		        }else if(data.bac046  === "1"){
			        app.bac046 = "建档立卡未脱贫";
			    }else if(data.bac046  === "2"){
			        app.bac046 = "建档立卡已脱贫";
			    }else if(data.bac046  === "3"){
			        app.bac046 = "建档立卡返贫";
			    }else{
			        app.bac046 = "否";
			    }
		    	//校验通过，获取签约信息
		    	var queryParam = {};
				queryParam.jybh = 'VCS063';
				queryParam.bac002 = app.bac002;//人群类别
				queryParam.aka130 = '112';     //医疗类别
				Base.requestServer("ckQueryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					app.signYear = data.year; //签约年度
					app.aka130 = data.output[0].aka130; //医疗类别
					app.ake001 = data.output[0].ake001; //社保三大目录统一编码
					app.ake002 = data.output[0].ake002; //社保三大目录名称
					app.akc226 = data.output[0].akc226; //数量
					app.akc225 = data.output[0].akc225; //价格
					app.bkc031 = data.output[0].bkc031; //基本医疗统筹自付金额
					app.ake039 = data.output[0].ake039; //基本医疗基金支出
					app.ake072 = data.output[0].ake072; //其他补助基金支出
					app.bkc234 = data.output[0].bkc234; //家庭医生签约财政补助支出
					app.bkc235 = data.output[0].bkc235; //家庭医生签约公共卫生服务专项支出
					app.bke001 = data.output[0].bke001 || "01"; //社保三大目录大类编码
					app.step = '2';
			    }, true,'post','',true);
		    }, true);
		},
		getNowFormatDate: function(){
			var date = new Date();
		    var seperator1 = "-";
		    var seperator2 = ":";
		    var month = date.getMonth() + 1;
		    var strDate = date.getDate();
		    if (month >= 1 && month <= 9) {
		        month = "0" + month;
		    }
		    if (strDate >= 0 && strDate <= 9) {
		        strDate = "0" + strDate;
		    }
		    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
		            + " " + date.getHours() + seperator2 + date.getMinutes()
		            + seperator2 + date.getSeconds();
		    return currentdate;
		},
		/**
		 * 医保结算
		 */
		goPay: function(){
			md.confirm({
			    title: '结算提示',
			    msg: '确定进行家庭医生签约？',
			    buttons: ['确定', '取消']
			},function( ret ){
				if(ret.buttonIndex == 1 ){
					var sum = app.akc225;
					app.bae056 = app.cardReaderFlag ? "0" : "3";
					var xml = '<?xml version="1.0" encoding="GBK" standalone="yes" ?><input><dataset>';
				    xml += '<row><aae011>'+Base.getStorage("aae011")+'</aae011>'  //经办人
				                    +'<bke001>'+app.bke001+'</bke001>'               //社保三大目录大类编码
				                    +'<ake001>'+app.ake001+'</ake001>'               //社保三大目录统一编码
				                    +'<ake002>'+app.ake002+'</ake002>'               //社保三大目录名称
				                    +'<ake005>'+app.ake001+'</ake005>'               //医疗机构三大目录编码
				                    +'<ake006>'+app.ake002+'</ake006>'               //医疗机构三大目录名称
				                    +'<aae072>'+Base.getStorage("aae011")+'_aae072_1</aae072>' //单据号（处方号）
				                    +'<bke067>'+Base.getStorage("aae011")+'_aae072_1</bke067>' //处方明细序号
				                    +'<aka063></aka063>'                              //医疗发票项目类别
				                    +'<akc271>'+app.getNowFormatDate()+'</akc271>'           //单据开具日期
				                    +'<akc273>'+Base.getStorage("TOKENUSER")+'</akc273>' //开具医师
				                    +'<akf001>'+Base.getStorage("akf001")+'</akf001>'
				                    +'<bkf001>'+Base.getStorage("bkf001")+'</bkf001>'
				                    +'<ake007>'+app.getNowFormatDate()+'</ake007>'           //费用发生日期
				                    +'<bke007></bke007>'               //产地
				                    +'<bke008></bke008>'               //商品名
				                    +'<aka067>年</aka067>'               //单位
				                    +'<aka074></aka074>'               //规格
				                    +'<bke019></bke019>'               //包装
				                    +'<bke020></bke020>'               //材质
				                    +'<aka070></aka070>'               //剂型
				                    +'<bke011></bke011>'               //用法
				                    +'<bke012></bke012>'               //用量
				                    +'<akc226>'+app.akc226+'</akc226>'                  //数量
				                    +'<akc225>'+app.akc225+'</akc225>'                //价格
				                    +'<aae019>'+app.akc225+'</aae019>'                       //金额
				                    +'<bae056>'+app.bae056+'</bae056>'           //卡模式
				               +'</row>';

				    xml += '</dataset>'
				                +'<baa006>'+app.baa006+'</baa006>'
				                +'<bac001>'+app.bac001+'</bac001>'
				                +'<aaz500>'+app.aaz500+'</aaz500>'
				                +'<aae011>'+Base.getStorage("aae011")+'</aae011>'
				                +'<bke074></bke074>'
				                +'<akb020>'+Base.getStorage("akb020")+'</akb020>'
				                +'<akc190>'+app.akc190+'</akc190>'
				                +'<akc264>'+sum+'</akc264>'
				           +'</input>';
					var param = {};
				    param["xml"] =  xml;
				    param["SERVICENAME"] =  'httpService.mobilebalance';  //接口
				    param["bae056"] = app.cardReaderFlag ? "0" : "3"; //卡模式
					param["cardtoken"] = Base.getStorage("cardtoken");
					param["aka130"] = "112";
					param["bae048"] = app.bae048 || 0;
					param["bac001"] = app.bac001;
					param["akb020"] = Base.getStorage("akb020");
					param["aaz500"] = app.aaz500;
					param["aae011"] = Base.getStorage("aae011");
					param["bke074"] = "";
					param["ake034"] = 0;
					param["baa006"] = Base.getStorage("baa006");
					param["akc190"] = app.akc190;
				    param["jybh"] = 'HISCCT001';
					var infno;
					var verify = {};
					var reCheckParam = {};
					if(app.bae056 == "0") {
						infno = '1192';
						verify.cardinfo = {};
						var readCardResult = JSON.parse(Base.getStorage("readCardResult"));
						var cardtoken = Base.getStorage("cardtoken");
						verify.cardinfo.aac002 = readCardResult.identifyno;
						verify.cardinfo.aaz500 = readCardResult.cardno;
						verify.cardinfo.aaz501 = readCardResult.identifyCardNo;
						verify.cardinfo.baz821 = readCardResult.standardVersion;
						verify.cardinfo.aac003 = readCardResult.name;
						verify.cardinfo.areacode = readCardResult.identifyCardNo.substring(0, 6);
						verify.cardinfo.cardtoken = cardtoken;
						verify.cardinfo.infno = '2207';
						reCheckParam.readCardResult = readCardResult;
						reCheckParam.aac002 = readCardResult.identifyno;
					}else{
						infno = '1194';
						verify.data = {};
						verify.data.idno = app.aac002 || '';
						verify.data.username = "";
						verify.data.authtoken = Base.getStorage("authtoken");
						verify.data.mdtrtarea = Base.getStorage("mdtrtarea_admvs");
						reCheckParam.aac002 = app.aac002 || '';
					}
					ChsAuthenticateVerify(verify, infno, "X8", identityVerification, param, true, reCheckParam);

				}
			});
		}
	}
})


function identityVerification(ret, err, params) {
	requestYBSettle(params);
}

function requestYBSettle(params) {
	Base.requestCct("queryData", params, function(data){
		var paramp = {};
		paramp.url = "wgt://cct/costinput/costseccess.html";
		paramp.name = "costseccess";
		paramp.title = "门诊费用录入";
		paramp.framePageData = data;
		paramp.reload = true;
		Base.openWin(paramp);
	}, true);
}

var deviceType = "001";
var cardDeviceId = "";
var localCard = "";
// 读卡设备入网申请
function deviceNetApply(deviceId) {
	var param = {};
	var request = {};
	request.ttz001 = Base.getStorage("infosyscode");	// 服务商统一信用代码
	request.ybaab001 = Base.getStorage("fixmedins_code");	// 医药机构编码
	request.ybaab004 = Base.getStorage("fixmedins_name");	// 医药机构名称
	request.bae017 = Base.getStorage("bke132");	// 联系电话
	request.aab201 = Base.getStorage("mdtrtarea_admvs");	// 所属州市编码
	request.accessid = deviceId;	// 读卡设备号
	param.request = request;
	param.type = deviceType;
	ynhsa.deviceNetApply(param, function(ret, err) {
		console.log('插件返回数据 ret: ' + JSON.stringify(ret) + ', err: ' + JSON.stringify(err));
	    if(ret) {
	        if(!Base.isEmpty(ret)) {
	        	// 数据分析
				if(!Base.isEmpty(ret.baz001)) {
					// 入网申请审批信息查询
					deviceNetApplyResultQuery(false);
				}else {
					// 入网申请未成功
					Base.msgTip(err.message||'读卡出错');
				}
	        }else{
				// 入网申请未成功
	        	Base.msgTip(err.message||'读卡出错');
	        }
	    }else {
	        Base.msgTip(err.message||'读卡出错');
	    }
	});
}

// 读卡设备入网申请审批信息查询
function deviceNetApplyResultQuery(type) {
	var param = {};
	param.deviceId = cardDeviceId;
	// param.type = deviceType;
	ynhsa.deviceNetApplyResultQuery(param, function(ret, err) {
		if(ret) {
	        if(!Base.isEmpty(ret)) {
				if(ret.audit_flag == "审核通过") {
					Base.setStorage("_LOCAL_CARD_", ret);
					readCard();
				}else {
					if(type) {
						deviceNetApply(cardDeviceId);
					} else {
						Base.msgTip('读卡设备入网申请审核中，请于5分钟后重新点击读卡！');
					}
				}
			}else{
				if(type) {
					deviceNetApply(cardDeviceId);
				}else {
					Base.msgTip(err.message||'读卡出错');
				}
			}
	    }else {
	        if(type) {
	        	deviceNetApply(cardDeviceId);
	        } else {
	        	Base.msgTip(err.message||'读卡设备入网申请审核中，请于5分钟后重新点击读卡！');
	        }
	    }
	});
}

// 检测本地入网申请，比较蓝牙获取的设备和本地的设备是否一致，一致则使用本地入网申请，不一致则重新申请
function checkLocalDevice() {
	// 要是读卡器设备入网申请和安卓设备没有关系
	//1.读取设备后，本地无缓存设备信息，todo读卡设备入网申请审批信息查询
	//1.1入网申请审批信息查询结果不通过，后续操作暂停，todo入网申请
	//1.2入网申请审批信息查询结果通过，本地缓存该信息，可以继续下一步
	//2.读取设备后，本地有缓存信息，比较设备号，信息不一致，todo读卡设备入网申请审批信息查询
	//2.1入网申请审批信息查询结果不通过，后续操作暂停，todo入网申请
	//2.2入网申请审批信息查询结果通过，本地缓存更新该信息，可以继续下一步
	//3.读取设备后，本地有缓存信息，比较设备号，信息一致。todo使用本地缓存，可以继续下一步
	localCard = Base.getStorage("_LOCAL_CARD_") || "";
	if(Base.isEmpty(localCard)) {
		deviceNetApplyResultQuery(true);
	}else {
		// 比较设备号
		localCard = JSON.parse(localCard);
		if(localCard.accessid != cardDeviceId) {
			deviceNetApplyResultQuery(true);
			return false;
		}
		// todo读卡
		readCard();
	}
}

function readCard() {
	// 卡密码
	app.cardReaderFlag= true;
	var param = {};
	param.dev_no = "X8";

	var params = {};
	params.bae056 = app.cardReaderFlag ? "0" : "3";// 卡模式 IC卡
	params.bke074 = Base.getStorage("bke074") || "";// 不知道有什么用 老android版就是这样
	params.akb020 = Base.getStorage("akb020");
	params.akf001 = Base.getStorage("akf001");
	params.bkf001 = Base.getStorage("bkf001");
	params.aae011 = Base.getStorage("aae011");
	params.aka130 = '112';

	readCardSuccessToAuth(param, params, readCardSuccessCallback);
}
var readCardResult;
function readCardSuccessCallback(ret, err, readCardResult, admitParam) {
	if (ret && ret.data && ret.data.aae314 == '1') {
		// future 历史开发缺陷 不应使用 storage存储
	    Base.setStorage("readCardResult", readCardResult);
		readCardResult = readCardResult;
		// future 历史开发缺陷 不应使用 storage存储
		Base.setStorage("baa006", readCardResult.identifyCardNo.substr(0, 6));
	    admitParam.baa006 = Base.getStorage("baa006");
	    admitParam.card_sn = readCardResult.identifyCardNo;
	    admitParam.aaz500 = readCardResult.cardno;
	    admitParam.aac002 = readCardResult.identifyno;
	    admitParam.idType = readCardResult.cerType;
	    admitParam.aac003 = readCardResult.name;
		// future 历史开发缺陷 不应使用 storage存储
	    Base.setStorage("cardtoken",ret.data.cardtoken);
	    admitParam.cardtoken = ret.data.cardtoken;
	    admit(admitParam);
	} else {
	    Base.msgTip(err.message || ret.data.aae204, 5000);
	}
}

function admit(admitParam) {
	var param = admitParam;
	param["SERVICENAME"] =  'httpService.mobileadmit';  //接口
	param["jybh"] = 'HISCCT001';
	Base.requestCct("ckQueryData", param, function(data){
		console.log("------------mobileadmit----------:");
		console.log(JSON.stringify(data));
		//设置个人基础信息
		app.bkc019 = data.bkc019 || 0;        //门诊统筹余额
		app.aaz500 = data.aaz500;       //真实卡号
		app.aac002 = data.aac002;        //身份证号
		app.aac003 = data.aac003;        //姓名
		app.bac002 = data.bac002;        //人群类别
		app.baa006 = Base.getStorage("baa006") || data.baa006;
		app.akc190 = data.akc190;
		app.bac001 = data.bac001;
		app.bae048 = data.bae048 || 0;
		//设置建档立卡标志
		if(data.bac046 === "0"){
			app.bac046 = "否";
		}else if(data.bac046  === "1"){
		    app.bac046 = "建档立卡未脱贫";
		}else if(data.bac046  === "2"){
		    app.bac046 = "建档立卡已脱贫";
		}else if(data.bac046  === "3"){
		    app.bac046 = "建档立卡返贫";
		}else{
		    app.bac046 = "否";
		}
		//校验通过，获取签约信息
		var queryParam = {};
		queryParam.jybh = 'VCS063';
		queryParam.bac002 = app.bac002;//人群类别
		queryParam.aka130 = '112';     //医疗类别
		Base.requestServer("ckQueryData", queryParam, function(data){
			console.log('查询结果：'+JSON.stringify(data));
			app.signYear = data.year; //签约年度
			app.aka130 = data.output[0].aka130; //医疗类别
			app.ake001 = data.output[0].ake001; //社保三大目录统一编码
			app.ake002 = data.output[0].ake002; //社保三大目录名称
			app.akc226 = data.output[0].akc226; //数量
			app.akc225 = data.output[0].akc225; //价格
			app.bkc031 = data.output[0].bkc031; //基本医疗统筹自付金额
			app.ake039 = data.output[0].ake039; //基本医疗基金支出
			app.ake072 = data.output[0].ake072; //其他补助基金支出
			app.bkc234 = data.output[0].bkc234; //家庭医生签约财政补助支出
			app.bkc235 = data.output[0].bkc235; //家庭医生签约公共卫生服务专项支出
			app.bke001 = data.output[0].bke001 || "01"; //社保三大目录大类编码
			app.step = '2';
		}, true,'post','',true);
	}, true);
}


function noCard(param) {
	// 卡密码
	cardReaderFlag= false;
	var params = {};
	params.bae056 = cardReaderFlag ? "0" : "3";// 卡模式 IC卡
	params.bke074 = Base.getStorage("bke074") || "";// 不知道有什么用 老android版就是这样
	params.akb020 = Base.getStorage("akb020");
	params.akf001 = Base.getStorage("akf001");
	params.bkf001 = Base.getStorage("bkf001");
	params.aae011 = Base.getStorage("aae011");
	params.aaz500 = param.aac002;
	// 无卡身份证验证仅支持昆明市(5301)
	params.baa006 = "5301";
	ChsIdNoAuth(param, idNoAdmit, params);
}

function idNoAdmit(ret, err, params) {
	if(ret && ret.data && ret.data.flag == '1') {
		// future 历史开发缺陷 不应使用 storage存储
		Base.setStorage("authtoken", ret.data.authtoken);
		admit(params);
	}else {
		Base.msgTip(err.message, 5000);
	}
}

Base.ready(function(){
	/* cardReader.openBluetooth({ble: 'true'},function(ret, err) {
        if(ret) {
            app.blueFlag = true;
        }else {
            Base.msgTip(err.message||'打开蓝牙功能出错');
		    app.blueFlag = false;
        }
    }); */
	ynhsa.openBluetooth({type: deviceType}, function(ret, err) {
	    if(ret) {
	        app.blueFlag = true;
	    }else {
	        Base.msgTip(err.message||'打开蓝牙功能出错');
	        app.blueFlag = false;
	    }
	});
});
window.onViewCreate = function() {

}
window.onViewClose = function() {

};
