var vm = new Vue({
	el:'#app',
	data:{
		queryCondition:'',
		timeout:null,
		medicalList:[]
	},
	methods:{
		query: function(){
			var param = {};
			param["akb020"] = Base.getStorage("akf001");
			//测试，正式的获取akf001，不知道为什么
			// param["akb020"] = Base.getStorage("akb020");
		    param["ake002"] = this.queryCondition;
		    param["jybh"] = 'VCS049';
		    console.log('param'+JSON.stringify(param));
		    Base.requestServer("queryData", param, function(data){
		    	vm.medicalList = [];
		    	data.output.forEach(function(item){
		    		vm.medicalList.push(item);
		    	})
		    }, true);
			console.log(this.queryCondition);
		},
		add: function(){
			md.openWin({
			    name: 'cct_query_prdl',
			    url: 'wgt://cct/download/query-prdl.html',
			    reload:true
			});
		},
		remove: function(item){
			md.confirm({
			    title: '提示',
			    msg: '确认删除该条药品？',
			    buttons: ['确定', '取消']
			},function( ret ){
				if(ret.buttonIndex == 1){
					var param = {};
					param["akb020"] = Base.getStorage("akf001");
					//测试，正式的获取akf001，不知道为什么
					// param["akb020"] = Base.getStorage("akb020");
				    param["ake001"] = item.ake001;
				    param["jybh"] = 'VCS050';
				    Base.requestServer("queryData", param, function(data){
				    	md.alert({
						    msg: '删除成功',
						});
						vm.query();
				    }, true);
				}
			    console.log("点击Confirm按钮序号:"+ret.buttonIndex);
			});
		},
		showName: function(item){
			if(item.bke007 == ''){
				return item.ake002;
			}else{
				return item.ake002 + '('+item.bke007+')';
			}
		},
		back: function(){
			md.closeWin();
		}
	},
	watch: {
//		queryCondition:function(curVal, oldVal){
//			clearTimeout(this.timeout);
//	        this.timeout = setTimeout(function() {
//	          this.query();
//	        }, 2000);
//		}
	}
});
function query(){
	vm.query();
}
onViewOpen=function(){
	vm.query();
	//设置延时重置页面布局
	setTimeout(function (){
		var windowHeight =  $(window).height();
		var topHeight =  $('#header').outerHeight(true);
		var queryHeight =  $('.u-query').outerHeight(true);
		var btnHeight =  $('.u-btn-conten').outerHeight(true);
		var contentheight = windowHeight - topHeight - queryHeight - btnHeight; 
		console.log('contentheight:'+contentheight)
		$('#madicalinfo').css("height",contentheight);
	}, 100)
};