var vm = new Vue({
	el:'#app',
	data:{
		ake002:'',
		bke007:'',
		timeout:null,
		medicalList:[]
	},
	methods:{
		query: function() {
			var param = {};
			param["akb020"] = Base.getStorage("akf001");
		    param["ake002"] = this.ake002;
		    param["bke007"] = this.bke007;
		    param["jybh"] = 'VCS048';
			console.log(JSON.stringify(param));
		    Base.requestServer("queryData", param, function(data){
		    	vm.medicalList = [];
		    	data.output.forEach(function(item){
		    		item.addmark = '0';
		    		vm.medicalList.push(item);
		    	})
		    }, true);
			console.log(this.queryCondition);
		},
		add: function(){
			var ake001 = [];
			this.medicalList.forEach(function(item){
				if(item.addmark === '1'){
					ake001.push(item.ake001);
				}
			})
			var param = {};
			param["akb020"] = Base.getStorage("akf001");
		    param["ake001"] = ake001.join('|');
		    param["jybh"] = 'VCS051';
			console.log(JSON.stringify(param));
		    Base.requestServer("queryData", param, function(data){
		    	md.alert({
				    msg: '添加成功'
				});
		    }, true);
		},
		showName: function(item){
			if(item.bke007 == ''){
				return item.ake002;
			}else{
				return item.ake002 + '('+item.bke007+')';
			}
		},
		choose: function (item,index){
			if(item.addmark === '0'){
				item.addmark = '1';
			}else{
				item.addmark = '0';
			}
			this.medicalList.splice(index,1,item);
		},
		getImgSrc: function(item) {
			if(item.addmark === '1'){
				return 'image/checked.png';
			}else{
				return 'image/circle.png';
			}
		},
		back: function(){
			md.closeWin();
			md.execScript({
			    name: 'cct_my_prdl',
			    script: 'query();'
			});
		}
	},
	mounted: function() {
		//设置延时重置页面布局
		setTimeout(function (){
			var windowHeight =  $(window).height();
    		var topHeight =  $('#header').outerHeight(true);
    		var queryHeight =  $('.u-query').outerHeight(true);
    		var btnHeight =  $('.u-btn-conten').outerHeight(true);
    		var contentheight = windowHeight - topHeight - queryHeight - btnHeight; 
    		console.log('contentheight:'+contentheight)
    		$('#madicalinfo').css("height",contentheight);
		}, 100)
	},
	watch: {
//		ake002:function(curVal, oldVal){
//			clearTimeout(this.timeout);
//	        this.timeout = setTimeout(function(){
//	          vm.query();
//	        }, 2000);
//		},
//		bke007:function(curVal, oldVal){
//			clearTimeout(this.timeout);
//	        this.timeout = setTimeout(function(){
//	          vm.query();
//	        }, 2000);
//		}
	}
});