"use strict";

// Vue对象示例
var app = null;
var hgS1 = null;
var task_name = decodeURIComponent(getUrlParms("task_name"));
$('.title-text').text(task_name)
// -- 界面初始化
Base.onViewCreate(function() {
    // appInit();
    // app.fnGetSLJG();
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
    app.fnGetSLJG();
});

function appInit(){
	app = new Vue({
        el: '#app',
        data: {
			sljg: [],
			chooseList: [{label: '相机',value: 0},{label: '相册',value: 1}],
			orgList: [],
			org: {},
			infoList: [],
			camera: ['camera','album'],
			material: {},
			project_no: '',
			fileName: 0,
			attach_id: '',	// 用于删除文件
			infoIndex: -1,
			base_guid: '',
			promise_day: '',
			takeTypeList: [{label: '大厅取件', value: 1}, {label: '快递取件', value: 2}, {label: '网上取件', value: 3}],
			takeType: {label: '大厅取件', value: 1},
			cailiaoList: [],
			pdf: '',
			kd: {
				name: '',
				phone: '',
				yb: '',
				addr: ''
			},
			baeList: [],
        },
        methods: {
			fnOpenSwiper: function() {
				console.log('org--' + JSON.stringify(this.org));
				pullRefresh.hideHeader({hide:true});
				hgS1.openSelectSwiper();
			},
			fnInitSwiper: function(dataList) {
				// 初始化受理机构下拉框
				var _this = this;
				hgS1=new selectSwiper(
					{
						el:'.select_box1',
						data: dataList,
						init:function(index){
							if(index!==-1){
								_this.org = this.data[index];
							}
						},
						okFunUndefind:function(){
							alert('必须选择一项');
							return false;
						},
						okFun:function(index){
							console.log(index);
							_this.org = this.data[index];
							_this.fnGetProjectNo();
						},
						closeFun:function(){
							console.log('取消');
						},
					}
				);
			},
			fnGetProjectNo: function() {
				// 2.根据受理机构获取project_no
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0014';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_014';
				queryParam["jybh"] = 'SIH001';
				queryParam["base_guid_list"] = _this.base_guid;
				queryParam["credit_code"] = _this.org.credit_code;
				console.log('--queryParam--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果办件编号：'+JSON.stringify(data));
					if ('S001' == data.code) {
						_this.project_no = data.data.project_no;
						Base.setStorage('zhslbjbh', data.data);
					} else {
						md.hideProgress();
					}
				}, true);
			},
        	fnGetSLJG: function() {
				// 1.查询受理机构列表
        		var _this = this;
        		var queryParam = {};
				_this.base_guid = JSON.parse(Base.getStorage('promise_day_guid')).base_guid;
				_this.promise_day = JSON.parse(Base.getStorage('promise_day_guid')).promise_day;
        		queryParam["aaa121"] = 'kmosp0054';
        		queryParam["csj012"] = 'kmosp243ggfw_kmosp_054';
				queryParam["jybh"] = 'SIH001';
				queryParam["base_guid"] = _this.base_guid;
				console.log('--queryParam--' + JSON.stringify(queryParam));
				// md.showProgress({
				// 	content: "加载中...",
				// 	modal: true
				// });
        		Base.requestServer("queryData", queryParam, function(data){
        			console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						if (Base.isArray(data.data.deptList)) {
							_this.orgList = data.data.deptList;
						}else {
							_this.orgList.push(data.data.deptList);
						}
						_this.org = _this.orgList[0];
						_this.fnGetProjectNo();
						_this.fnGetZLList();
						_this.fnInitSwiper(_this.orgList);
					} else {
						md.hideProgress();
					}
        		}, true);
        	},
			fnGetZLList: function() {
				// 3.获取材料列表
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0003';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_003';
				queryParam["jybh"] = 'SIH001';
				queryParam["base_guid_list"] = _this.base_guid;
				console.log('--queryParam--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						if(Base.isExist(data.data.output)) {
							if (Base.isArray(data.data.output)) {
								_this.infoList = data.data.output;
							}else {
								_this.infoList.push(data.data.output);
							}
						}else {
							if (Base.isArray(data.data)) {
								_this.infoList = data.data;
							}else {
								_this.infoList.push(data.data);
							}
						}
					} else {
						md.hideProgress();
					}
					for(var i = 0; i < _this.infoList.length; i++) {
						_this.infoList[i].imgLen = 0;
					}
					_this.fnGetSource();
				}, true);
			},
			fnGetSource: function() {
				// 查询反馈结果
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0028';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_028';
				queryParam["jybh"] = 'SIH001';
				queryParam["base_guid_list"] = _this.base_guid;
				console.log('--queryParam--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						if(Base.isExist(data.data.output)) {
							if (Base.isArray(data.data.output)) {
								_this.cailiaoList = data.data.output;
							}else {
								_this.cailiaoList.push(data.data.output);
							}
						}else {
							if (Base.isArray(data.data)) {
								_this.cailiaoList = data.data;
							}else {
								_this.cailiaoList.push(data.data);
							}
						}
						if (_this.cailiaoList.length > 0) {
							_this.takeType = _this.takeTypeList[0];
						}
					}
					md.hideProgress();
				}, true);
			},
			fnSubmit: function() {
				// 生成受理单
				var _this = this;
				Base.setStorage("zhslorg", _this.org);
				Base.setStorage('zhslmateriallist', _this.infoList);
				for(var i = 0; i < _this.infoList.length; i++) {
					if (_this.infoList[i].is_need == '1') {
						if (_this.infoList[i].imgLen <= 0) {
							var msg = _this.infoList[i].material_name + '项为必传项';
							md.toast({
								msg: msg,
								duration: 5000,
								location: 'middle'
							});
							return false;
						}
					}
				}
				if (_this.takeType.value == 2) {
					if (_this.kd.name == '' || _this.kd.phone == '' || _this.kd.yb == '' || _this.kd.addr == '') {
						var msg = '';
						if (_this.kd.name == ''){
							msg = '请输入收件人姓名!';
						} else if (_this.kd.phone == ''){
							msg = '请输入收件人手机号!';
						} else if (_this.kd.yb == ''){
							msg = '请输入邮政编码!';
						} else if (_this.kd.addr == ''){
							msg = '请输入邮寄地址!';
						}
						md.toast({
							msg: msg,
							duration: 5000,
							location: 'middle'
						});
						return false;
					} else if (!(/^1[34578]\d{9}$/.test(_this.kd.phone))){
						md.toast({
							msg: '请输入正确的手机号!',
							duration: 5000,
							location: 'middle'
						});
						return false;
					} else if (!(/^[1-9]\d{5}$/.test(_this.kd.yb))){
						md.toast({
							msg: '请输入正确的邮政编码!',
							duration: 5000,
							location: 'middle'
						});
						return false;
					}
				}
				var queryParam = {};
				var baeList = [];
				var bjbh = JSON.parse(Base.getStorage('zhslbjbh'));

				baeList.push({
					'bae014': Base.getStorage('aac003'),
					'bae015': '1',
					'bae016': Base.getStorage('aac002'),
					'phonenum': Base.getStorage("yae098"),
					'cba015': bjbh.project_no,
					'link_phone': bjbh.link_phone,
					'branch_name': bjbh.branch_name,
					'promise_day': _this.promise_day,
					'take_type': _this.takeType.label,
					'remark_': ''
				});
				_this.baeList = baeList;
				var materialList = _this.infoList;
				for (var i = 0; i < materialList.length; i++) {
					materialList[i].local_task_name = materialList[i].local_task_names;
				}
				queryParam["aaa121"] = 'kmosp0016';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_016';
				queryParam["jybh"] = 'SIH001';
				queryParam["isDbb"] = '0';
				queryParam["materialList"] = materialList;	// 材料列表
				queryParam["feedback_material"] = _this.cailiaoList;	// 反馈材料
				queryParam["cae014"] = "昆明市人社通";
				queryParam["accept_business_data"] = {};
				queryParam["oldList"] = [];
				queryParam["baeList"] = baeList;
				queryParam["cae013"] = "昆明市人社通";
				queryParam["link_phone"] = bjbh.link_phone;
				queryParam["branch_name"] = bjbh.branch_name;
				queryParam["promise_day"] = _this.promise_day;	// 办结时限
				queryParam["take_type"] = _this.takeType.label;	// 领取方式
				console.log('--queryParam--' + JSON.stringify(queryParam));
				var take_type_info = {
						take_type: _this.takeType,
						kd: _this.kd
				    }
				Base.setStorage('take_type_info',take_type_info);
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						_this.pdf = data.data.pdf;
						Base.setStorage('sldpdf',_this.pdf);
						var info_sured = {};
						info_sured.baeList = _this.baeList;
						info_sured.kd = _this.kd;
						info_sured.takeType = _this.takeType;
						info_sured.base_guid = _this.base_guid;
						Base.setStorage('info_sured',info_sured);
						var jsfun = 'fnTurnPage("1");';
						md.execScript({
						    name: 'titleNav',
						    script: jsfun
						});
					}
				}, true);
			},
			fnShowType: function() {
				$('.u-camera-selected').removeClass('md-hide');
			},
			fnChooseType: function(takeType) {
				var _this = this;
				$('.u-camera-selected').addClass('md-hide');
				_this.takeType = takeType;
			},
			// fnNext: function() {
			// 	Base.setStorage("zhslorg", this.org);
			// 	Base.setStorage('zhslmateriallist', this.infoList);
			// 	var _this = this;
			// 	for(var i = 0; i < _this.infoList.length; i++) {
			// 		if (_this.infoList[i].is_need == '1') {
			// 			if (_this.infoList[i].imgLen <= 0) {
			// 				var msg = _this.infoList[i].material_name + '项为必传项';
			// 				md.toast({
			// 					msg: msg,
			// 					duration: 5000,
			// 					location: 'middle'
			// 				});
			// 				return false;
			// 			}
			// 		}
			// 	}
			// 	var jsfun = 'fnTurnPage("1");';
			// 	md.execScript({
			// 	    name: 'titleNav',
			// 	    script: jsfun
			// 	});
			// },
			fnPrev: function() {
				// md.closeWin({
				//     animation: {
				//         type: 'fade',
				//         duration: 0
				//     }
				// });
				var jsfun = 'fnTurnPageType("0");';
				md.execScript({
				    name: 'titleNav',
				    script: jsfun
				});
				md.closeFrame();
			},
			fnOpenShowImg: function(param, index) {
				param.project_no = this.project_no;
				this.infoIndex = index;
			    var data = {};
			    data.url = "wgt://km/common/title_nav.html";
			    data.name = "showImg";
			    data.title = "电子材料";
			    data.frameUrl = "wgt://generalService/declare/showImg.html";
			    data.frameName = "showImgFrame";
			    data.reload = true;
			    data.framePageData = param;
			    Base.openWin(data);
			},
			fnSetLen: function(len) {
				var _this = this;
				_this.infoList[_this.infoIndex].imgLen = len;
			}
        }
    });
}
//获取地址栏参数，name:参数名称
function getUrlParms (name) {
	let url = window.location.href;//获取请求进来的完整url
	let tstr = url.substring(url.indexOf('?') + 1).split('&');//先截取url的?后面的参数部分，在根据&分割成参数数组
	let result = {};
	tstr.forEach((item) => {
		let res = item.split('=');//res为type,my-component1.vue。  res[0]为type，res[1为]my-component1.vue
		result[res[0]] = res[1];//构造成键值对形式 res[0]为键，res[1]为值 例：type: "my-component1.vue"
	})
	return result[name];//通过键取值
}

