"use strict";

// Vue对象示例
var app = null;

// -- 界面初始化
Base.onViewCreate(function() {
});
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
	app.fnInit();
});

function appInit(){
	app = new Vue({
        el: '#app',
        data: {
			infoList: [],
			explainInfo: {},
			explainList: [],
			infoIndex: -1,
			yaz001: '',
			nowprocesstype: ''
        },
        methods: {
			fnInit: function() {
				var pageParam = md.pageParam || '';
				this.explainInfo = pageParam;
				console.log('------------------------');
				console.log(JSON.stringify(pageParam));
				this.fnSetExplain();
				this.fnGetCllb();
			},
			fnSetExplain: function() {
				var _this = this;
				for(var i = 0; i < _this.explainInfo.processMap.length; i++) {
					if('handle_explain' in _this.explainInfo.processMap[i]) {
						_this.explainList.push(_this.explainInfo.processMap[i]);
					}
				}
			},
			fnGetCllb: function() {
				// 获取材料列表
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0021';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_021';
				queryParam["jybh"] = 'SIH001';
				queryParam["project_id"] = _this.explainInfo.id;
				console.log('--queryParam--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						if (Base.isArray(data.data.material_list)) {
							_this.infoList = data.data.material_list;
						}else {
							_this.infoList.push(data.data.material_list);
						}
						_this.nowprocesstype = data.data.nowprocesstype;
					}
				}, true);
			},
			fnOpenShowImg: function(param, index) {
				// param.project_no = this.project_no;
				this.infoIndex = index;
			    var data = {};
			    data.url = "wgt://km/common/title_nav.html";
			    data.name = "showImg";
			    data.title = "电子材料";
			    data.frameUrl = "wgt://generalService/declare/showImg.html";
			    data.frameName = "showImgFrame";
			    data.reload = true;
			    data.framePageData = param;
			    Base.openWin(data);
			},
			fnSetLen: function(len) {
				var _this = this;
				console.log('----------------------index-----------------');
				console.log(_this.infoIndex);
				console.log(len);
				_this.infoList[_this.infoIndex].imgLen = len;
			},
			fnGetYaz001: function() {
				var _this = this;
				var queryParam = {};
				queryParam["csk002"] = '00000000000000001P1669900001333';
				queryParam["csj012"] = 'psmpBa001';
				queryParam["jybh"] = 'SIH001';
				queryParam["csj099"] = '';
				queryParam["jessionid"] = '123';
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						_this.yaz001 = data.data.yaz001;
						_this.fnSubmit();
					}
				}, true);
			},
			fnSubmit: function() {
				var _this = this;
				var queryParam = {};
				queryParam["aaa121"] = 'kmosp0024';
				queryParam["csj012"] = 'kmosp243ggfw_kmosp_024';
				queryParam["jybh"] = 'SIH001';
				queryParam["yaz001"] = _this.yaz001;
				queryParam["project_id"] = _this.explainInfo.id;
				queryParam["remark"] = '';
				queryParam["loginid"] = _this.explainInfo.loginid;
				queryParam["cba015"] = _this.explainInfo.project_no;
				queryParam["project_no"] = _this.explainInfo.project_no;
				queryParam["link_phone"] = '0871-12333';
				queryParam["branch_name"] = _this.explainInfo.create_branch_name;
				queryParam["list"] = [];
				queryParam["approve_result"] = '1';
				queryParam["personalized_name"] = '';
				queryParam["personalized_code"] = '';
				queryParam["local_handle_item"] = _this.explainInfo.local_handle_item;
				queryParam["operate_code"] = '11';
				queryParam["take_type"] = _this.explainInfo.take_type || '';
				queryParam["zip_code"] = _this.explainInfo.zip_code || '';
				queryParam["address_"] = _this.explainInfo.address_ || '';
				queryParam["reception"] = _this.explainInfo.reception || '';
				queryParam["reception_mobile"] = _this.explainInfo.reception_mobile || '';
				queryParam["nowprocesstype"] = _this.nowprocesstype;
				queryParam["aac002"] = _this.explainInfo.applyer_page_code;
				console.log('--queryParam--' + JSON.stringify(queryParam));
				Base.requestServer("queryData", queryParam, function(data){
					console.log('查询结果：'+JSON.stringify(data));
					if ('S001' == data.code) {
						md.closeWin({
						    animation: {
						        type: 'fade',
						        duration: 0
						    }
						});
					}
				}, true);
			}
        }
    });
}