
let app = null;
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
    app.fnGetActivites();
});
function appInit(){
	app = new Vue({
		el: '#app',
		data: {
			"aac002": Base.getStorage("aac002"),
			"activitiesList": []
		},
		methods: {
			fnGetActivites () {
				var _this = this;
				var param = {};
		        param["jybh"] = 'SIH001';
		        param["csj012"] = "kmosp243kmosp0058";  //接口编号
		        param["aaa121"] = 'kmosp0058';  //信息平台分发编号
		        param["aac002"] = _this.aac002;
				// param["aac002"] = '532502195004090313';
		        Base.requestServer("queryData", param, function(data) {  //生成常用事项列表
	        		if (Base.isExist(data.data)) {
	        			_this.activitiesList = data.data;
		        		for (item of _this.activitiesList) {
		        			if (item.aae100 == '0') {
		        				item.aae100 = '正在报名';
		        				item.color = "active0";
		        			} else if (item.aae100 == '1') {
		        				item.aae100 = '进行中';
		        				item.color = "active1";
		        			} else if (item.aae100 == '2') {
		        				item.aae100 = '已结束';
		        				item.color = "active2"
		        			}
		        			if (item.actsign == '1') {
								item.actsign = '社区活动';
		        			} else if (item.actsign == '2') {
								item.actsign = '党建活动';
		        			}
		        		}
	        		} else {
						Base.noDataPage("#app", "未查询到相关信息");
						return false;
					}
		        },true)
			},
			fnToDetails(value) {
				var param = {
		        	"detail":value
		   		 }
			    var data = {};
			    data.url = "wgt://km/common/title_nav.html";
			    data.name = "retire_detail";
			    data.title = "活动详情";
			    data.frameUrl = "wgt://generalService/retire/retireActivityContent.html";
			    data.frameName = "retire_detail";
			    data.reload = true;
			    data.framePageData = param;
			    Base.openWin(data);
			}
		}
	})
}
