
let app = null;
//方便浏览器调试增加是否为浏览器打开判断
if (Base.isPC() === true) {
    appInit();
}
// -- 页面状态初始化
Base.onViewOpen(function() {
    // Vue状态清理
    appInit();
	app.fnGetActivites();
});
function appInit(){
	app = new Vue({
		el: '#app',
		data: {
			isShow: false,
			"aac002": Base.getStorage("aac002")|| '',
			"activities": {},
			"comInfo": {}
		},
		methods: {
			fnGetActivites: function() {
				var _this = this;
				var param = {};
		        param["jybh"] = 'SIH001';
		        param["csj012"] = "kmosp243kmosp0062";  //接口编号
		        param["aaa121"] = 'kmosp0062';  //信息平台分发编号
				
		        param["aac002"] = _this.aac002;
				// param["aac002"] = '532502195004090313';
		        Base.requestServer("queryData", param, function(data) {  //生成常用事项列表
	        		console.log('data: '+ JSON.stringify(data));
					if (Base.isExist(data.data)) {
	        			_this.activities = data.data.actList;
		        		if(!Base.isExist(_this.activities)) {
							Base.noDataPage("#app", "未查询到相关信息");
							return false;
						}
						_this.fnGetComPart();
	        		} else {
						Base.noDataPage("#app", "未查询到相关信息");
					}
		        },true)
			},
			fnGetComPart: function() {
				var _this = this;
				var param = {};
				param["jybh"] = 'SIH001';
				param["csj012"] = "kmosp243kmosp0063";  //接口编号
				param["aaa121"] = 'kmosp0063';  //信息平台分发编号
				param["com001"] = _this.activities.com001;
				console.log("param: " + JSON.stringify(param));
				Base.requestServer("queryData", param, function(data) {  //生成常用事项列表
					console.log('data: '+ JSON.stringify(data));
					if (Base.isExist(data.data)) {
						_this.comInfo = data.data.actList;
						if(!Base.isExist(_this.comInfo)) {
							Base.noDataPage("#app", "未查询到相关信息");
						}
					} else {
						Base.noDataPage("#app", "未查询到相关信息");
					}
					_this.isShow = true;
				},true)
			},
			fnToDetails: function(value) {
				var param = {
		        	"detail":value
		   		 }
			    var data = {};
			    data.url = "wgt://km/common/title_nav.html";
			    data.name = "retire_detail";
			    data.title = "活动详情";
			    data.frameUrl = "wgt://generalService/retire/retireActivityContent.html";
			    data.frameName = "retire_detail";
			    data.reload = true;
			    data.framePageData = param;
			    Base.openWin(data);
			}
		}
	})
}
