Base.ready(function(){
    /*从后台查询数据*/
    queryData();
});

/*从后台查询数据*/
function queryData(){
    //获取个人编号
    var personalId = Base.getStorage("aac001");
    //获取当前系统时间的年份
    var currentDate = new Date();
    var currentYear = currentDate.getFullYear().toString();
    console.log("currentYear: " + currentYear);
    //var personalId = "1000000001157735";
    var inputParam = {};
    inputParam["aac002"] = Base.getStorage("aac002");//身份证号码
    inputParam["aac003"] = Base.getStorage("aac003");//姓名

    inputParam["year"] = currentYear;//年份
    inputParam["jybh"] = "9009960009";//交易服务代码
    Base.requestServer("ckQueryData", inputParam, queryResultInfoFunc, true);
}
/*回调函数--将返回的信息拼接到HTML上*/
function queryResultInfoFunc(callBackParam){
    var outputParam = callBackParam["output"];
    //如果未查询到相关信息，需要给用户予以提示
    if(Number(outputParam) == 0){
        document.getElementById("outerFrame").innerHTML = "";
        Base.noDataPage("#outerFrame", "未查询到相关数据！");
    }else{
        document.getElementById("outerFrame").innerHTML = "";
        for(var key in outputParam){
            var subOutputParam = outputParam[key];
            //工伤发生时间
            var alc020 = subOutputParam["injuryDate"];
            //受伤部位
            var alc022 = subOutputParam["injuredPart"];
            //工伤认定时间
            var alc031 = subOutputParam["injuryAffirmationDate"];
            //鉴定时间
            var alc034 = subOutputParam["appraisalDate"];
            //鉴定等级
            if (subOutputParam["disabilityLevel"] =="01"){
                var ala040 = "伤残一级"
            }else if (subOutputParam["disabilityLevel"] =="02"){
                var ala040 = "伤残二级"
            }else if (subOutputParam["disabilityLevel"] =="03"){
                var ala040 = "伤残三级"
            }else if (subOutputParam["disabilityLevel"] =="04"){
                var ala040 = "伤残四级"
            }


            //拼接html内容
            var str = "";
            str =   "<div class='div_wholeContent'>" +
                        "<div class='div_subContent fs-28'>" +
                            "<span>工伤发生时间：</span><span>" + alc020 + "</span>" +
                        "</div>" +
                        "<div class='div_subContent fs-28'>" +
                            "<span>受伤部位：</span><span>" + alc022 + "</span>" +
                        "</div>" +
                        "<div class='div_subContent fs-28'>" +
                            "<span>工伤认定时间：</span><span>" + alc031 + "</span>" +
                        "</div>" +
                        "<div class='div_subContent fs-28'>" +
                            "<span>鉴定时间：</span><span>" + alc034 + "</span>" +
                        "</div>" +
                        "<div class='div_subContent fs-28'>" +
                            "<span>鉴定等级：</span><span>" + ala040 + "</span>" +
                        "</div>" +
                    "</div>";
            document.getElementById("outerFrame").innerHTML = str;
        }
    }
}

