Base.ready(function(){
    /*从后台查询数据*/
    queryData();
});

/*从后台查询数据*/
function queryData(){
    //获取个人编号
    var personalId = Base.getStorage("aac001");
    var inputParam = {};
    inputParam["aac001"] = personalId;
    inputParam["jybh"] = "Q110004";
    Base.requestServer("queryData", inputParam, queryResultInfoFunc, true);
}
/*回调函数--将返回的信息拼接到HTML上*/
function queryResultInfoFunc(callBackParam){
    var outputParam = callBackParam["output"];
    //如果未查询到相关信息，需要给用户予以提示
    if(Number(outputParam) == 0){
        $(".div_outerFrame").html("");
        Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
    }else{
        $(".div_outerFrame").html("");
        for(var key in outputParam){
            var subOutputParam = outputParam[key];
            //调整日期
            var aic001 = subOutputParam["aic001"];
            //调待金额
            var aic002 = subOutputParam["aic002"];
            //生效时间
            var aic003 = subOutputParam["aic003"];
            //调整文号
            var aic004 = subOutputParam["aic004"];
            //调整方式
            var aic005 = subOutputParam["aic005"];

            //拼接html内容
            var str = "";
            str  =  '<div class="div_item">' +
                        '<div class="item1 fs-28">' + aic001 + '年</div>' +
                        '<div class="md-box md-ac item2">' +
                            '<div class="md-box md-ver md-ac item2_1">' +
                                '<div>调待金额</div>' +
                                '<div>￥' + aic002 + '</div>' +
                            '</div>' +
                            '<div class="md-box md-ver md-f1 item2_2 fs-28">' +
                                '<div class="md-box md-ac">' +
                                    '<div style="visibility:hidden;"><img src="../image/category.png"></div>' +
                                    '<div style="color:black;">调整方式：</div>' +
                                    '<div style="color:black;">' + aic005 + '</div>' +
                                '</div>' +
                                '<div class="md-box md-ac">' +
                                    '<div><img src="../image/time.png"></div>' +
                                    '<div>生效时间：</div>' +
                                    '<div>' + aic003 + '</div>' +
                                '</div>' +
                                '<div class="md-box md-ac">' +
                                    '<div><img src="../image/wenhao.png"></div>' +
                                    '<div>调整文号：</div>' +
                                    '<div>' + aic004 + '</div>' +
                                '</div>' +
                            '</div>' +
                        '</div>' +
                    '</div>';
            $(".div_outerFrame").append(str);
        }
    }
}
