var currentPage = 1;
var pageSize = 10;
var type = "";//关于上拉或下拉的标志类型
var hasMore = true;//上拉加载更多时，判断是否已查询完所有数据
Base.ready(function(){
    var inputParam = {};
    inputParam["aac001"] = Base.getStorage("aac001");
    //inputParam["aac002"] = "532201195810210313";//"532201195810210313";
    inputParam["jybh"] = "9009960011";
    //首先从参保信息列表中获取该用户的参保信息————以便后续能够明确该用户是参保了居民养老，还是职工养老，或者两者都有参与
    Base.requestServer("ckQueryData", inputParam, insuredInfoFunc, false);
    //下拉刷新上拉加载更多
    Base.creatRefresh(function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 下拉重新刷新
            // 清空数据
            $('.div_outerFrame').html('');
            currentPage = 1;
            hasMore = true;
            type = 'header';
            queryData(type);
        }
    }, function(p1) {
        if(!p1 || p1.state !== 'end') {
            if(hasMore) {
                // 上拉加载更多
                currentPage++;
                type = 'footer';
                queryData(type);
            } else {
                // 如果已经没有更多数据，直接结束
                Base.removeUp();
                Base.msgTip('没有更多数据');
            }
        }
    });
});
/*首先从参保信息列表中获取该用户的参保信息*/
function insuredInfoFunc(callBackParam){
        var outputParam = callBackParam["output"];
        var str = "";
        for(var key in outputParam){
            var subOutputParam = outputParam[key];
            //月份
            var aae002 = subOutputParam["aic162"];
            //发放时间
            var aae003 = subOutputParam["aae208"];
            //发放金额
            var aic263 = subOutputParam["aae019"];
            //发放方式
            if (subOutputParam["aaa079"]== '1'){
                var grantType = '定期待遇';
            }else if (subOutputParam["aaa079"]== '2'){
                var grantType = '一次性待遇';
            }
            // var grantType = subOutputParam["aaa079"];
            //待遇类别
            var aae341 = subOutputParam["aae341"];
            //拼接html内容
            str +=  '<div class="div_item">' +
                '<div class="item1 fs-28">' +  aae003 + '</div>' +
                '<div class="md-box md-ac item2">' +
                '<div class="md-box md-ver md-ac item2_1">' +
                '<div>发放金额</div>' +
                '<div>￥' + aic263 + '</div>' +
                '</div>' +
                '<div class="md-box md-ver md-f1 item2_2 fs-28">' +
                // '<div class="md-box md-ac">' +
                //     '<div style="visibility:hidden;"><img src="../image/category.png"></div>' +
                //     '<div style="color:black;">待遇类别：</div>' +
                //     '<div style="color:black;">' + aae341 + '</div>' +
                // '</div>' +
                '<div class="md-box md-ac">' +
                '<div><img src="../image/time.png"></div>' +
                '<div>发放时间：</div>' +
                '<div>' + aae003 + '</div>' +
                '</div>' +
                '<div class="md-box md-ac">' +
                '<div><img src="../image/way.png"></div>' +
                '<div>发放方式：</div>' +
                '<div>' + grantType + '</div>' +
                '</div>' +
                '</div>' +
                '</div>' +
                '</div>';
        }
        $(".div_outerFrame").append(str);

        // 如果当前页没有满，表示没有更多数据
        if (outputParam.length !== pageSize) {
            hasMore = false;
            // 如果第一页加载就没有任何数据显示No Data
            if(outputParam.length === 0 && currentPage === 1) {
                Base.noDataPage('.div_outerFrame', '未查询到养老金发放信息！');
            }
        }
        // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上垃
        if (type === 'header') {
            Base.removeDown();
        } else if(type === 'footer') {
            Base.removeUp();
        }
}
