Base.ready(function(){
    // 查询查看数据分析的权限
    if(Base.getStorage("aac002")) {
        queryAuth();
    } else {
        $(".ldst").css("display", "none");
    }
});

//查询查看数据分析的权限
	function queryAuth() {
	    var param = {
	        server: "yhdssInterface",
	        aac002: Base.getStorage("aac002"),
	        methodName: "getAppLoginUser",
	        aab301: ""
	    }
	    Base.requestServer("ynbcp", param, function(res){
	        if(res.biz_data && res.biz_data.fieldData && res.biz_data.fieldData.outputdata && res.biz_data.fieldData.outputdata.resultset) {
	            var resultset = res.biz_data.fieldData.outputdata.resultset;
	            if(resultset.length > 0) {
	                var userInfo = resultset[0];
	                if(userInfo.aac002) {
	                    $(".ldst").css("display", "inline-block");
	                }
	                //有权限的aab301
	                Base.setStorage("aab301List", JSON.stringify(userInfo.aab301List));
	                Base.setStorage("aae043_max", JSON.stringify(userInfo.aae043_max));
	            } else {
	                $(".ldst").css("display", "none");
	            }
	        } else {
	            $(".ldst").css("display", "none");
	        }
	    }, true,'post',null,true);
	}

/*点击相应图标，实现页面跳转*/
Base.click(".one-menu",function($this){
    var serviceId = $this.attr("tab");
    var serviceTitle = $this.find(".tab-title").html();
	if(serviceId === '200') {
		if(!Base.getStorage('aac001')) {
			var data = {};
			data.url = "wgt://km/common/title_nav.html";
			data.name = "login";
			data.title = "登录";
			data.frameName= "login_frame";
			data.frameUrl = "wgt://km/login/login.html";
			data.reload = true;
			Base.openWin(data);
		} else {
			md.execScript({
				name: "root",
				script: 'goToService("'+serviceId+'", "' + serviceTitle + '")'
			});
		}
	}else{
		if(serviceId === '100') {
			md.confirm({
				title: '提示',
				msg: "该模块将在近期关闭，请优先使用“云南人社12333”app查询。",
				buttons: ['确认','取消']
			},function( ret, err ){
				if(ret.buttonIndex === 1) {
					md.execScript({
						name: "root",
						script: 'goToService("'+serviceId+'", "' + serviceTitle + '")'
					});
				}
			});
		}else{
			md.execScript({
				name: "root",
				script: 'goToService("'+serviceId+'", "' + serviceTitle + '")'
			});
		}

	}

});

/*点击扫码购药*/
Base.click("#scancode", function(){
	var data = {};
	data.title = "药店信息";
	data.name = "scancode_pharmacy_info";
	data.url = "wgt://yyt/index/scancode_pharmacy_info.html";
	data.frameName = "scancode_pharmacy_info_frame";
	data.frameUrl = "wgt://yyt/index/scancode_pharmacy_info_frame.html";
	data.reload = true;
	data.bounces=false;
	Base.openWin(data);
});

Base.click("#hospital",function(){
	if(Base.getStorage('aac001') && Base.getStorage('access_token')) {
		var data = {};
		data.url = "wgt://yyt/index/hospital_list_nav.html";
		data.name = "yyt";
		data.reload = true;
		Base.openWin(data);
	} else {
		var data = {};
		data.url = "wgt://km/common/title_nav.html";
		data.name = "login";
		data.title = "登录";
		data.frameName= "login_frame";
		data.frameUrl = "wgt://km/login/login.html";
		data.framePageData = {};
		data.reload = true;
		Base.openWin(data);
	}
});

Base.click("#biometrics",function(){
	var data = {};
	data.url = "wgt://biometrics/home/home.html";
	data.name = "yyt";
	data.reload = true;
	Base.openWin(data);
});

Base.click("#villagedoctor",function(){
	/*村村通debug*/
	var deviceId = '86001';
	//判断用户是否绑定村村通账号
	var param = {};
	var pdata = {};
	//调试时临时写死
	param["yae092"] = Base.getStorage("aac001");//人社通用户ID
	param["bke134"] = deviceId; //设备ID
	param["jybh"] = 'CCT002';
	Base.requestServer("ckQueryData", param, function(data){
		if(data.binding == '0'){
			pdata.url = "wgt://km/common/browser_nav.html";
			pdata.name = "binding_page";
			pdata.title = "绑定医保村村通账户";
			pdata.frameName = "binding_frame";
			pdata.frameUrl = 'wgt://cct/binding/bindingcheck.html';
			pdata.reload = true;
			Base.openWin(pdata);
		}else{
			if(data.aae100 == '1'){
				param["bke132"] =  data.bke132;//手机号
				param["baa014"] =  data.baa014;//登录密码
				param["bke133"] =  md.deviceModel;//设备型号
				param["bke134"] =  deviceId;  //设备ID
				param["jybh"] = 'CCT005';
				Base.requestServer("queryData", param, function(pagedata){
					var checflag = pagedata.checflag;
					if(checflag === "1"){
						Base.setStorage("bke132",pagedata.bke132);  
						Base.setStorage("baa014",pagedata.baa014);
						Base.setStorage("TOKENUSER",pagedata.bke132);
						Base.setStorage("TOKENPASS",pagedata.baa014);
						Base.setStorage("MODEL",pagedata.MODEL);
						Base.setStorage("IMEI",pagedata.IMEI);
						Base.setStorage("aae011",pagedata.aae011);
						Base.setStorage("akb020",pagedata.akb020);
						Base.setStorage("akf001",pagedata.akf001);
						Base.setStorage("bkf001",pagedata.bkf001);
						var adata = {};
						adata.url = "wgt://cct/home/home.html";
						adata.name = "homecct_page";
						adata.reload = true;
						Base.openWin(adata);
					}else{
						md.confirm({
							title: '提示',
							msg: pagedata.message,
							buttons: ['确定', '取消']
						},function( ret, err ){
							if(ret.buttonIndex == "1"){
								var param = {};
								param["yae092"] = Base.getStorage("aac001");//人社通用户ID
								param["bke134"] = deviceId;  //设备ID
								param["jybh"] = 'CCT003';
								Base.requestServer("ckQueryData", param, function(data){
									var pdata = {};
									pdata.url = "wgt://km/common/browser_nav.html";
									pdata.name = "binding_page";
									pdata.title = "绑定医保村村通账户";
									pdata.frameName = "binding_frame";
									pdata.frameUrl = 'wgt://cct/binding/bindingcheck.html';
									pdata.reload = true;
									Base.openWin(pdata);
								}, true);
							}
						});
					}
				}, true);  
			}else{
				pdata.url = "wgt://km/common/browser_nav.html";
				pdata.name = "binding_page";
				pdata.title = "绑定医保村村通账户";
				pdata.frameName = "binding_frame";
				pdata.frameUrl = 'wgt://cct/binding/bindingcheck.html';
				pdata.reload = true;
				Base.openWin(pdata);
			}
	   }
	}, true);   
});