//初始化向后台查询数据时需要使用到的部分入参
var param = {};
var pageno = 1;
var pagerow = 10;
param["pageno"] = "" + pageno;
param["pagerow"] = "" + pagerow;
var post = "";
var originalStr = "";//用于在上拉加载更多时保留已查询出来的数据
var type = "";
var hasMore = true;

Base.ready(function(){
    //接收源页面传递过来的参数
    var receivedParam = md.pageParam;
    post = receivedParam["post"];
    /*查询求职信息(备注：首次默认查询就业网提供的求职者信息)*/
    $("#table_entries").html();
    queryDataOfJobSeekerInformation(post, type, originalStr);
    //上拉加载更多、下拉刷新页面
    Base.creatRefresh(function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 下拉刷新
            hasMore = true;
            $('#table_entries').html("");
            originalStr = "";
            pageno = 1;
            type = "header";
            if(post){//查询条件不为空（点击查询按钮）
                queryDataOfJobSeekerInformation2(post, type, originalStr, pageno);
            }else{//查询条件为空（本质来说，仅仅只是刚进入页面初始化的时候用到该方法）
                queryDataOfJobSeekerInformation(post, type, originalStr);
            }
        }
    }, function(p1) {
        if(!p1 || p1.state !== 'end') {
            // 上拉加载更多
            if(hasMore){
                pageno++;
                originalStr += $("#table_entries").html();
                type = "footer";
                if(post){//查询条件不为空（点击查询按钮）
                    queryDataOfJobSeekerInformation2(post, type, originalStr, pageno);
                }else{//查询条件为空（本质来说，仅仅只是刚进入页面初始化的时候用到该方法）
                    queryDataOfJobSeekerInformation(post, type, originalStr);
                }
            }else{
                Base.removeUp();
                Base.msgTip('已没有更多数据！');
            }
        }
    });
});

/*查询求职信息(不带查询条件)(备注：首次默认查询就业网提供的求职者信息)*/
function queryDataOfJobSeekerInformation(inputPost, inputType, inputStr){
    param["aca112"] = inputPost || "";
    param["jybh"] = "Q910004";
    if(pageno === 1){
        $("#table_entries").html("");
    }
    //alert("pageno: " + param["pageno"] + ", post: " + param["aca112"]);
    Base.requestServer("queryData", param, jobSeekerInfoFunc(inputType, inputStr), true);
}

/*查询求职信息(带查询条件)*/
function queryDataOfJobSeekerInformation2(inputPost, inputType, inputStr, inputPageno){
    post = inputPost;
    param["aca112"] = post || "";
    pageno = inputPageno;
    param["pageno"] = "" + pageno;
    param["jybh"] = "Q910004";
    if(pageno === 1){
        $("#table_entries").html("");
    }
    //alert("pageno: " + param["pageno"] + ", post: " + param["aca112"]);
    Base.requestServer("queryData", param, jobSeekerInfoFunc(inputType, inputStr), true);
}

/*查询求职信息的回调函数*/
function jobSeekerInfoFunc(inputType, inputStr){
    return function(callBackParam){
        var outputParam = callBackParam["output"];
        //如果未查询到任何信息，需要给用户予以提示
        if(Number(outputParam) == 0){
            if(inputStr && pageno !== "1"){//如果已在页面中查询出数据，且当前要查询的页面不为1（主要是处理上拉加载更多）
                hasMore = false;
            }else{//只有一种情况会进入该分支：inputStr为空，pageno为1
                $("#table_entries").html("");
                Base.noDataPage("#table_entries", "未查询到相关数据！");
            }
            // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上拉
            if (inputType === 'header') {
                Base.removeDown();
            } else if(inputType === 'footer') {
                Base.removeUp();
                if(!hasMore){//考虑到会被遗漏掉的一种情况：即上一次查询刚好有10条，但下一次查询时就为空
                    Base.msgTip('已没有更多数据！');
                }
            }
            //$(".div_information").addClass("autoStyle4");
        }else{
            //显示查询结果前，清空原来已经在页面显示的数据或无关的样式
            //$(".div_information").removeClass("autoStyle4");
            var str = "";
            for(var key in outputParam){
                var subOutputParam = outputParam[key];
                var candidate = subOutputParam["aac003"];
                var academicQualifications = subOutputParam["aac011"];
                var postApplied = subOutputParam["aca112"];
                var jobSeekerId = subOutputParam["acc210"];
                str +=   "<tr class='tr1' jobSeekerId='" + jobSeekerId + "'>" +
                            "<td class='td1'><img id='img_db' src='../image/employee.png'/></td>" +
                            "<td class='td2'>" +
                                "<div class='div_post fs-30'>" + postApplied + "</div>" +
                                "<div class='div_personalInfo fs-26'>" + candidate + " " + academicQualifications + "</div>" +
                            "</td>" +
                        "</tr>"; 
            }
            if(pageno === 1){
                $("#table_entries").html("");
                $("#table_entries").html(str);
            }else{
                $("#table_entries").append(str);
            }
            if(outputParam.length < 10){//此处会遗漏一种给予用户即时有效的情况，即当前页中刚好10条，但下一页中已没有数据，这种遗漏情况已在该方法的第一个条件分支中得以避免
                //alert(outputParam.length);
                hasMore = false;
            }else{
                hasMore = true;
            }
        }
        // 如果为下拉刷新，结束下拉，如果为上拉加载，结束上垃
        if (inputType === 'header') {
            Base.removeDown();
        } else if(inputType === 'footer') {
            Base.removeUp();
        }
    };
}

/*点击求职信息条目，页面跳转至关于该求职者的详情页面*/
Base.click(".tr1", function($this){
    //编辑入参
    var inputParam = {};
    inputParam["jybh"] = "Q910005";
    var jobSeekerId = $this.attr("jobSeekerId");
    inputParam["acc210"] = jobSeekerId;
    Base.requestServer("queryData", inputParam, postInfoFunc, true);
});
function postInfoFunc(callBackParam){
    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = "personalInfo";
    data.title = "个人信息";
    data.frameName = "personalInfoFrame";
    data.frameUrl = "wgt://km/jiuYeChuangYe/html/personalInfoOfJiuYeWeb.html";
    data.framePageData = callBackParam;
    Base.openWin(data);
}

