//医保信息校验
var aac003 = '';
var aac147 = '';
var aac002 = '';
var bac001 = '';

Base.click("#check_user",function($this){
    var param = {};
    aac003 = $("#aac003").val();
    aac147 = ($("#aac147").val()).toUpperCase();
	aac002 = ($("#aac147").val()).toUpperCase();
    if (Base.checkInput(aac003, 40)) {
        Base.msgTip("请输入姓名");
        return;
    }
    if (Base.checkInput(aac147, 20)) {
        Base.msgTip("请输入身份证号");
        return;
    }
    param["aac003"] = aac003;
    param["aac147"] = aac147;
    param["jybh"] = 'G420040';
    Base.requestServer("queryData", param, gotoDetecting, true);
});
function check_callback() {
    var param = {};
	var regInfo = JSON.parse(Base.getStorage('_REGISTER_INFO_'));
	Base.setStorage('_REGISTER_INFO_','');
    param.url = "wgt://km/common/title_nav.html";
    param.name = "register";
    param.title = "用户注册";
    param.frameName = "register_frame";
    param.frameUrl = "wgt://km/register/register.html";
    param.framePageData = regInfo;
    param.reload = true;
    Base.openWin(param);
}

function gotoDetecting(data){
	console.log(JSON.stringify(data));
	data.aac003 = aac003;
	data.aac147 = aac147;
	data.aac002 = aac002;
	Base.setStorage('_REGISTER_INFO_',data);
	var checkParam = {};
	checkParam["jybh"] = "ESCCOL001";
	checkParam["channelId"] = "5301000001";
	checkParam["aac002"] = aac002;
	checkParam["aac003"] = aac003;
	//判断是否进行电子社保卡密码验证
	Base.requestServer("esccService", checkParam, function(escdata){
		console.log('电子社保卡签发信息：'+JSON.stringify(escdata));
		if(escdata.checkmark == '0'){
		    md.confirm({
		        title: '提示',
		        msg: '您还未开通电子社保卡业务,开通后即可变更您的电话号码，是否开通？',
		        buttons: ['取消', '确定']
		    },function( ret ){
		        if(ret.buttonIndex == '2'){
		            //进入社保卡申领流程
		            openESCC(aac002,aac003,data.bac001,data.yae098);
		        }
		    });
		}else{
			var sceneType = '';
			md.actionSheet({
				title: '请选择认证方式',
				cancelTitle: '取消',
				buttons: ['人脸识别认证','手机短信认证','电子社保卡密码认证']
			},function( ret ){
				//人脸认证
				if(ret.buttonIndex == 1){
					sceneType = 3;
				//手机短信验证    
				}else if(ret.buttonIndex == 2){
					sceneType = 2;
				//电子社保卡密码验证    
				}else if(ret.buttonIndex == 3){
					sceneType = 1;
				}else{
					return;
				}
				//调用接口获取签名串
				var signParam = {};
				var security = {};
				signParam["jybh"] = "ESSC001";
				signParam["channelId"] = "5301000001";
				signParam["sceneType"] = sceneType;
				signParam["useType"] = "检测注册信息";
				signParam["aac002"] = aac002;
				signParam["aac003"] = aac003;
				security["aab301"] = "530100";
				security["aac002"] = aac002;
				security["aac003"] = aac003;
				security["signNo"] = escdata.esccInfo.signNo;
				security["isIndep"] = '1';
				signParam.security = JSON.stringify(security);
				Base.requestServer("queryData", signParam, function(signdata){
					mdescc.openSceneSDK({
						envType: 2,
						sceneType:sceneType,
						isBackSupport:true,
						sign:signdata.sign
					}, function(ret, err){
						console.log('验证回调'+JSON.stringify(ret));
						if(ret.status==true && ret.code=='0'){
							var msg = JSON.parse(ret.msg);
							if(msg.result||msg.busiSeq){
								mdescc.closeSdk();
								setTimeout(function(){
									check_callback();
								},1000);
							}
						}
						console.log('验证回调'+JSON.stringify(ret));
					});
				}, true);
			});
		}
	}, true);
}


//打开电子社保卡模块
function openESCC(aac002,aac003,bac001,yae098){
    //调用接口获取签名串
    var signParam = {};
    var security = {};
    signParam["jybh"] = "ESSC001";
    signParam["channelId"] = "5301000001";
    security["aab301"] = "530100";
    security["aac002"] = aac002;
    security["aac003"] = aac003;
    signParam.security = JSON.stringify(security);
    Base.requestServer("queryData", signParam, function(data){
        mdescc.openSDK({
            envType: 2,
            sdkType:1,
            isBackSupport:true,
            sign:data.sign
        }, function(ret, err){
            if(ret.status==true && ret.code=='0'){
                console.log(JSON.stringify(ret));
                var msg = JSON.parse(ret.msg);
                //电子社保卡回调处理
                if(msg.actionType){
                    if(msg.actionType=='001'||msg.actionType=='002'||msg.actionType=='003'||msg.actionType=='005'){
                        var param = {};
                        param["channel_id"] = "5301000001";
                        param["app_id"] = "kmrst";
                        param["yac005"] = bac001;
                        param["aac067"] = yae098;
                        param["actionType"] = msg.actionType;
                        /*回调状态码
                        actionType = 001 电子社保卡申领完成
                        actionType = 002 直接验密签发 指在其他渠道已领取，然后在当前渠道签发
                        actionType = 003 解除绑定完成
                        actionType = 005 开通缴费结算 二级签发
                        actionType = 006 到卡面
                        actionType = 007 调起支付页面
                        actionType = 008 扫码回调
                        actionType = 111 关闭sdk
                        */
                        param["aab301"] = msg.aab301;
                        param["signno"] = msg.signNo;
                        param["busiseq"] = msg.signSeq;
                        param["addtime"] = msg.signDate;
                        param["signno"] = msg.signNo;
                        if(msg.actionType=='001'||msg.actionType=='002'){//签发    
                            param["jybh"] = "ESSC002";
                            param["status"] = '1';
                        }else{
                            param["jybh"] = "VCS030";
                            param["signLevel"] = msg.signLevel;
                            param["aac002"] = aac002;
                            param["aac003"] = aac003;
                        }
                        Base.requestServer("queryData", param, function(signData){
                            console.log(JSON.stringify(signData));
                        }, true);
                    }
                }
                
            }
        });
    }, true);
}
