Base.ready(function(){
});
var countdown=60; 
var aac002,bac001,yzm;
//获取验证码
function settime(val) { 
    aac002 = $(".aac002").val();
    aac003 = $(".aac003").val();
    if (Base.checkInput(aac002, 20)) {
        Base.msgTip("请输入身份证号");
        return;
    }
    if (Base.checkInput(aac003, 20)) {
        Base.msgTip("请输入姓名");
        return;
    }
	var param = {};
	param["aac002"] = aac002;
	param["bac001"] = aac002;
	param["aac003"] = aac003;
	param["msg_type"] = '找回密码';
	param["type"] = '02';
	param["checkVersion"] = '2.0';
	param["jybh"] = 'T310111';
	Base.requestServer("queryData", param, getyzm_callback, true);
	// gotoDetecting();
    
}

function gotoDetecting(){
	var checkParam = {};
	checkParam["jybh"] = "ESCCOL001";
	checkParam["channelId"] = "5301000001";
	checkParam["aac002"] = aac002;
	checkParam["aac003"] = aac003;
	//判断是否进行电子社保卡密码验证
	Base.requestServer("esccService", checkParam, function(escdata){
		console.log('电子社保卡签发信息：'+JSON.stringify(escdata));
		if(escdata.checkmark == '0'){
		    md.confirm({
		        title: '提示',
		        msg: '您还未开通电子社保卡业务,开通后即可使用找回密码功能，是否开通？',
		        buttons: ['取消', '确定']
		    },function( ret ){
		        if(ret.buttonIndex == '2'){
		            //进入社保卡申领流程
		            md.execScript({
		                name: "root",
		                script: 'goToService("905", "电子社保卡")'
		            });
		        }
		    });
		}else{
			var sceneType = '';
			md.actionSheet({
				title: '请选择认证方式',
				cancelTitle: '取消',
				buttons: ['人脸识别认证','手机短信认证','电子社保卡密码认证']
			},function( ret ){
				//人脸认证
				if(ret.buttonIndex == 1){
					sceneType = 3;
				//手机短信验证    
				}else if(ret.buttonIndex == 2){
					sceneType = 2;
				//电子社保卡密码验证    
				}else if(ret.buttonIndex == 3){
					sceneType = 1;
				}else{
					return;
				}
				//调用接口获取签名串
				var signParam = {};
				var security = {};
				signParam["jybh"] = "ESSC001";
				signParam["channelId"] = "5301000001";
				signParam["sceneType"] = sceneType;
				signParam["useType"] = "忘记密码";
				signParam["aac002"] = aac002;
				signParam["aac003"] = aac003;
				security["aab301"] = "530100";
				security["aac002"] = aac002;
				security["aac003"] = aac003;
				security["signNo"] = escdata.esccInfo.signNo;
				security["isIndep"] = '1';
				signParam.security = JSON.stringify(security);
				Base.requestServer("queryData", signParam, function(signdata){
					mdescc.openSceneSDK({
						envType: 2,
						sceneType:sceneType,
						isBackSupport:true,
						sign:signdata.sign
					}, function(ret, err){
						console.log('验证回调'+JSON.stringify(ret));
						if(ret.status==true && ret.code=='0'){
							var msg = JSON.parse(ret.msg);
							if(msg.result||msg.busiSeq){
								mdescc.closeSdk();
								setTimeout(function(){
									var param = {};
									param["aac002"] = aac002;
									param["bac001"] = aac002;
									param["aac003"] = aac003;
									param["msg_type"] = '找回密码';
									param["type"] = '02';
									param["checkVersion"] = '2.0';
									param["jybh"] = 'T310111';
									Base.requestServer("queryData", param, getyzm_callback, true);
								},1000);
							}
						}
						console.log('验证回调'+JSON.stringify(ret));
					});
				}, true);
			});
		}
	}, true);
};

function getyzm_callback(){
    if (countdown == 60){
        Base.msgTip("验证码将发送到您预留的电话号码上，请注意查收");
    }
    if (countdown == 0) { 
        $("#show_secodn").hide();
        $("#b_yzm").show();
        countdown=60;
    } else { 
        $("#b_yzm").hide();
        $("#show_secodn").show();
        $("#yzmsecond").html("("+countdown+")"); 
        countdown--; 
        setTimeout(function() { 
                                getyzm_callback() 
                              },1000) 
    }  
}
//找回密码
Base.click("#findpwd",function($this){
//	var param = {
//		server:'yhdssInterface',
//		aac002:'230205198308121020',
//		methodName:'getComprehensiveSummary',
//		aab301:'530102'
//	}
//	Base.requestServer("ynbcp", param, function(res){
//		console.log(JSON.stringify(res))
//	}, true,'post',null,true);
    var param = {};
    aac002 = $(".aac002").val();
    aac003 = $(".aac003").val();
    yzm    = $("#yzm").val();
    if (Base.checkInput(aac002, 20)) {
        Base.msgTip("请输入身份证号");
        return;
    }
    if (Base.checkInput(aac003, 20)) {
        Base.msgTip("请输入姓名");
        return;
    }
    if (Base.checkInput(yzm, 8)) {
        Base.msgTip("请输入验证码");
        return;
    }
    param["aac003"] = aac003;
    param["aac002"] = aac002;
    param["bac001"] = aac002;
    param["smsCode"] = yzm;
    param["jybh"] = 'Q310010';
    Base.requestServer("queryData", param, findpwd_callback, true);
});
function findpwd_callback(data){
    Base.msgTip("找回成功,新的密码将以短信方式发送到您预留的手机号码上");
}
Base.click("#phonenumber",function($this){
   md.call({
    type: 'tel',
    number: '12333'
    });
});
