Base.ready(function(){
    //获取初始化信息
    queryCardInfo();
});
function queryCardInfo(){
    //console.log("test queryInfo()");
    var param = {};
    param["aac001"] = Base.getStorage("aac001");
    //param["bac001"] = Base.getStorage("bac001");
    param["jybh"] = "Q310021";
    //console.log("param : " + param);
    Base.requestServer("ckQueryData", param, queryCardInfoFunc, true);
}

//回调函数
function queryCardInfoFunc(data){
    console.log(JSON.stringify(data));
    var list = data.output;
    if(list.length >0){
        var userinfo = list[0];
        //姓名
        var aac003 = userinfo.aac003;
		var modified_aac003 = Base.replaceName(aac003);
        //身份证号
        var aac002 = userinfo.aac002;
        var modified_aac002 = replaceWithSymbol(aac002, 8, 6, "*");
        //社保卡号
        var bac001 = userinfo.bac001;
        var modified_bac001 = replaceWithSymbol(bac001, 4, 4, "*");
        
        $('#userinfo').removeClass('md-hide');
        $(".aac003").text(modified_aac003);
        $(".aac002").text(modified_aac002);
        $(".bac001").text(modified_bac001);
    }
    for(var i=0; i<list.length; i++){
        if(list[i].bae185 == '1'){
            $('#card1').removeClass('md-hide');
            $(".aaz503").text(list[i].aaz503);
            $(".aaz504").text(list[i].aaz504);
            $(".aaz502").text(list[i].aaz502);
            $(".bke017").text(list[i].bke017);
            $(".baa001").text(list[i].baa001);
        }else if(list[i].bae185 == '2'){
            $('#card2').removeClass('md-hide');
            $(".naaz503").text(list[i].aaz503);
            $(".naaz504").text(list[i].aaz504);
            if(list[i].aaz502 == '卡正常'){
                if(list[i].aae100 == '1'){
                    $(".naaz502").text(list[i].aaz502);
                }else{
                    $(".naaz502").text('未激活');
                }
            }else{
                $(".naaz502").text(list[i].aaz502);
            }
            $(".nbke017").text(list[i].bke017);
            $(".nbaa001").text(list[i].baa001);
        }
    }
    
    
    // //分中心
    // var baa001 = data.baa001;
    // //发卡日期
    // var aaz503 = data.aaz503;
    // //制卡类型
    // var bke017 = data.bke017;
    // //卡状态
    // var aaz502 = data.aaz502;
                
    // //将上述数据导入html页面的相关元素中
    // document.getElementById("name").innerHTML = aac003;
    // document.getElementById("identityNO").innerHTML = modified_aac002;
    // document.getElementById("socialInsuranceNO").innerHTML = modified_bac001;
    // document.getElementById("subsection").innerHTML = baa001;
    // document.getElementById("distributeDate").innerHTML = aaz503;
    // document.getElementById("cardType").innerHTML = bke017;
    // document.getElementById("cardState").innerHTML = aaz502;
}
//（点击挂失按钮）卡挂失
function lossReportFunc(){
    md.confirm({
        title: '提示',
        msg: "您确定需要挂失该卡吗？",
        buttons: ['确定', '取消']
    },function( ret, err ){
        if(ret.buttonIndex == 1){
            lossReport();
        }
    });
}
function lossReport(){
    //获取个人编号（从登录缓存信息中间接获取）
    var personalNO = Base.getStorage("aac001");
    //提供交易编号(医保一代卡挂失业务交易编号：T310002)
    var transactionNO = "T310002";
    var param = {"aac001":personalNO, "jybh":transactionNO};
    Base.requestServer("ckQueryData", param, alertFunc, true);
}
function alertFunc(data){
    var param_appcode = data.appcode;
    console.log("param_appcode : " + param_appcode);
    if(param_appcode === "0"){
        queryCardInfo();
        Base.msgTip("挂失成功！");
    }else{
        Base.msgTip("挂失失败！");
    }
}

//点击取消按钮或者返回按钮
Base.click(".div_cancel, .div_return", function(){
    md.closeWin();
});

Base.click("#registerLoss", function(){
     md.confirm({
        title: '提示',
        msg: "您确定需要挂失该卡吗？",
        buttons: ['确定', '取消']
    },function( ret, err ){
        if(ret.buttonIndex == 1){
            lossReport();
        }
    });
});

Base.click("#registerLoss2", function(){
    md.confirm({
        title: '提示',
        msg: '暂不支持金融二代卡在线挂失，您可拨打：12333电话进行电话挂失',
        buttons: ['确定']
    },function( ret ){
        console.log("点击Confirm按钮序号:"+ret.buttonIndex);
    });
});


/*利用字符替换数据中的某些（重要）部分，以保证一定程度上的数据安全*/
function replaceWithSymbol(originalString, beginNumber, length, symbol){
    symbol = symbol ? symbol : "*";
    var symbols = "";
    for(var i=0; i<length; i++){
        symbols += symbol;
    }
    //注：在正则表达式中，. 表示除了换行符之外的任意字符,等价于[^\n]；{n} 表示匹配n次
    var regularExpression = new RegExp(".{" + length + "}");
    console.log("正则表达式：" + regularExpression);
    if(!beginNumber){
        //如果需要替换的字符是从源字符串中的第一个开始
        var modifiedString = originalString.replace(regularExpression, symbols)
        console.log("源字符串：" + originalString);
        console.log("修改后的字符串 " + modifiedString);
        return modifiedString;
    } else {
        //如果需要替换的字符是从源字符串的中间部分开始
        var frontPart = originalString.substring(0, beginNumber);
        var endPart = originalString.substr(beginNumber);
        var modifiedEndPart = endPart.replace(regularExpression, symbols);
        var modifiedString = frontPart + modifiedEndPart;
        console.log("源字符串：" + originalString);
        console.log("修改后的字符串 " + modifiedString);
        return modifiedString;
    }
}