Base.ready(function(){
    initializeYearInfo();
});

//初始化头部的年份(也即当前年份)
function initializeYearInfo(){
    var currentTime = new Date();
    currentYear = currentTime.getFullYear();
    $("#lastYear").text(currentYear - 1);
    $("#currentYear").text(currentYear);
    $("#nextYear").text(currentYear + 1);
    //查询当前年份下的参保数据信息并显示在界面上
    queryDataOfPaymentDetail();
}

//点击上一年份事件
$("#lastYear").click(function(){
    var tempYear = $(".table_yearToChoose tr td:nth-child(2)").text();
    tempYear = parseInt(tempYear);
    $("#lastYear").text(tempYear - 2);
    $("#currentYear").text(tempYear - 1);
    $("#nextYear").text(tempYear);
    //查询当前年份下的参保数据信息并显示在界面上
    queryDataOfPaymentDetail();
});
//点击下一年份事件
$("#nextYear").on("click", function(){
    var tempYear = $(".table_yearToChoose tr td:nth-child(2)").text();
    tempYear = parseInt(tempYear);
    $("#lastYear").text(tempYear);
    $("#currentYear").text(tempYear + 1);
    $("#nextYear").text(tempYear + 2);
    //查询当前年份下的参保数据信息并显示在界面上
    queryDataOfPaymentDetail();
});

//查询缴费信息
function queryDataOfPaymentDetail(){
    var aae013 = Base.getStorage("aac001");
        //获取查询数据所属的年份
    var year = $("#currentYear").text();
    var inputData = {};
    inputData.jybh = "G420028";
    inputData.aae013 = aae013;
    inputData.year = year;
    Base.requestServer("ckQueryData", inputData, callBackFunc_1, true);
}
function callBackFunc_1(data){
    list = data.output;
    $(".div_paymentDetail").html("");
    if(list.length == 0){
        Base.noDataPage(".div_paymentDetail", "未查询到相关数据！");
        return false;
    }
    var html = "";
    for(var i=0;i<list.length;i++){
        var item = list[i];
        html +='<div class="md-box md-ver" style="margin-bottom:.4rem">'
                    +'<div class="md-box md-ac md-pc title-label">'+item.aae140+'</div>'
                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">姓<span style="color:#FFF;">&ensp;&ensp;&ensp;空空</span>名：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.baa030+'</div>'
                    +'</div>'
                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">社&ensp;保&ensp;卡&ensp;号：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.bac001+'</div>'
                    +'</div>'

                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">身&ensp;份&ensp;证&ensp;号：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.aac002+'</div>'
                    +'</div>'

                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">费款所属期：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.aae002+'</div>'
                    +'</div>'

                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">金<span style="color:#FFF;">&ensp;&ensp;&ensp;空空</span>额：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.aae019+'元</div>'
                    +'</div>'

                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">到&ensp;账&ensp;日&ensp;期：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.aab191+'</div>'
                    +'</div>'

                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">缴&ensp;费&ensp;单&ensp;号：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.bke057+'</div>'
                    +'</div>'

                    +'<div class="md-box md-pc content-span" >'
                        +'<div class="md-box md-ac">缴&ensp;费&ensp;年&ensp;度：</div>'
                        +'<div class="md-box md-f1 md-ac md-pe" >'+item.year+'年</div>'
                    +'</div>'
                +'</div>';        
    }
    $(".div_paymentDetail").html(html);
}
