var user_name, user_pwd;
var userList = [];
Base.ready(function(){
    query();
});
function query(){
    var param = {};
    param["servicetype"] = "1"; 
    param["aae011"] = Base.getStorage('aac001');              
    param["jybh"] = 'G420009';
    Base.requestServer("ckQueryData", param, list_callback, true);
}
function list_callback(data) {
        list = data["output"];
        if(list.length != 0){
            getHtml(list); 
        }
}
function getHtml(list){
    $("#list").empty();
    var html = "";
    for(var i=0;i<list.length;i++){
        var item = list[i];
        html += '<div class="md-box  personinof" date_aac002= ' + item.aac002 + '>'
                    +'<div class="md-box " style="width:89%">'
                        +'<div class = "header-icon md-box md-ac md-pc">'
                            +'<div class="img-edit md-img md-ac"></div>'
                        +'</div>'
                        +'<div class="md-box md-ver md-pc md-f1">'
                            +'<div class="md-box md-ver ">'
                                +'<div class="fs-28 color-8"><span class="dom-aac003">'+item.aac003+'</span></div>'
                            +'</div>'
                            +'<div class="md-box md-ver ">'
                                +'<div class="fs-28 color-8"><span>医保卡号：</span><span class="dom-bac001">'+item.bac001+'</span></div>'
                            +'</div>'
                        +'</div>'
                    +'</div>'
                    +'<div class="md-box  md-ac md-pc" style="margin-right:.2rem; width:10%">'
                        +'<input type="checkbox" class="agreerule" id='+item.bac001+'/>'  
                        +'<label for="agreerule"></label>'
                        +'<div class="img_unchecked md-img md-ac check_img"></div>'
                    +'</div>'
                +'</div>';
    }
    $(".md-content").html(html);

}
//选中缴费人
Base.click(".personinof",function($this){
    var aac002,bac001;
    aac002 = $this.attr('date_aac002'); 
    bac001 = $this.find('.dom-bac001').text();           
    if($this.find('.agreerule').is(':checked') ){
        $this.find('.agreerule').removeAttr("checked");
        $this.find('.check_img').removeClass("img_checked");
        $this.find('.check_img').addClass("img_unchecked");
        var tempList = [];
        for(var i = 0; i < userList.length; i++ ) {
            if(userList[i].bac001 !== bac001) {
                tempList[tempList.length] = userList[i];
            }
        }
        userList = tempList;
    }else{
        if(userList.length == 3){
            Base.msgTip("一次缴费最多只能选择三个缴费人");
            return;
        }
        $this.find('.agreerule').attr("checked",true);
        $this.find('.check_img').removeClass("img_unchecked");
        $this.find('.check_img').addClass("img_checked");
        userList[userList.length] = {
            aac002: aac002,
            bac001: bac001
        };
    }   
});
//确认缴费人
function bt_save(){
    var param = {};
    var aac002,bac001;
    if(userList.length == 0){
        Base.msgTip("请选择缴费人");
        return;
    }
    for(var i = 0; i < userList.length; i++ ) {
        if(i==0){
            aac002 = userList[i].aac002;
            bac001 = userList[i].bac001;
        }else{
            aac002 += '|'+userList[i].aac002;
            bac001 += '|'+userList[i].bac001;
        }
    }
    //缴费核定并校验该批次人员是否属于同一参保分中心
        param["aac002"] = aac002;
        param["bac001"] = bac001;             
        param["jybh"] = 'G420014';
        Base.requestServerAlert("ckQueryData", param, check_callback, true);
};
function check_callback(data){
    if(data.paymark == '0'){
        md.execScript({
            name: 'medicarepay',
            frameName: 'medicarepay_frame',
            script: 'setpersoninfo('+  JSON.stringify(data) +')',
        });
        md.closeWin();
    }else{
        var msg;
        if(data.aae013 == Base.getStorage('aac001')){
            if(data.aac008 == '01'){
                msg = "姓名："+data.aac003+";身份证号:"+data.aac002+" 存在未缴费记录，是否去付款？";
            }else{
                msg = "姓名："+data.aac003+";身份证号:"+data.aac002+" 存在已缴费记录，是否查看";
            }
            md.confirm({
                title: '提示',
                msg: msg,
                buttons: ['确定', '取消']
            },function( ret, err ){
                if( ret.buttonIndex == 1){
                    var queryparam = {};
                    var querydata = {};
                    querydata["bke057"] = data.bke057;
                    queryparam.url = "wgt://km/common/title_nav.html";
                    queryparam.name = "order_mx";
                    queryparam.title = "缴费明细";
                    queryparam.frameName = "order_mx_frame";
                    queryparam.framePageData = querydata;
                    queryparam.reload = true;
                    queryparam.frameUrl = "wgt://km/generalquery/order_query/order_mx.html";
                    Base.openWin(queryparam);
                    return;
                }else{
                    return;
                }
            });
        }else{
            msg = "姓名："+data.aac003+";身份证号:"+data.aac002+" 在其他人社通账号已存在待缴费记录";
            Base.msgTip(msg);
        }
        
    }
}