//编辑入参
var inputParam = {};
inputParam.hospital_id = "";
inputParam.sickno = "";
inputParam.beginDate = "";
inputParam.endDate = "";
inputParam.pageNo = "" + 1;
var no = 1;//页码标识
var originStr = "";//原来已经查询出来的数据（用于上拉加载更多）

Base.ready(function(){
    //获取源页面传递过来的参数
    inputParam.hospital_id = Base.getStorage("hospitalId");
    var receivedParam = JSON.parse(Base.getStorage("cardParam"));
    inputParam.sickno = receivedParam.sickno;
    //初始化默认的日期条件(间隔30天)
    var now = new Date();
    var monthAgo = new Date(now.getTime() - 30*24*60*60*1000);

    var formatNow = "";
    var year_1 = now.getFullYear();
    var month_1 = now.getMonth() + 1;
    var date_1 = now.getDate();
    if(month_1 < 10){
        formatNow += year_1 + "-0" + month_1;
    }else{
        formatNow += year_1 + "-" + month_1;
    }
    if(date_1 < 10){
        formatNow += "-0" + date_1;
    }else{
        formatNow += "-" + date_1;
    }

    var formatMonthAgo = "";
    var year_2 = monthAgo.getFullYear();
    var month_2 = monthAgo.getMonth() + 1;
    var date_2 = monthAgo.getDate();
    if(month_2 < 10){
        formatMonthAgo += year_2 + "-0" + month_2;
    }else{
        formatMonthAgo += year_2 + "-" + month_2;
    }
    if(date_1 < 10){
        formatMonthAgo += "-0" + date_2;
    }else{
        formatMonthAgo += "-" + date_2;
    }
    
    $("#beginTime").text(formatMonthAgo);
    $("#endTime").text(formatNow);
    inputParam.beginDate = formatMonthAgo;
    inputParam.endDate = formatNow;
    //初始化日期控件(该功能暂未使用)
    //initDate();

    queryPaymentHistory(inputParam);

    //上拉加载更多、下拉刷新页面
    Base.creatRefresh(down,up);
});
/*下拉刷新*/
function down(){
    no = 1;
    inputParam.pageNo = "" + no;
    inputParam.beginDate = $("#beginTime").text();
    inputParam.endDate = $("#endTime").text();
    $(".div_outerFrame").html("");
    originStr = "";
    queryPaymentHistory(inputParam);
    Base.removeDown();
}
/*上拉加载更多*/
function up(){
    no += 1;
    inputParam.pageNo = "" + no;
    inputParam.beginDate = $("#beginTime").text();
    inputParam.endDate = $("#endTime").text();
    originStr = $(".div_outerFrame").html();
    queryPaymentHistory(inputParam);
    Base.removeUp();
}
//点击查询按钮
$("#query").click(function(){
    no = 1;
    inputParam.pageNo = "" + no;
    inputParam.beginDate = $("#beginTime").text();
    inputParam.endDate = $("#endTime").text();
    $(".div_outerFrame").html("");
    originStr = "";
    queryPaymentHistory(inputParam);
});
function queryPaymentHistory(param){
    if(param.beginDate != "" && param.endDate != "" && (param.beginDate.replace("/-/g", "/") > param.endDate.replace("/-/g","/"))){
        $(".div_outerFrame").html("");
        Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
        Base.msgTip("您选择的时间范围有误！");
        return false;
    }
    Base.requestYyt('queryHistoryPayRecipes', param, callbackFunc1, true);
}
function callbackFunc1(callbackData){
    if(callbackData.error){
        if(originStr){
            $(".div_outerFrame").html(originStr);
            Base.msgTip("已没有更多数据！");
        }else{
            $(".div_outerFrame").html("");
            Base.noDataPage(".div_outerFrame", "未查询到相关数据！");
        }
    }else{
        $(".div_outerFrame").html("");
        var subCallbackData = (callbackData.items)[0];
        var str = "";
        for(var i=0; i<subCallbackData.length; i++){
            var s = subCallbackData[i];
            //此处增加一层判断，如果数据为空，则其对应的该条目不显示
            var chufanghao = s.User01;
            var fapiaohao = s.User10;
            var shenqingdanhao = s.User09;
            var menzhenyisheng = s.User03;
            var menzhenkeshi = s.User05;
            var feiyong = Number(s.User07).toFixed(2);
            var jiaofeishijian = s.User11;
            str +=  '<div class="div_paymentInfo">' +
                        '<table class="table_paymentInfo">' +
                            '<tr class="tr_chufanghao">' +
                                '<td>处&ensp;方&ensp;号：</td>' +
                                '<td>' + chufanghao + '</td>' +
                            '</tr>' +   
                            '<tr class="tr_fapiaohao">' +
                                '<td>发&ensp;票&ensp;号：</td>' +
                                '<td>' + fapiaohao + '</td>' +
                            '</tr>' +
                            '<tr class="tr_shenqingdanhao">' +
                                '<td>申请单号：</td>' +
                                '<td>' + shenqingdanhao + '</td>' +
                            '</tr>' +  
                            '<tr class="tr_menzhenyisheng">' +
                                '<td>门诊医生：</td>' +
                                '<td>' + menzhenyisheng + '</td>' +
                            '</tr>' + 
                            '<tr class="tr_menzhenkeshi">' +
                                '<td>门诊科室：</td>' +
                                '<td>' + menzhenkeshi + '</td>' +
                            '</tr>' +
                            '<tr class="tr_feiyong">' +
                                '<td>费&#12288;&#12288;用：</td>' +
                                '<td><span>' + feiyong +'</span><span>元</span></td>' +
                            '</tr>' + 
                            '<tr class="tr_jiaofeishijian">' +
                                '<td>缴费时间：</td>' +
                                '<td>' + jiaofeishijian + '</td>' +
                            '</tr>' +
                            '<tr id="linkToDetail" prescriptionID="' + s.User01 + '" prescriptionName="' + s.User08 + '" doctor="' + s.User03 + '" clinics="' + s.User05 + '" totalFee="' + Number(s.User07).toFixed(2) + '" timeOfPrescription="' + s.User11 + '">' +
                                '<td colspan="2">查看处方明细&ensp;>></td>' +
                            '</tr>' +
                        '</table>' +
                    '</div>' +
                    '<div class="div_separator2"></div>';
        }
        str += originStr;
        $(".div_outerFrame").html(str);
        if(!chufanghao){
            $(".tr_chufanghao").css('display', 'none'); 
        }
        if(!fapiaohao){
            $(".tr_fapiaohao").css("display", "none"); 
        }
        if(!shenqingdanhao){
            $(".tr_shenqingdanhao").css("display", "none");
        }
        if(!menzhenyisheng){
            $(".tr_menzhenyisheng").css("display", "none");
        }
        if(!menzhenkeshi){
            $("tr_menzhenkeshi").css("display", "none");
        }
        if(!feiyong){
            $("tr_feiyong").css("display", "none");
        }
        if(!jiaofeishijian){
            $("tr_jiaofeishijian").css("display", "none");
        }
    }
}    
//点击查看处方详情
$(".div_outerFrame").on("click", "#linkToDetail", function(){
    var prescriptionID = $(this).attr("prescriptionID");
    var prescriptionName = $(this).attr("prescriptionName");
    var doctor = $(this).attr("doctor");
    var clinics = $(this).attr("clinics");
    var totalFee = $(this).attr("totalFee");
    var timeOfPrescription = $(this).attr("timeOfPrescription");
    var sickno = "";
    var transcode_qb = 4;

    var inputData = {};
    inputData.prescriptionID = prescriptionID;
    inputData.prescriptionName = prescriptionName;
    inputData.doctor = doctor;
    inputData.clinics = clinics;
    inputData.totalFee = totalFee;
    inputData.timeOfPrescription = timeOfPrescription;
    inputData.sickno = sickno;
    inputData.transcode_qb = transcode_qb;

    var data = {};
    data.url = "wgt://km/common/title_nav.html";
    data.name = "prescriptionDetails";
    data.title = "处方明细";
    data.frameName = "prescriptionDetailsFrame";
    data.reload = true;
    data.frameUrl = "wgt://yyt/pay/prescriptionDetailsBeenPayed.html";
    data.framePageData = inputData;
    Base.openWin(data); 
});

/*打开日期控件------方式一：采用mdlife自带的日期插件功能*/
$("#beginTime").click(function($this){
    $("#beginTime").text("--请选择开始日期--");
    var choosedDate = "";
    md.openPicker({
        type: 'date',
        data: 'yyyy-MM-dd',
        title: '开始日期'
    },function(ret, err){
        if(ret){
            //console.log("ret: " + JSON.stringify(ret));
            var year = ret.year;
            var month = ret.month;
            var day = ret.day;
            if(month<10){
                month = "-0" + month;
            }else{
                month = "-" + month;
            }
            if(day<10){
                day = "-0" + day;
            }else{
                day = "-" + day;
            }
            choosedDate = year + month + day;
            $("#beginTime").text(choosedDate);
        }else{
            console.log("err: " + JSON.stringify(err));
        }
    });
});

$("#endTime").click(function($this){
    $("#endTime").text("--请选择截止日期--");
    var choosedDate = "";
    md.openPicker({
        type: 'date',
        data: 'yyyy-MM-dd',
        title: '截止日期'
    },function(ret, err){
        if(ret){
            //console.log("ret: " + JSON.stringify(ret));
            var year = ret.year;
            var month = ret.month;
            var day = ret.day;
            if(month<10){
                month = "-0" + month;
            }else{
                month = "-" + month;
            }
            if(day<10){
                day = "-0" + day;
            }else{
                day = "-" + day;
            }
            choosedDate = year + month + day;
            $("#endTime").text(choosedDate);
        }else{
            console.log("err: " + JSON.stringify(err));
        }
    });
});

/*打开日期控件------方式二：采用mobiscroll插件*/
/*
function initDate(){
    $("#beginTime").mobiscroll().date();  
    $("endTime").mobiscroll().date();
    var currYear = (new Date()).getFullYear();    
    //初始化日期控件  
    var opt = {  
        preset: 'date', //日期，可选：date\datetime\time\tree_list\image_text\select
        //皮肤样式，可选：default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp  
        theme: 'ios',  
        display: 'bubble', //显示方式 ，可选：modal\inline\bubble\top\bottom  
        mode: 'clickpick', //日期选择模式，可选：scroller\clickpick\mixed  
        lang:'zh',  
        dateFormat: 'yyyy-mm-dd', // 日期格式  
        setText: '确定', //确认按钮名称  
        cancelText: '取消',//取消按钮名称  
        dateOrder: 'yyyy-mm-dd', //面板中日期排列格式  
        dayText: '日', monthText: '月', yearText: '年', //面板中年月日文字  
        showNow:true,    
        nowText: "今天",    
        startYear:currYear - 50, //开始年份    
        endYear:currYear + 50 //结束年份  
         
    };      
    $("#beginTime").mobiscroll(opt); 
    $("#endTime").mobiscroll(opt);
}
*/
