var param;
var myParam;
var userInfo = {};
var orderInfo = {};
var authenticationInfo= {};
Base.ready(function(){
    param = md.pageParam;
    myParam = getSaveStorage('cardParam', {});
    init(param);
    Base.click("#pay",function($this){
        //apkYhPay();
        esscCheck();
    });
});
function init(fparam) {
    $("#confirm_1").text(Base.getStorage("aac003")); 
    $("#confirm_2").text(fparam.BeginTime.split(" ")[0]); 
    $("#confirm_3").text(fparam.DoctName); 
    $("#confirm_4").text(fparam.DeptName); 
    $("#confirm_5").text(fparam.RegLeveName); 
    $("#confirm_6").text(fparam.TransMoney); 
}
function apkYhPay() {
    /**新版调用**/
    userInfo = {
        "user_name": Base.getStorage("aac003"), // 用户姓名 aac003
        "user_token": Base.getStorage("access_token"), // 人社通用户在线token access_token
        "sinumber": Base.getStorage("bac001"), // 医保个人编号 bac001
        "phoneNumber": Base.getStorage("yae098"), // 手机号码 yae098
        "pay_account": Base.getStorage("aac002") // 身份证号 aac002
    };
    orderInfo = {
        "balance": param.TransMoney, // 支付总金额
        "hccnumber": Base.getStorage("bac001"), // 医保个人编号
        "deptCode": param.DeptCode, // 科室编号
        "deptName": param.DeptName, // 科室名称
        "doctorCode": param.DoctCode, // 医生编号
        "Idcard": Base.getStorage("aac002"), // 患者身份证号
        "medicalCardNo": param.CardNO || "0000000", //就诊卡号
        "operatorPerson": Base.getStorage("user_name"), // 登录用户名
        "payObjectName": Base.getStorage("aac003"), // 登录用户名
        "prescription": param.SchemaID, // 处方号或排班流水号
        "SchemaID": param.SchemaID, //医生排班号
        "blh": myParam.sickno, // 患者病例号
        "regBeginTime": param.BeginTime, // 挂号就诊开始时间
        "regEndTime": param.EndTime, // 挂号就诊结束时间
        "remarks": '备注挂号', // 备注说明
        "type": param.regType, // 支付类型, 0 预约 1 挂号 2 门诊缴费
        "msnumber": Base.getStorage("yb_code"), // 医院医保帐号
        "merchant": Base.getStorage("yb_code"), // 医院医保帐号
        "notify_url": 'http://localhost:8081/yytappserver/reg/saveReg', // 支付成功异步通知URL
        "order_id": param.SchemaID, // 处方号或排班流水号？
        "consume_type": '0', // 消费类型 0 预约挂号 1 药品消费
        "merId": '100123', // 商户id
        "merKey": '51ymajni6db5k3sa343n6v4e27krsir4', // 商户key
        "reg_date": param.BeginTime.split(" ")[0], // 就诊日期，预约挂号专用
        "medical_type": '111', // 支付类别
        "disease_code": '', // 病种编码
        "biz_back_params" : JSON.stringify(param)
    };
    console.log('myParam: ' + JSON.stringify(myParam));
    console.log('调用支付控件用户信息: ' + JSON.stringify(userInfo));
    console.log('调用支付控件订单信息: ' + JSON.stringify(orderInfo));
    console.log('调用支付控件支付模式: ' + JSON.stringify(authenticationInfo));
    kmYHSIPay.pay({
            userInfo: userInfo, // 人社通用户信息, 结构参见下面说明
            orderInfo: orderInfo, // 支付订单信息，结构参见下面说明
            authenticationInfo:authenticationInfo
    }, function(ret, err) {
        console.log('调用支付过程结束：' + JSON.stringify(ret));
        if(ret.code == 1) {
            Base.msgTip("取消了支付");
        } else if(ret.code == 2) {
            goTosuccess();
        } else if(ret.code == 3) {
            Base.msgTip("服务器忙请稍后再试");
        }
    });
}
//电子社保卡新流程
function esscCheck(){
    //是否使用医保个人账户支付
    md.confirm({
        title: '提示',
        msg: '是否使用医保个人账户余额进行支付？',
        buttons: ['不使用', '使用']
    },function( ret ){
        console.log(JSON.stringify(ret))
        if(ret.buttonIndex == '2'){
            authenticationInfo= {
                "type": "ecard", // 认证类型，ecard：电子社保卡认证；online：医保在线支付业务认证；none：全现金模式（默认值）
                "subType": "face", // 认证子类型，password：密码认证；sms：短信认证；face：人脸认证
                "password": "", // 在线支付密码：online类型使用
            };
            //判断是否签发了电子社保卡
        	var checkParam = {};
            checkParam["jybh"] = "ESCCOL001";
            checkParam["channelId"] = "5301000001";
            checkParam["aac002"] = Base.getStorage("aac002");
            checkParam["aac003"] = Base.getStorage("aac003");
            //判断是否进行电子社保卡密码验证
            Base.requestServer("esccService", checkParam, function(escdata){
            	console.log('电子社保卡签发信息：'+JSON.stringify(escdata));
            	if(escdata.checkmark == '0'){
                    md.alert({
                        title: '确认',
                        msg: '您还未使用昆明人社通APP申领过电子社保卡，请先申领电子社保卡！'
                    });
                }else{
                    var sceneType = '';
                    md.actionSheet({
                        title: '请选择认证方式',
                        cancelTitle: '取消',
                        buttons: ['人脸识别认证','手机短信认证','电子社保卡密码认证']
                    },function( ret ){
                        //人脸认证
                        if(ret.buttonIndex == 1){
                            sceneType = 3;
                        //手机短信验证    
                        }else if(ret.buttonIndex == 2){
                            sceneType = 2;
                        //电子社保卡密码验证    
                        }else if(ret.buttonIndex == 3){
                            sceneType = 1;
                        }else{
                            return;
                        }
                        //调用接口获取签名串
                        var signParam = {};
                        var security = {};
                        signParam["jybh"] = "ESSC001";
                        signParam["channelId"] = "5301000001";
						signParam["sceneType"] = sceneType;
						signParam["useType"] = "医保个账支付身份认证";
						signParam["aac002"] = checkParam.aac002;
						signParam["aac003"] = checkParam.aac003;
                        security["aab301"] = "530100";
                        security["aac002"] = checkParam.aac002;
                        security["aac003"] = checkParam.aac003;
                        security["signNo"] = escdata.esccInfo.signNo;
                        security["isIndep"] = '1';
                        signParam.security = JSON.stringify(security);
                        Base.requestServer("queryData", signParam, function(signdata){
                            mdescc.openSceneSDK({
                                envType: 2,
                                sceneType:sceneType,
                                isBackSupport:true,
                                sign:signdata.sign
                            }, function(ret, err){
                                console.log('验证回调'+JSON.stringify(ret));
                                if(ret.status==true && ret.code=='0'){
                                    var msg = JSON.parse(ret.msg);
                                    if(msg.result||msg.busiSeq){
                                        mdescc.closeSdk();
                                        setTimeout(function(){
                                            apkYhPay();
                                        },1000);
                                        
                                    }
                                }
                                console.log('验证回调'+JSON.stringify(ret));
                            });
                        }, true);
                    });
                }
            }, true); 	
        }else{
            //现金支付
            authenticationInfo = {
                "type": "none", // 认证类型，ecard：电子社保卡认证；online：医保在线支付业务认证；none：全现金模式（默认值）
                "subType": "", // 认证子类型，password：密码认证；sms：短信认证；face：人脸认证
                "password": "", // 在线支付密码：online类型使用
            };
            // authenticationInfo = {
            //     "type": "ecard", // 认证类型，ecard：电子社保卡认证；online：医保在线支付业务认证；none：全现金模式（默认值）
            //     "subType": "face", // 认证子类型，password：密码认证；sms：短信认证；face：人脸认证
            //     "password": "", // 在线支付密码：online类型使用
            // };
            apkYhPay();
        }
    });
}
//线上支付认证输入密码后回调
function takeOrder(pwd){
    var param = {};
    param["jybh"] = "VCS034";
    param["pwd"] = pwd;
    param["bac001"] = Base.getStorage("bac001");
    Base.requestServer("queryData", param, function(data){
        authenticationInfo.type = "online";
        authenticationInfo.subType = "";
        authenticationInfo.password = pwd;
        if(data.mark == '1'){
            apkYhPay();
        }else{
            md.alert({
                title: '提示',
                msg: '线上支付密码输入错误，请核实',
                buttonTitle:'确定'
            });
        }
    }, true); 
}
function goTosuccess() {
    console.log("goTosuccess function");
    var _param = {
       "hospital_id": param.hospitalId, // 对应医院id
       "userId": param.user_id, // 操作用户id
        "cardno": myParam.cardno, // 操作时用户就诊卡号
        "sickno": myParam.sickno, // 操作时用户病例号
        "relativeInfo": JSON.stringify({
            "schemaId": param.SchemaID,         // 排班号
            "deptCode": param.DoctCode,         // 科室编码
            "doctorId": param.DoctCode,         // 医生id
            "regDate": param.BeginTime          // 挂号日期
        }), // 
        "recordType": "reg", // 记录类型
        "payOrderId": param.SchemaID // 支付系统订单号, 没有请传空
   }
    
    Base.requestYyt('addUseRecord', _param, function(data) {
        if( data.error === true){
            console.log(data.msg || data.error_msg || "记录用户操作出错");
        }else{
            console.log("记录用户操作成功");
        }
        
        md.closeToWin({
            name: 'hospital_index',
            animation: {
                type: 'push',
                subType:"from_left",
                duration: 300
            }
        });
        //成功
        var data = {};
        data.url = "wgt://km/common/title_nav.html";
        data.name = "hospital_index";
        data.title = name;
        data.frameName= "hospital_index_frame";
        data.frameUrl = "wgt://yyt/index/hospital_index.html";
        data.reload = true;
        Base.openWin(data);
    }, true);
}

/**
     * 获取本地存储
     * @param {String} key 本地存储键
     * @param {Object} defaultValue 当数据不存在或JSON解析异常返回的默认值, 缺省为undefined
     * @return {Object} 本地存储结果, 如果本地存储不存在, 返回defaultValue值
     */
function getSaveStorage(key, defaultValue) {
        var value = undefined;
        var jsonValue = null;
        try {
            jsonValue = Base.getStorage(key);
            if(!!jsonValue){
                value = JSON.parse(jsonValue)
            }
        } catch(e) {
            // JSON解析异常, 为了避免问题扩大, 日志后删除本地存储
            console.log('解析本地存储异常: ' + jsonValue);
        }

        // 如果value未定义, 取默认值返回
        if (!value) {
            value = defaultValue;
        }
        return value;
    };